unit r_ProjectionsFrame;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  r_OrbisFrame, Buttons, Menus;

type
  TProjections_Frame = class(TOrbis_Frame)
    b_Previous: TSpeedButton;
    b_Next: TSpeedButton;
    b_UserProjections: TSpeedButton;
    procedure b_PreviousClick(Sender: TObject);
    procedure b_NextClick(Sender: TObject);
    procedure b_UserProjectionsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

procedure TProjections_Frame.b_PreviousClick(Sender: TObject);
begin
   Tool.SetPropertyStringByName('Previous','T');
end;

procedure TProjections_Frame.b_NextClick(Sender: TObject);
begin
   Tool.SetPropertyStringByName('Next','T');
end;

procedure TProjections_Frame.b_UserProjectionsClick(Sender: TObject);
begin
   Tool.SetPropertyBooleanByName('SetUserProjections',b_UserProjections.Down);
end;

end.
