unit f_LHCPDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  f_OrbisDialog, StdCtrls, Buttons, ExtCtrls, Spin,
  e_LHCModel, Grids;

type
  TLHCPDIalog_Form = class(TOrbisDialog_Form)
    Panel_Porost: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label10: TLabel;
    ed_LHC: TComboBox;
    ed_LS: TComboBox;
    ed_Vlastnik: TComboBox;
    ed_SkParc: TComboBox;
    Label4: TLabel;
    Label5: TLabel;
    Label9: TLabel;
    ed_Oddeleni: TComboBox;
    ed_Dilec: TComboBox;
    ed_Porost: TComboBox;
    Panel_Skupina: TPanel;
    cb_VSdleSK: TCheckBox;
    ed_VS: TSpinEdit;
    Label12: TLabel;
    ed_Srafa: TEdit;
    Label13: TLabel;
    p_Color: TPanel;
    ed_MezBezlesi: TEdit;
    Label14: TLabel;
     cb_Bezlesi: TCheckBox;
    ed_KU: TComboBox;
    Label15: TLabel;
    ed_Skupina: TComboBox;
    l_Skupina: TLabel;
    BitBtn1: TBitBtn;
    ed_Kategorie: TComboBox;
    Label16: TLabel;
    Panel4: TPanel;
    Label6: TLabel;
    Label11: TLabel;
    l_Area: TLabel;
    Label7: TLabel;
    Label17: TLabel;
    Label8: TLabel;
    Label18: TLabel;
    l_AreaCount: TLabel;
    PanelAreaOnly: TPanel;
    PanelDynamic: TPanel;
    cb_AreaOnly: TCheckBox;
    ed_Vymera: TEdit;
    SG: TStringGrid;
    l_ku: TLabel;
    l_SKP: TLabel;
    l_katparkod: TLabel;
    l_vlastnik: TLabel;
    Label19: TLabel;
    l_Kval: TLabel;
    l_Svym: TLabel;
    p_Achtung: TPanel;
    cb_Ifer: TCheckBox;
    Sh_Ifer: TShape;
    ed_KAT: TComboBox;
    Label20: TLabel;
    ed_KATS: TEdit;
    ed_NewKAT: TComboBox;
    Label21: TLabel;
    Label22: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    ed_ZVL_STATUT: TEdit;
    Label23: TLabel;
    ed_KAT_Poznamka: TEdit;
    Label24: TLabel;
    combo_Taxator: TComboBox;
    Label25: TLabel;
    Combo_TaxPro: TComboBox;
    Label26: TLabel;
    ed_LVS: TSpinEdit;
    combo_PK: TComboBox;
    combo_PKD: TComboBox;
    cb_user: TCheckBox;
    l_User: TLabel;
    procedure ed_LHCClick(Sender: TObject);
    procedure ed_SkupinaChange(Sender: TObject);
    procedure ed_VSChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ed_LSClick(Sender: TObject);
    procedure ed_OddeleniClick(Sender: TObject);
    procedure ed_DilecClick(Sender: TObject);
    procedure ed_PorostClick(Sender: TObject);
    procedure ed_SkupinaKeyPress(Sender: TObject; var Key: Char);
    procedure Control_KeyPress(Sender: TObject; var Key: Char);
    procedure ed_OddeleniKeyPress(Sender: TObject; var Key: Char);
    procedure ed_LHCKeyPress(Sender: TObject; var Key: Char);
    procedure ed_LSKeyPress(Sender: TObject; var Key: Char);
    procedure ed_DilecKeyPress(Sender: TObject; var Key: Char);
    procedure ed_PorostKeyPress(Sender: TObject; var Key: Char);
    procedure ed_NewKATClick(Sender: TObject);
    procedure ed_KATSChange(Sender: TObject);
    procedure ed_KATDropDown(Sender: TObject);
    procedure ed_KATClick(Sender: TObject);
    procedure combo_PKChange(Sender: TObject);
    procedure l_UserClick(Sender: TObject);
  private
    FFModel: Tgis_ForestModel;
    FNewObject: boolean;
    FTaxators: Tgis_Taxator_Collection;
    procedure SetMezBezlesi(const Value: integer);
    function GetMezBezlesi: integer;
    procedure SetFModel(const Value: Tgis_ForestModel);
    procedure SetNewObject(const Value: boolean);
    procedure SetDynamicProps(const Value: TStringList);
    procedure SetTaxators(const Value: Tgis_Taxator_Collection);
    { Private declarations }
  public
    FiferColor: integer;
    FNoKatChange: boolean;
    procedure SetDynamicProp(aName,aValue: string);
    function  GetDynamicProp(aName: string): string;
    function MoveKurzor(const aControl: string): boolean;
    procedure aControl_KeyPress(Sender: TObject;  var Key: Char);
    property MezBezlesi: integer read GetMezBezlesi write SetMezBezlesi;
    property FModel: Tgis_ForestModel read FFModel write SetFModel;
    property Taxators: Tgis_Taxator_Collection read FTaxators write SetTaxators;
    property NewObject: boolean read FNewObject write SetNewObject;
    property DynamicProps: TStringList write SetDynamicProps;
  end;


implementation
uses
   StrUtils,
   m_Proj,
   m_Orbis,
   u_String;

{$R *.DFM}

procedure TLHCPDIalog_Form.ed_SkupinaChange(Sender: TObject);
var
   S,SV: string;
   VS: integer;
   i: integer;
begin
   if cb_User.Checked then
   begin
      Tool.SetPropertyBooleanByName('UserChange',true);
      exit;
   end;
   if cb_Ifer.Checked then
   begin
      Tool.SetPropertyBooleanByName('IferChange',true);
      exit;
   end;
   VS := 0;
   i := 1;
   S := ed_Skupina.Text;
   ed_Srafa.Text := '1';
   SV := '0';
   if S <> '' then
   begin
      while not (i > Length(S)) and (S[i]=' ') do Inc(i);
      while not (i > Length(S)) and (S[i] in ['0'..'9']) do
      begin
         SV := SV + S[i];
         Inc(i);
      end;
      VS := StrToInt(SV);
      if VS > MezBezlesi then
      begin
         VS := 0;
         cb_Bezlesi.Checked := true;
         ed_Srafa.Text := '1';
      end
      else
         cb_Bezlesi.Checked := false;
   end;
   ed_VS.Value := VS;
end;

procedure TLHCPDIalog_Form.SetMezBezlesi(const Value: integer);
begin
   ed_MezBezlesi.Text := IntToStr(Value);
end;

function TLHCPDIalog_Form.GetMezBezlesi: integer;
begin
   result := 100;
   try
      result := StrToInt(ed_MezBezlesi.Text);
   except
   end;
end;

procedure TLHCPDIalog_Form.ed_VSChange(Sender: TObject);
begin
   if cb_Ifer.Checked or cb_user.Checked  then exit;
   Tool.SetPropertyBooleanByName('ShowColor',true);
end;

procedure TLHCPDIalog_Form.SetFModel(const Value: Tgis_ForestModel);
begin
   FFModel := Value;
end;

procedure TLHCPDIalog_Form.FormShow(Sender: TObject);
var
   i: integer;
begin
   //SG.RowCount := 2;
   //Application.ProcessMessages;
   SG.Height := SG.DefaultRowHeight*SG.RowCount+(SG.RowCount)+4;
   AutoSize := false;
   Application.ProcessMessages;
   AutoSize := true;
   Application.ProcessMessages;
   if FModel = nil then exit;
   ed_LHC.Items.Clear;
   for i := 0 to FModel.LastIndex do
      ed_LHC.Items.Add(FModel.Elements[i].Name);
   combo_Taxator.Items.Clear;
   if Taxators <> nil then
   for i := 0 to Taxators.LastIndex do
      combo_Taxator.Items.Add(Taxators.Elements[i].Name);
   if FModel.ActualLHC <> nil then
   begin
      ed_LHC.Text := FModel.ActualLHC.Name;
      ed_LS.Text := FModel.ActualLS.Name;
      ed_Oddeleni.Text := FModel.ActualOddeleni.Name;
      ed_Dilec.Text := FModel.ActualDilec.Name;
      ed_Porost.Text := FModel.ActualPorost.Name;
      //ed_Skupina.Text := FModel.ActualSkupina.Name;
      ed_LHCClick(nil);
      ed_LSClick(nil);
      ed_OddeleniClick(nil);
      ed_DilecClick(nil);
      ed_PorostClick(nil);
   end
   else
   if not NewObject then
   begin
      ed_LHC.Text := '';
      ed_LS.Text := '';
      ed_Oddeleni.Text := '';
      ed_Dilec.Text := '';
      ed_Porost.Text := '';
      //ed_Skupina.Text := FModel.ActualSkupina.Name;
   end
   else
   begin
      FModel.LHC_Cislo := StrToIntDef(ed_LHC.Text,-1);
      FModel.LS_Cislo := StrToIntDef(ed_LS.Text,-1);
      FModel.Oddeleni_Cislo := StrToIntDef(ed_Oddeleni.Text,-1);
      FModel.Dilec_Name := ed_Dilec.Text;
      FModel.Porost_Name := ed_Porost.Text;
      if FModel.ActualLHC <> nil then
      begin
         ed_LHCClick(nil);
         ed_LSClick(nil);
         ed_OddeleniClick(nil);
         ed_DilecClick(nil);
         ed_PorostClick(nil);
      end
      else
      begin
         ed_LHC.Text := '';
         ed_LS.Text := '';
         ed_Oddeleni.Text := '';
         ed_Dilec.Text := '';
         ed_Porost.Text := '';
         //ed_Skupina.Text := FModel.ActualSkupina.Name;
      end;
   end;
   if not MoveKurzor('') then
   if Panel_Skupina.Visible then
      ed_Skupina.SetFocus
   else
      ed_LHC.SetFocus;
end;

procedure TLHCPDIalog_Form.ed_LHCClick(Sender: TObject);
var
   i: integer;
begin
   ed_LS.Items.Clear;
   if Sender <> nil then
      FModel.LHC_Cislo := StrToIntdef(ed_LHC.Text,-1);
   if (FModel.ActualLHC <> nil) and not FModel.ActualLHC.NoItems then
   for i := 0 to FModel.ActualLHC.Items.LastIndex do
   begin
      ed_LS.Items.Add(FModel.ActualLHC.Items.elements[i].Name);
   end;
   if Sender <> nil then
   begin
      ed_LS.Text := '';
      ed_Oddeleni.Items.Clear;
      ed_Oddeleni.Text := '';
      ed_Dilec.Items.Clear;
      ed_Dilec.Text := '';
      ed_Porost.Items.Clear;
      ed_Porost.Text := '';
   end;
end;


procedure TLHCPDIalog_Form.ed_LSClick(Sender: TObject);
var
   i: integer;
begin
   ed_Oddeleni.Items.Clear;
   if Sender <> nil then
      FModel.LS_Cislo := StrToIntDef(ed_LS.Text,-1);
   if (FModel.ActualLS <> nil) and  not FModel.ActualLS.NoItems then
   for i := 0 to FModel.ActualLS.Items.LastIndex do
   begin
      ed_Oddeleni.Items.Add(FModel.ActualLS.Items.elements[i].Name);
   end;
   if Sender <> nil then
   begin
      ed_Oddeleni.Text := '';
      ed_Dilec.Items.Clear;
      ed_Dilec.Text := '';
      ed_Porost.Items.Clear;
      ed_Porost.Text := '';
   end;
end;

procedure TLHCPDIalog_Form.ed_OddeleniClick(Sender: TObject);
var
   i: integer;
begin
   //Tool.PostTextMsg(tm_AddToProtocol,'Click',nil);
   ed_Dilec.Items.Clear;
   if Sender <> nil then
      FModel.Oddeleni_Cislo := StrToIntDef(ed_Oddeleni.Text,-1);
   if (FModel.ActualOddeleni <> nil) and not FModel.ActualOddeleni.NoItems then
   for i := 0 to FModel.ActualOddeleni.Items.LastIndex do
   begin
      ed_Dilec.Items.Add(FModel.ActualOddeleni.Items.elements[i].Name);
   end;
   if Sender <> nil then
   begin
      ed_Dilec.Text := '';
      ed_Porost.Items.Clear;
      ed_Porost.Text := '';
   end;
end;

procedure TLHCPDIalog_Form.ed_DilecClick(Sender: TObject);
var
   i: integer;
begin
   ed_Porost.Items.Clear;
   if Sender <> nil then
      FModel.Dilec_Name := ed_Dilec.Text;
   if (FModel.ActualDilec <> nil) and not FModel.ActualDilec.NoItems then
   for i := 0 to FModel.ActualDilec.Items.LastIndex do
   begin
      ed_Porost.Items.Add(FModel.ActualDilec.Items.elements[i].Name);
   end;
   if Sender <> nil then
   begin
      ed_Porost.Text := '';
   end;
end;

procedure TLHCPDIalog_Form.ed_PorostClick(Sender: TObject);
var
   i: integer;
begin
   ed_Skupina.Items.Clear;
   ed_KATS.Text := '';
   if Sender <> nil then
      FModel.Porost_Name := ed_Porost.Text;
   if (FModel.ActualPorost <> nil) then
   begin
      ed_KATS.Text  := FModel.ActualPorost.KATS;
      ed_ZVL_STATUT.Text := FModel.ActualPorost.ZVL_STATUT;
      ed_KAT_Poznamka.Text := FModel.ActualPorost.KAT_Poznamka;
      if not FModel.ActualPorost.NoItems then
      for i := 0 to FModel.ActualPorost.Items.LastIndex do
      begin
         ed_Skupina.Items.Add(FModel.ActualPorost.Items.elements[i].Name);
      end;
   end;
   if cb_User.Checked then
      Tool.SetPropertyBooleanByName('UserChange',true);
   if cb_Ifer.Checked then
      Tool.SetPropertyBooleanByName('IferChange',true);
end;

procedure TLHCPDIalog_Form.SetNewObject(const Value: boolean);
begin
  FNewObject := Value;
end;

procedure TLHCPDIalog_Form.ed_SkupinaKeyPress(Sender: TObject;
  var Key: Char);
begin
   inherited;
   if Key = #13 then b_OK.SetFocus;
end;

procedure TLHCPDIalog_Form.Control_KeyPress(Sender: TObject;  var Key: Char);
var
   WC: TWinControl;
   S: string;
begin
   if Key = #13 then
   begin
      if (Sender <> nil) and (Sender is TWinControl) then
      begin
         if Sender = SG then
         begin
            S := 'SG_'+SG.Cells[0,SG.Row];
            MoveKurzor(S);
         end;
         WC := TWinControl(Sender);
         MoveKurzor(WC.Name);
      end;
   end;
end;

function TLHCPDIalog_Form.GetDynamicProp(aName: string): string;
var
   i: integer;
begin
   result := '';
   i := SG.Cols[0].IndexOf(aName);
   if i > -1 then
   begin
     result := SG.Cols[1].Strings[i];
   end;
end;

procedure TLHCPDIalog_Form.SetDynamicProp(aName, aValue: string);
var
   i: integer;
begin
   i := SG.Cols[0].IndexOf(aName);
   if i > -1 then
   begin
     SG.Cols[1].Strings[i] := aValue;
   end;
end;

procedure TLHCPDIalog_Form.SetDynamicProps(const Value: TStringList);
begin
   if Value.Count < 1 then
      PanelDynamic.Visible := false
   else
   begin
      SG.RowCount := Value.Count;
      SG.Cols[0].Assign(Value);
   end;
end;

procedure TLHCPDIalog_Form.ed_LHCKeyPress(Sender: TObject; var Key: Char);
begin
   if Key = #13 then
      ed_LS.SetFocus
end;

procedure TLHCPDIalog_Form.ed_LSKeyPress(Sender: TObject; var Key: Char);
begin
   if Key = #13 then
      ed_Oddeleni.SetFocus
end;

procedure TLHCPDIalog_Form.ed_OddeleniKeyPress(Sender: TObject;
  var Key: Char);
begin
   if Key = #13 then
      ed_Dilec.SetFocus
end;

procedure TLHCPDIalog_Form.ed_DilecKeyPress(Sender: TObject;
  var Key: Char);
begin
   if Key = #13 then
      ed_Porost.SetFocus
end;

procedure TLHCPDIalog_Form.ed_PorostKeyPress(Sender: TObject;
  var Key: Char);
begin
   if Key = #13 then
      ed_Skupina.SetFocus
end;

procedure TLHCPDIalog_Form.ed_NewKATClick(Sender: TObject);
var
   i: integer;
   KATS,Value: string;
begin
   KATS := ed_KATS.Text;
   Value := ed_NewKAT.Text;
   i := pos(Value,KATS);
   if i > 0 then exit; // uz tam je
   if KATS <> '' then
      KATS := KATS + ',' + Value
   else
      KATS := Value;
   ed_KATS.Text := KATS;
end;

procedure TLHCPDIalog_Form.ed_KATSChange(Sender: TObject);
var
   S: string;
   B: boolean;
   i: integer;
   aValue: string;
   IsFirst: boolean;
   aCol: TColor;
begin
   if FNoKatChange then exit;
   FNoKATChange := true;
   aValue := ed_KATS.Text;
   IsFirst := true;
   aCol := clWindowText;
   if aValue = '' then
      ed_KAT.Text := ''
   else
   repeat
      B := StringAsTwoParams(aValue, ',', S, aValue);
      try
         if IsFirst then
         begin
            if S <> ed_KAT.Text then
               ed_KAT.Text := S;
            IsFirst := false;
         end;
         i := ed_NewKAT.Items.IndexOf(S);
         if i < 0 then
         begin
            aCol := clRed;
            break;
         end;
      except
      end;
   until not B;
   ed_KATS.Font.Color := aCol;
   FNoKATChange := false;
end;

procedure TLHCPDIalog_Form.ed_KATDropDown(Sender: TObject);
begin
   ed_KAT.Items.Clear;
   ed_KAT.Items.CommaText := ed_KATS.Text;
end;

procedure TLHCPDIalog_Form.ed_KATClick(Sender: TObject);
var
   SL: TStringList;
   i: integer;
begin
   if ed_KAT.Text = '' then exit;
   Sl := TStringList.Create;
   SL.CommaText := ed_KATS.Text;
   if SL.Count > 1 then
   begin
      i := SL.IndexOf(ed_KAT.Text);
      if i > 0 then
      begin
         SL.Move(i,0);
         FNoKatChange := true;
         ed_KATS.Text := SL.CommaText;
         FNoKatChange := false;
      end;
   end;
   SL.Free;
end;

procedure TLHCPDIalog_Form.SetTaxators(const Value: Tgis_Taxator_Collection);
begin
  FTaxators := Value;
end;


procedure TLHCPDIalog_Form.combo_PKChange(Sender: TObject);
begin
   Tool.SetPropertyStringByName('CursorMovingName',combo_PK.Text);
   Application.ProcessMessages;
end;

function TLHCPDIalog_Form.MoveKurzor(const aControl: string): boolean;
var
   i, fi: integer;
   CC: TComponent;
   WC: TWinControl;
   Next: boolean;
   S: string;
begin
   result := false;
   if combo_PKD.Items.Count = 0 then
      exit;
   if aControl = '' then
   begin
      fi := 0;
   end
   else
   begin
      i := combo_PKD.Items.IndexOf(aControl);
      if i < 0 then exit;
      fi := i + 1;
   end;
   if fi > (combo_PKD.Items.Count - 1) then
      fi := 0;

   S := combo_PKD.Items.Strings[fi];
   if AnsiStartsText('SG_',S) then
   begin
      S := Copy(S,4,Length(S));
      i := SG.Cols[0].IndexOf(S);
      if i >= 0 then
      begin
         SG.Col := 1;
         SG.Row := i;
      end;
      Result := true;
      if Visible then
         SG.SetFocus;
      exit;
   end;
   Next := false;
   for i := 0 to ComponentCount - 1 do
   begin
      CC := Components[i];
      if Next or SameText(CC.Name, S) then
      begin
         if CC is TWinControl and TWinControl(CC).Visible then
         begin
            WC := TWinControl(CC);
            result := true;
            WC.SetFocus;
            exit;
         end
         else
         begin
            Next := true;
         end;
      end;
   end;
end;

procedure TLHCPDIalog_Form.aControl_KeyPress(Sender: TObject; var Key: Char);
var
   WC: TWinControl;
begin
   if Key = #13 then
   begin
      if (Sender <> nil) and (Sender is TWinControl) then
      begin
         WC := TWinControl(Sender);
         MoveKurzor(WC.Name);
      end;
   end;
end;

procedure TLHCPDIalog_Form.l_UserClick(Sender: TObject);
begin
   Tool.PostTextMsg(tm_Run,'LED\Etc\DET\Dialog\Setup_user_script.oil',nil);
end;

end.
