unit f_RasterDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  f_OrbisDialog, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TRasterDialog_Form = class(TOrbisDialog_Form)
    PageControl: TPageControl;
    Raster: TTabSheet;
    Rasters: TTabSheet;
    ColorDialog: TColorDialog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    l_FileName: TLabel;
    l_FileSize: TLabel;
    l_RasTyp: TLabel;
    l_Compress: TLabel;
    l_Tiled: TLabel;
    l_PixelWidth: TLabel;
    l_PixelHeight: TLabel;
    l_Horizres: TLabel;
    l_VertRes: TLabel;
    ColorPanel: TPanel;
    Label11: TLabel;
    AllColorPanel: TPanel;
    b_Delete: TBitBtn;
    ed_Directory: TEdit;
    Label12: TLabel;
    SpeedButton1: TSpeedButton;
    BitBtn1: TBitBtn;
    Button1: TButton;
    b_Next: TButton;
    procedure ColorPanelClick(Sender: TObject);
    procedure AllColorPanelClick(Sender: TObject);
    procedure PageControlChange(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation
uses
   t_MainTl,
   Worlds,
   FileCtrl;

{$R *.DFM}

procedure TRasterDialog_Form.ColorPanelClick(Sender: TObject);
begin
   ColorDialog.Color := ColorPanel.Color;
   if ColorDialog.Execute then
      ColorPanel.Color := ColorDialog.Color;
end;

procedure TRasterDialog_Form.AllColorPanelClick(Sender: TObject);
begin
   ColorDialog.Color := AllColorPanel.Color;
   if ColorDialog.Execute then
      AllColorPanel.Color := ColorDialog.Color;
end;

procedure TRasterDialog_Form.PageControlChange(Sender: TObject);
begin
   if PageControl.ActivePage = Raster then
      b_Delete.Caption := 'Odstranit rastr z modelu'
   else
      b_Delete.Caption := 'Odstranit vechny rastry z modelu';
end;

procedure TRasterDialog_Form.SpeedButton1Click(Sender: TObject);
var
   S1,S2,S: string;
begin
   S := ed_Directory.Text;
   S1 := 'Vbr sloky rastr...';
   S2 := '';
   if  Assigned(TOldMainTool(World.MainTool).On_SelectDirectory_Event) then
   begin
      if TOldMainTool(World.MainTool).On_SelectDirectory_Event(S1,S2,S) then
         ed_Directory.Text := S;
      exit;
   end;
   if SelectDirectory(S1,S2,S) then
      ed_Directory.Text := S;
end;

end.
 
