unit Viewtest;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,Tablet;

type
  TTestBox = class(TForm)
    KonecTestuButton: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    XLabel: TLabel;
    YLabel: TLabel;
    TlacitkoLabel: TLabel;
    BitBtn1: TBitBtn;
    Bevel1: TBevel;
    Procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
    Procedure Polling;
  public
    { Public declarations }
    TabletBezi: boolean;
    Procedure AppIdle(Sender: TObject; var Done: Boolean);
    Function ShowModal:integer;
  end;

var
  TestBox: TTestBox;

implementation

{$R *.DFM}

{ Upravy 11.7.95 PPK .. pridani promenne TabletBezi a jeji kontroly }

Function TTestBox.ShowModal:integer;
var
   OC: HCursor;
begin
     if not TabletBezi then
     begin
        TabletPtr:=New(PTablet,Init);
        If TabletPtr<>nil then
        begin
             OC := SetCursor(LoadCursor(0, idc_Wait));
             If not TabletPtr^.OpenPort then
             begin
                SetCursor(OC);
                Dispose(TabletPtr,Done);
                TabletPtr:=nil;
                Exit;
             end;
             SetCursor(OC);
        end;
     end;
     Application.OnIdle:=AppIdle;
     inherited ShowModal;
     if not TabletBezi then
     begin
        Dispose(TabletPtr,Done);
        TabletPtr:=nil;
     end;

     Application.OnIdle:=nil;
end;

Procedure TTestBox.Polling;
var x,y:double;
    t:word;
    s:string;
begin
     If TabletPtr<>nil then
     begin
          TabletPtr^.Polling;
          If TabletPtr^.PosledniXYT(x,y,t) then
          begin
               str(x:6:1,s);
               Xlabel.Caption:=s;
               str(y:6:1,s);
               YLabel.Caption:=s;
               str(t,s);
               TlacitkoLabel.Caption:=s;
          end;
     end;
end;

procedure TTestBox.BitBtn1Click(Sender: TObject);
begin
     If TabletPtr<>nil then TabletPtr^.InitHS;
end;

Procedure TTestBox.AppIdle(Sender: TObject; var Done: Boolean);
begin
     Polling;
     Done:=False;
end;

end.

