unit F_dgnimp;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, FileCtrl, StdCtrls, Buttons, ExtCtrls,
  Elements,
  Tools;

type
  TF_dgnimpForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Drive: TDriveComboBox;
    Panel4: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Directory: TDirectoryListBox;
    FileList: TFileListBox;
    FilterComboBox1: TFilterComboBox;
  private
  public
    { Public declarations }
  end;

TDGNImportDialog = class(TResultTool)
public
   procedure DoIt; override;
end;

implementation
uses
   e_Class;

{$R *.DFM}

{ TDGNImportDialog }

procedure TDGNImportDialog.DoIt;
var
   D: TF_dgnimpForm;
begin
   Application.CreateForm(TF_dgnimpForm, D);
   D.ShowModal;
   if D.ModalResult = mrOK then
   begin
      Result := D.FileList.FileName;
   end
   else
   begin
      Result := '';
   end;
   D.Free;
end;


INITIALIZATION
   RegisterORBISClass(TDGNImportDialog);
END.
