unit U_cursor;

interface

const
cr_Lupa        = 1;
cr_Ruka        = 2;
cr_NewDrawRect = 3;
cr_NewText     = 4;
cr_NewView     = 5;
cr_NewUMS      = 6;
cr_EditUMS     = 7;
cr_NoUMS       = 8;
cr_NoElement   = 9;
cr_NewTxtBlk   = 10;
cr_EditText    = 11;
cr_ZoomIn      = 12;
cr_ZoomOut     = 13;
cr_MoveText    = 14;
cr_RotText     = 15;
cr_MoveCenter  = 16;

cr_SelectLine = 2;
cr_SelectPoint = 2;
cr_SelectArea = 2;

procedure LoadUserCursors;


implementation
uses
   Forms,
   WinProcs;

{$IFDEF WIN32}
{$R CURS32.RES}
{$ELSE}
{$R CURS.RES}
{$ENDIF}

procedure LoadUserCursors;
begin
   Screen.Cursors[cr_Lupa]        := LoadCursor(HInstance, 'LUPA');
   Screen.Cursors[cr_Ruka]        := LoadCursor(HInstance, 'RUKA');
   Screen.Cursors[cr_NewDrawRect] := LoadCursor(HInstance, 'NEWDRAWRECT');
   Screen.Cursors[cr_NewText]     := LoadCursor(HInstance, 'NEWTEXT');
   Screen.Cursors[cr_EditText]    := LoadCursor(HInstance, 'EDITTEXT');
   Screen.Cursors[cr_MoveText]    := LoadCursor(HInstance, 'MOVETEXT');
   Screen.Cursors[cr_RotText]     := LoadCursor(HInstance, 'ROTTEXT');
   Screen.Cursors[cr_NewView]     := LoadCursor(HInstance, 'NEWVIEW');
   Screen.Cursors[cr_NewUMS]      := LoadCursor(HInstance, 'NEWMS');
   Screen.Cursors[cr_EditUMS]     := LoadCursor(HInstance, 'EDITMS');
   Screen.Cursors[cr_NoUMS]       := LoadCursor(HInstance, 'NOMS');
   Screen.Cursors[cr_NoElement]   := LoadCursor(HInstance, 'NOTFORSELECT');
   Screen.Cursors[cr_NewTxtBlk]   := LoadCursor(HInstance, 'NEWTEXTBLOCK');
   Screen.Cursors[cr_ZoomIn]      := LoadCursor(HInstance, 'ZOOM_IN');
   Screen.Cursors[cr_ZoomOut]     := LoadCursor(HInstance, 'ZOOM_OUT');
   Screen.Cursors[cr_MoveCenter]  := LoadCursor(HInstance, 'MOVECENTER');
end;

end.
