unit F_GNedit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Menus, Buttons, ExtCtrls,
  e_Device,
  t_Device,
  Elements,
  Tools, ComCtrls;

type
  TGNEditorForm = class(TForm)
    MainMenu: TMainMenu;
    View: TMenuItem;
    Tools: TMenuItem;
    Prezobraz: TMenuItem;
    PrintDialog: TPrintDialog;
    PrinterSetupDialog: TPrinterSetupDialog;
    PopupMenu1: TPopupMenu;
    meritko: TMenuItem;
    All: TMenuItem;
    ToolBar: TPanel;
    Image: TImage;
    Model1: TMenuItem;
    Monosti1: TMenuItem;
    Sablona: TMenuItem;
    N2: TMenuItem;
    Nastaventiskrny1: TMenuItem;
    Tisk1: TMenuItem;
    Strukturamodelu1: TMenuItem;
    Nov1: TMenuItem;
    Otevt1: TMenuItem;
    Uloit1: TMenuItem;
    Uloitjako1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    StatusBar: TStatusBar;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    b_ZoomIn: TSpeedButton;
    b_ZoomOut: TSpeedButton;
    b_PointToCenter: TSpeedButton;
    b_WorkingSpace: TSpeedButton;
    b_NewText: TSpeedButton;
    b_EditText: TSpeedButton;
    bbWSUL: TBitBtn;
    bbWSLeft: TBitBtn;
    bbWSUp: TBitBtn;
    bbWSUR: TBitBtn;
    bbWSCenter: TBitBtn;
    bbWSRight: TBitBtn;
    bbWSDL: TBitBtn;
    bbWSDown: TBitBtn;
    bbWSDR: TBitBtn;
    b_ShowRas: TSpeedButton;
    b_ShowZM: TSpeedButton;
    b_ShowWSpace: TSpeedButton;
    b_ShowText: TSpeedButton;
    Timer: TTimer;
    Pezobraz1: TMenuItem;
    Vevevezu1: TMenuItem;
    N1: TMenuItem;
    PedchozvezF81: TMenuItem;
    Nslednvez1: TMenuItem;
    PedchozvezF82: TMenuItem;
    NslednvezF71: TMenuItem;
    Mtko1: TMenuItem;
    N3: TMenuItem;
    PShowML: TMenuItem;
    N4: TMenuItem;
    MShowML: TMenuItem;
    procedure PrezobrazClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SouradniceClick(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormResize(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure meritkoClick(Sender: TObject);
    procedure AllClick(Sender: TObject);
    procedure Nahoe1Click(Sender: TObject);
    procedure Dole1Click(Sender: TObject);
    procedure Vlevo1Click(Sender: TObject);
    procedure Vpravo1Click(Sender: TObject);
    procedure Plovouc1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Nastaventiskrny1Click(Sender: TObject);
    procedure Tisk1Click(Sender: TObject);
    procedure Strukturamodelu1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Model1Click(Sender: TObject);
    procedure b_ZoomInClick(Sender: TObject);
    procedure b_RectClick(Sender: TObject);
    procedure b_ViewClick(Sender: TObject);
    procedure b_TextClick(Sender: TObject);
    procedure b_SelectClick(Sender: TObject);
    procedure Vlastnosti1Click(Sender: TObject);
    procedure Nahoru1Click(Sender: TObject);
    procedure Dospod1Click(Sender: TObject);
    procedure Odstranit1Click(Sender: TObject);
    procedure Nov1Click(Sender: TObject);
    procedure Otevt1Click(Sender: TObject);
    procedure Uloit1Click(Sender: TObject);
    procedure Uloitjako1Click(Sender: TObject);
    procedure b_fillClick(Sender: TObject);
    procedure Navrch1Click(Sender: TObject);
    procedure Dospod2Click(Sender: TObject);
    procedure b_ZoomOutClick(Sender: TObject);
    procedure b_PointToCenterClick(Sender: TObject);
    procedure b_NewTextClick(Sender: TObject);
    procedure b_EditTextClick(Sender: TObject);
    procedure b_ShowZMClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure b_ShowWSpaceClick(Sender: TObject);
    procedure bbWSCenterClick(Sender: TObject);
    procedure bbWSUpClick(Sender: TObject);
    procedure bbWSULClick(Sender: TObject);
    procedure bbWSURClick(Sender: TObject);
    procedure bbWSLeftClick(Sender: TObject);
    procedure bbWSRightClick(Sender: TObject);
    procedure bbWSDLClick(Sender: TObject);
    procedure bbWSDownClick(Sender: TObject);
    procedure bbWSDRClick(Sender: TObject);
    procedure PaintBoxPaint(Sender: TObject);
    procedure PaintBoxDblClick(Sender: TObject);
    procedure b_ShowTextClick(Sender: TObject);
    procedure b_ShowRasClick(Sender: TObject);
    procedure b_ShowRasMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormPaint(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure b_ShowWSpaceMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Nslednvez1Click(Sender: TObject);
    procedure PedchozvezF81Click(Sender: TObject);
    procedure PShowMLClick(Sender: TObject);
    procedure ImageDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure ImageDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure ImageEndDrag(Sender, Target: TObject; X, Y: Integer);
    procedure ImageMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImageMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImageMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ImageStartDrag(Sender: TObject; var DragObject: TDragObject);
  private
    IsActive: boolean;
    IsPickUpMode: boolean;
    {
    ShiftRect: TRect;
    }
    procedure UkazForm;
  public
    IsPossibleToClose: boolean;
    Tool: TDeviceTool;
    PenWidth: double;
  end;


implementation
uses

  IniFiles,
  //d_STD, {!!!!!!!!!!!!!!!!!}

  M_Orbis,
  M_Proj,
//  e_TopMDL,
  e_Desktp,
  e_View,
  F_NajdiML1,
  f_SRDlg,
  f_SetScl,
  g_Elems, e_ZM,
//  i_TopoL,
  t_Main,
  i_Basic,
  T_GnEdit,
  Worlds;

{$R *.DFM}


procedure TGNEditorForm.UkazForm;
var
   ModalDlg : TFNajdiML;
   aMapL: string;
   aZM: TMapsZM;
begin
   ModalDlg := TFNajdiML.Create(Application);

   if ModalDlg.ShowModal = mrOK then
   begin
     aMapL:= ModalDlg.ComboBox1.Text;
     if aMapL <> '' then
     begin
       aZM:= TMapsZM.Create;
       aZM.MapName:= aMapL;

       with Tool.Device.Projection do
       begin
         Center_X:= aZM.CenterX;
         Center_Y:= aZM.CenterY;
       end;
       Tool.PostMsg(tm_Review, Tool, nil, DontKill);

       aZM.Free;
     end
   end;

   ModalDlg.Free;
end;



procedure TGNEditorForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  CanClose:= IsPossibleToClose
{
  if IsPossibleToClose then
  begin
     CanClose:= true;
  end
  else
  begin
    CanClose:= false;
    IsPossibleToClose := true;
    Tool.PostMsg(tm_QuitTask, Tool, nil, DontKill);
  end
}
end;




procedure TGNEditorForm.PrezobrazClick(Sender: TObject);
begin
  Tool.PostMsg(tm_ReView, Tool, nil, DontKill);
end;


procedure TGNEditorForm.SouradniceClick(Sender: TObject);
begin
  {
  Post(tm_AddCoordsView, 0)
  }
end;

procedure TGNEditorForm.FormMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
   {
   if IsActive then
   }
   begin
      Tool.PostMouseEvent(tm_MouseMove, Tool, mbLeft, Shift, X, Y, IsActive);
   end;
  {
  if isActive and not isPickUpMode then
  if  ssLeft in Shift then
  begin
     with ShiftRect do PaintBox.Canvas.Rectangle(Left, Top, Right, Bottom);
     ShiftRect.Right  := x;
     ShiftRect.Bottom := y;
     with ShiftRect do PaintBox.Canvas.Rectangle(Left, Top, Right, Bottom);
  end;
  }
end;

procedure TGNEditorForm.FormCreate(Sender: TObject);
var
   Ini: TIniFile;
begin
   IsPossibleToClose := false;
   IsActive := true;
   try
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);
      Left        := Ini.ReadInteger(Name,'Left', 0);
      Top         := Ini.ReadInteger(Name,'Top', 0);
      Height      := Ini.ReadInteger(Name,'Height', 200);
      Width       := Ini.ReadInteger(Name,'Width', 200);
      Ini.Free;
   except
   end;
end;

procedure TGNEditorForm.FormMouseDown(Sender: TObject;
   Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   begin
      Tool.PostMouseEvent(tm_MouseDown, Tool, Button, Shift, X, Y, IsActive);
   end;
   {
   if IsActive then
   begin
     if isPickUpMode then
     begin
       if Button = mbLeft then
       begin
         TCanvasDevice(Tool.Device).CurX:= X;
         TCanvasDevice(Tool.Device).CurY:= Y;
         Tool.PostMsg(tm_PickUpObject, Tool, nil)
       end
       else
       if Button = mbRight then
       begin
       end
     end
     else
     if Button = mbLeft then
     begin
        PaintBox.Canvas.Pen.Mode  := pmXOR;
        PaintBox.Canvas.Pen.Color := clGreen;
        ShiftRect := Rect(x,y,x,y);
        PaintBox.Canvas.Pen.Width := 3;
        with ShiftRect do PaintBox.Canvas.Rectangle(Left, Top, Right, Bottom);
     end;
   end
   }
end;

procedure TGNEditorForm.FormMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
   R: TDoubleRect;
   aTool: TTool;
begin
    begin
      Tool.PostMouseEvent(tm_MouseUp, Tool, Button, Shift, X, Y, IsActive);
    end;
    IsActive := true;
    (*
    if IsActive and not isPickUpMode then
    if Button = mbLeft then
    begin
       with ShiftRect do Canvas.Rectangle(Left, Top, Right, Bottom);
       PaintBox.Canvas.Pen.Mode  := pmCopy;
       PaintBox.Canvas.Pen.Color := clBlack;
       PaintBox.Canvas.Pen.Width := 1;
       with ShiftRect do
       begin
          if (Right-Left <= 2) and (Bottom - Top <= 2) then
          begin
             TCanvasDevice(Tool.Device).Projection.CenterPoint := TCanvasDevice(Tool.Device).Projection.GetModelPoint(x,y);
             Tool.PostMsg(tm_ReView, Tool, nil);
             exit;
          end
          else
             R := TCanvasDevice(Tool.Device).Projection.GetModelRect(Left, Top, Right, Bottom);
       end;
       {
       if ssCtrl in Shift then
       begin
         aTool:= TTechnology(World.MainTool).AddTool(TInterpretBloku.Create);
         if assigned(aTool) then
         begin
           aTool.Input:= TEntity(World.ObjectModel).FindElementClass(TTopoLPredmetZajmu);
           TInterpret(aTool).Device := TVMSDevice.Create;
           TInterpret(aTool).Device.Projection.ChangeProjectionByRect(R,
                                                      TInterpret(aTool).Device.Page);

           TInterpret(aTool).Device.Page.Color:= clWhite;
           TInterpret(aTool).Device.Reset;
           aTool.DoIt;
           TInterpret(aTool).Device.Close
         end;
       end
       else
       }
       begin
          TCanvasDevice(Tool.Device).Projection.ModelView := R;
          Tool.PostMsg(tm_ReView, Tool, nil);
       end;
    end;
    IsActive := true;
    *)
end;



procedure TGNEditorForm.FormResize(Sender: TObject);
begin
   try
      if not Visible then exit;
      Image.Picture.Bitmap.Height:= Image.Height;
      Image.Picture.Bitmap.Width:= Image.Width;
      if Tool = nil then exit;
      Tool.PostMsg(tm_ReSize, Tool, nil, DontKill);
      {
      Tool.Device.SetupPage(nil);
      Tool.PostMsg(tm_ReView, Tool, nil, DontKill);
      }
   except
   end;
end;


procedure TGNEditorForm.FormDeactivate(Sender: TObject);
begin
   {
   TCanvasToBMPDevice(Tool.Device).Background := true;
   }
   IsActive := false;
end;

procedure TGNEditorForm.meritkoClick(Sender: TObject);
var
   aform: TF_SetScale;
   D: double;
   Code: integer;
   R: TDoubleRect;
   PZ : TRectEntity;
begin
   Application.CreateForm(Tf_SetScale, aForm);
   aForm.Combo.Text := IntToStr(round(Tool.Device.Projection.Scale));
   case aForm.ShowModal of
      mrOK:
      begin
         Val(aForm.Combo.Text, D, Code);
         if Code > 0 then
         begin
            PZ := TRectEntity(TInterpret(Tool.Device.FindOwnerClass(TInterpret)).Input);
            with TRectangle(PZ.Rect) do
            begin
               R.Min.X:= Min.X;
               R.Min.Y:= Min.Y;
               R.Max.X:= Max.X;
               R.Max.Y:= Max.Y;
            end;
           Tool.Device.Projection.ChangeProjectionByRect(R, Tool.Device.Page);
         end
         else
            Tool.Device.Projection.Scale := D;
         Tool.PostMsg(tm_BreakAndReView, Tool, nil, DontKill);
      end;
   end;
   aForm.Free;
end;

procedure TGNEditorForm.AllClick(Sender: TObject);
var
   R: TDoubleRect;
   PZ: TRectEntity;
begin
   PZ := TRectEntity(Tool.Input);
   with TRectangle(PZ.Rect) do
   begin
      R.Min.X:= Min.X;
      R.Min.Y:= Min.Y;
      R.Max.X:= Max.X;
      R.Max.Y:= Max.Y;
   end;

   if (R.Min.X = R.Min.Y) or (R.Max.X = R.Max.Y) then
   begin
     R.Min.X:= -1000000;
     R.Max.X:= -300000;
     R.Min.Y:= -1200000;
     R.Max.Y:= -800000;
   end;

   Tool.Device.Projection.ChangeProjectionByRect(R, Tool.Device.Page);
   Tool.PostMsg(tm_BreakAndReView, Tool, nil, DontKill);
end;



procedure TGNEditorForm.Nahoe1Click(Sender: TObject);
begin
   ToolBar.Align := alTop;
end;

procedure TGNEditorForm.Dole1Click(Sender: TObject);
begin
   ToolBar.Align := alBottom;
end;

procedure TGNEditorForm.Vlevo1Click(Sender: TObject);
begin
   ToolBar.Align := alLeft;
end;

procedure TGNEditorForm.Vpravo1Click(Sender: TObject);
begin
   ToolBar.Align := alRight;
end;

procedure TGNEditorForm.Plovouc1Click(Sender: TObject);
begin
   ToolBar.Align := alNone;
end;

procedure TGNEditorForm.FormActivate(Sender: TObject);
begin
  IsActive := true;

{  MessageBeep(0) }
   {
   TCanvasToBMPDevice(Tool.Device).BackGround := false;
   }
end;


procedure TGNEditorForm.Nastaventiskrny1Click(Sender: TObject);
begin
  PrinterSetupDialog.Execute
end;

procedure TGNEditorForm.Tisk1Click(Sender: TObject);
begin
  Tool.PostMsg(tm_Print, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Strukturamodelu1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_Explore, World.MainTool, World, DontKill);
end;

procedure TGNEditorForm.FormDestroy(Sender: TObject);
var
   Ini: TIniFile;
begin
   try
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);

      Ini.WriteInteger(Name,'Left', Left);
      Ini.WriteInteger(Name,'Top', Top);
      Ini.WriteInteger(Name,'Height', Height);
      Ini.WriteInteger(Name,'Width', Width);
      Ini.Free;
   except
   end;
end;

procedure TGNEditorForm.Model1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_Explore, World.MainTool, Tool.Input, DontKill);
end;

procedure TGNEditorForm.b_ZoomInClick(Sender: TObject);
begin
   Tool.PostMsg(tm_ZoomIn, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_RectClick(Sender: TObject);
begin
   Tool.PostMsg(tm_NewRect, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_ViewClick(Sender: TObject);
begin
   Tool.PostMsg(tm_NewView, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_TextClick(Sender: TObject);
begin
   Tool.PostMsg(tm_NewText, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_SelectClick(Sender: TObject);
begin
   Tool.PostMsg(tm_MSEdit, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Vlastnosti1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SetupSelect, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Nahoru1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SelectUp, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Dospod1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SelectDown, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Odstranit1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_DeleteSelect, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Nov1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_New, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Otevt1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_Open, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Uloit1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_Save, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Uloitjako1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SaveAs, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_fillClick(Sender: TObject);
begin
   Tool.PostMsg(tm_BrushStyleChange, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Navrch1Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SelectToTop, Tool, nil, DontKill);
end;

procedure TGNEditorForm.Dospod2Click(Sender: TObject);
begin
   Tool.PostMsg(tm_SelectToBottom, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_ZoomOutClick(Sender: TObject);
begin
  Tool.PostMsg(tm_ZoomOut, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_PointToCenterClick(Sender: TObject);
begin
  Tool.PostMsg(tm_Viewer, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_NewTextClick(Sender: TObject);
begin
  Tool.PostMsg(tm_NewTextTool, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_EditTextClick(Sender: TObject);
begin
  Tool.PostMsg(tm_EditTextTool, Tool, nil, DontKill);
end;


procedure TGNEditorForm.b_ShowZMClick(Sender: TObject);
begin
  Tool.PostMsg(tm_ViewZM, Tool, nil, DontKill);
end;

procedure TGNEditorForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   Tool.PostKeyEvent(tm_KeyDown, Tool, Key, Shift);
end;



procedure TGNEditorForm.FormKeyPress(Sender: TObject; var Key: Char);
var
  Kl: char;
begin
end;


procedure TGNEditorForm.b_ShowWSpaceClick(Sender: TObject);
begin
  Tool.PostMsg(tm_WSpaceShow, Tool, nil, DontKill);
end;

procedure TGNEditorForm.bbWSCenterClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'C', Tool);
end;

procedure TGNEditorForm.bbWSUpClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'U', Tool);
end;

procedure TGNEditorForm.bbWSULClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'X', Tool);
end;

procedure TGNEditorForm.bbWSURClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'Y', Tool);
end;

procedure TGNEditorForm.bbWSLeftClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'L', Tool);
end;

procedure TGNEditorForm.bbWSRightClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'R', Tool);
end;

procedure TGNEditorForm.bbWSDLClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'V', Tool);
end;

procedure TGNEditorForm.bbWSDownClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'D', Tool);
end;

procedure TGNEditorForm.bbWSDRClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_WSpaceMove, 'W', Tool);
end;

procedure TGNEditorForm.PaintBoxPaint(Sender: TObject);
begin
  Tool.PostMsg(tm_AfterReview, Tool, nil, DontKill);
end;

procedure TGNEditorForm.PaintBoxDblClick(Sender: TObject);
begin
  Tool.PostMsg(tm_ConfirmPosition, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_ShowTextClick(Sender: TObject);
begin
  Tool.PostTextMsg(tm_TableTextShow, 'Y', Tool);
end;


procedure TGNEditorForm.b_ShowRasClick(Sender: TObject);
begin
  Tool.PostMsg(tm_ShowRAS, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_ShowRasMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   if Button = mbRight then
      Tool.PostMsg(tm_SetRAS, Tool, nil, DontKill);
end;

procedure TGNEditorForm.FormPaint(Sender: TObject);
begin
    Tool.PostMsg(tm_AfterReview, Tool, nil, DontKill);
end;

procedure TGNEditorForm.TimerTimer(Sender: TObject);
begin
  Tool.PostMsg(tm_ViewActualTextTimer, Tool, nil, DontKill);
end;

procedure TGNEditorForm.b_ShowWSpaceMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   if Button = mbRight then
      Tool.PostMsg(tm_WSpaceSet, Tool, nil, DontKill)
end;


procedure TGNEditorForm.Nslednvez1Click(Sender: TObject);
begin
  TGNEditorFormTool(Tool).on_tm_NextProjection
end;



procedure TGNEditorForm.PedchozvezF81Click(Sender: TObject);
begin
  TGNEditorFormTool(Tool).on_Tm_PrevProjection
end;



procedure TGNEditorForm.PShowMLClick(Sender: TObject);
begin
   Screen.Cursor := crHourGlass;
   UkazForm;
end;


procedure TGNEditorForm.ImageDragDrop(Sender, Source: TObject; X,
  Y: Integer);
begin
   Tool.PostMouseEvent(tm_DragDrop, Tool, mbLeft, [], 0, 0, IsActive);
end;

procedure TGNEditorForm.ImageDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
begin
   Tool.PostMouseEvent(tm_DragOver, Tool, mbLeft, [], X, Y, IsActive);
end;

procedure TGNEditorForm.ImageEndDrag(Sender, Target: TObject; X,
  Y: Integer);
begin
   Tool.PostMouseEvent(tm_DragEnd, Tool, mbLeft, [], 0, 0, IsActive);
end;

procedure TGNEditorForm.ImageMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
 Tool.PostMouseEvent(tm_MouseDown, Tool, Button, Shift, X, Y, IsActive);
end;

procedure TGNEditorForm.ImageMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  Tool.PostMouseEvent(tm_MouseMove, Tool, mbLeft, Shift, X, Y, IsActive);
end;

procedure TGNEditorForm.ImageMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Tool.PostMouseEvent(tm_MouseUp, Tool, Button, Shift, X, Y, IsActive);
  IsActive := true;
end;

procedure TGNEditorForm.ImageStartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin
   Tool.PostMouseEvent(tm_StartDrag, Tool, mbLeft, [], 0, 0, IsActive);
end;

END.
