unit F_PassDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

type
  TPassDlg = class(TForm)
    Label1: TLabel;
    EUser: TEdit;
    EPass: TEdit;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
    PocetPokusu : Integer;
  public
    { Public declarations }
  end;

var
  PassDlg: TPassDlg;

implementation

Uses IniFiles, F_Start;

{$R *.DFM}

procedure TPassDlg.FormCreate(Sender: TObject);
var MyIni : TIniFile;
begin
  MyIni := TIniFile.Create(ChangeFileExt(ExtractFileName(Application.ExeName),'.INI'));
    EUser.Text := MyIni.ReadString('PRIHLASENI','Uzivatel','');
  MyIni.free;

  Pocetpokusu := 1;
end;

procedure TPassDlg.BitBtn1Click(Sender: TObject);
var MyIni : TIniFile;
begin
  if (EUser.Text <> '') and (EPass.Text <> '') then
    begin
      F_StartForm.Database.Params.Values['USERNAME'] := EUser.Text;
      F_StartForm.Database.Params.Values['PASSWORD'] := EPass.Text;
      try
        F_StartForm.Database.Open;
        MyIni := TIniFile.Create(ChangeFileExt(ExtractFileName(Application.ExeName),'.INI'));
        MyIni.WriteString('PRIHLASENI','Uzivatel',EUser.Text);
        MyIni.free;
      except on E:EDatabaseError do
        begin
          ShowMessage('Nespn pihlen.'+#13#10+'Chybov hlen:'+#13#10+E.message);
          inc(PocetPokusu);
          if Pocetpokusu = 3 then Application.Terminate;
          Abort;
        end
      end;
    end;
end;

procedure TPassDlg.BitBtn2Click(Sender: TObject);
begin
  Application.Terminate;
end;

end.

