unit F_PassDg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

type
  TPassDlg = class(TForm)
    Label1: TLabel;
    EUser: TEdit;
    EPass: TEdit;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
    PocetPokusu : Integer;
    MuzesZavritOkno: Boolean;
  public
    { Public declarations }
  end;

var
  PassDlg: TPassDlg;

implementation

Uses
DB,
IniFiles,
F_main;

{$R *.DFM}

procedure TPassDlg.FormCreate(Sender: TObject);
var MyIni : TIniFile;
begin
  MyIni := TIniFile.Create(ChangeFileExt(ExtractFileName(Application.ExeName),'.INI'));
    EUser.Text := MyIni.ReadString('PRIHLASENI','Uzivatel','');
  MyIni.free;

  Pocetpokusu := 0;
  MuzesZavritOkno := False;
end;

procedure TPassDlg.BitBtn1Click(Sender: TObject);
var MyIni : TIniFile;
begin
  if (EUser.Text <> '') and (EPass.Text <> '') then
    begin
      MainForm.Database.Params.Values['USER NAME'] := EUser.Text;
      MainForm.Database.Params.Values['PASSWORD'] := EPass.Text;
      try
        MainForm.Database.Open;
        MyIni := TIniFile.Create(ChangeFileExt(ExtractFileName(Application.ExeName),'.INI'));
        MyIni.WriteString('PRIHLASENI','Uzivatel',EUser.Text);
        MyIni.free;
        MuzesZavritOkno := True;
      except on E:EDatabaseError do
        begin
          ShowMessage('Nespn pihlen.'+#13#10+'Chybov hlen:'+#13#10+E.message);
          inc(PocetPokusu);
          if Pocetpokusu >= 3 then
          begin
             ModalResult:= mrCancel;
             MuzesZavritOkno := True;
          end
        end
      end;
    end
    else
    begin
      inc(PocetPokusu);
      if Pocetpokusu >= 3 then
      begin
         ModalResult:= mrCancel;
         MuzesZavritOkno := True;
      end
    end;

end;

procedure TPassDlg.BitBtn2Click(Sender: TObject);
begin
  MuzesZavritOkno := True;
end;

procedure TPassDlg.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose := MuzesZavritOkno;
end;

end.

