unit Fabout1;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Timer1: TTimer;
    Image1: TImage;
    BitBtn1: TBitBtn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    BM: integer;

    procedure ChangeBM;
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.ChangeBM;
var
   ch: array[0..30] of char;
   s : string;
begin
   inc(BM);

   if BM > 30 then BM := 1;
   s := 'BITMAP_'+ IntToStr(BM);
   StrPCopy(ch, s);
   Image1.Picture.Bitmap.Handle := LoadBitmap(HInstance, ch);
end;



procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Action := caFree;
end;



procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
   ChangeBM;
end;



procedure TAboutBox.FormCreate(Sender: TObject);
var
   ch: array[0..30] of char;
begin
   StrPCopy(ch, 'ProgrIcon');
//   Image2.Picture.Bitmap.Handle := LoadBitmap(HInstance, ch);

end;

end.

