unit Uresult;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, StdCtrls, ExtCtrls, Buttons, DB, DBTables,
  DBGrids;

type
  TFResult = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    SaveDialog1: TSaveDialog;
    BitBtn3: TBitBtn;
    Table1: TTable;
    SaveDialog2: TSaveDialog;
    BM: TBatchMove;
    DBG: TDBGrid;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
   Nazev : String;
    { Public declarations }
  end;

var
  FResult: TFResult;

implementation

Uses IniFiles;

{$R *.DFM}

procedure TFResult.FormShow(Sender: TObject);
begin
  Screen.Cursor := crDefault;
end;



procedure TFResult.FormClose(Sender: TObject; var Action: TCloseAction);
var IniFile : TIniFile;
begin
  if Nazev = '' then exit;

  IniFile := TIniFile.Create(Nazev);

  if Memo1.Visible then
    begin
      IniFile.WriteInteger('SQLDotaz','MResultLeva',Left);
      IniFile.WriteInteger('SQLDotaz','MResultHorni',Top);
      IniFile.WriteInteger('SQLDotaz','MResultSirka',Width);
      IniFile.WriteInteger('SQLDotaz','MResultVyska',Height);
    end  else
      begin
        IniFile.WriteInteger('SQLDotaz','GResultLeva',Left);
        IniFile.WriteInteger('SQLDotaz','GResultHorni',Top);
        IniFile.WriteInteger('SQLDotaz','GResultSirka',Width);
        IniFile.WriteInteger('SQLDotaz','GResultVyska',Height);
      end;

  IniFile.free;

  Action := caFree;
end;

procedure TFResult.BitBtn1Click(Sender: TObject);
Var
F,text3 : TextFile;
Radek,Nadpis,Oddelovac,cil,Zdroj,Lok : String;
Sep,OldSep : String [1];
i : integer;
begin
 OldSep := DecimalSeparator;
 Sep := InputBox('Vstupn pole', 'Oddlova desetinnch mst', decimalseparator);
 DecimalSeparator := Sep [1];
 Oddelovac := InputBox('Vstupn pole', 'Oddlova datovch poloek', ';');

 {AssignFile(F,'c:\data.dat');}
 if SaveDialog1.Execute then
 begin
  AssignFile(F,SaveDialog1.FileName);
  Screen.Cursor := CrHourGlass;
  Rewrite(F);
  {Write(F,Edit1.Text+'  '+Edit2.Text);}
{  Writeln(F,'Obdob od '+MaskEdit1.Text+' do '+MaskEdit2.Text);}
{  Writeln(F,'');}
{  if Edit1.Text = '' then
  begin
   if RadioButton1.Checked then Lok := RadioButton1.Caption;
   if RadioButton2.Checked then Lok := RadioButton2.Caption;
   if RadioButton3.Checked then Lok := RadioButton3.Caption;
   Writeln(F,'Lokality '+Lok);
   Writeln(F,'');
  end else
  begin
   Writeln(F,Edit1.Text+' '+Edit2.Text);
   Writeln(F,'');
  end;}
  Nadpis:='';
  for i := 0 to DbG.FieldCount-1 do
    begin
     Nadpis := Nadpis + DbG.Fields[i].DisplayLabel;
     if (i <> DbG.FieldCount-1) then Nadpis := Nadpis + Oddelovac;
    end;
   Writeln(F,Nadpis);  {Zapise hlavicku}
   DBG.DataSource.DataSet.First;
   DBG.DataSource.DataSet.DisableControls;
   while not DBG.DataSource.DataSet.EOF do
   begin
    Radek := '';
    for i := 0 to DbG.FieldCount-1 do  {Nascita datovou vetu do radku}
    begin
     Radek := Radek+ DbG.Fields[i].AsString;
     if (i <> DbG.FieldCount-1) then Radek := Radek + Oddelovac;
    end;
    Writeln(F,Radek);  {Zapise radek}
    DBG.DataSource.DataSet.next;       {Dalsi veta}
   end;
   CloseFile(F);
   DBG.DataSource.DataSet.First;
   DBG.DataSource.DataSet.EnableControls;
   Screen.Cursor := CrDefault;
   Decimalseparator := OldSep[1];
  end else
    begin
      messagedlg('Chybn zadan jmno souboru', mtInformation, [mbOK],0);
    end;
 end;

procedure TFResult.BitBtn2Click(Sender: TObject);
var  i,j : Integer;
     SouborExp, CestaExp, TabulkaExp : string;

     A: array[0..79] of Char;
     S: String;
begin
 if DBG.DataSource.DataSet.Active = false then
  begin
   messagedlg('Nen natena dn tabulka',mtWarning,[mbOK],0);
   exit;
  end;
 if DBG.DataSource.DataSet.RecordCount=0 then
  begin
   messagedlg('V tabuce nejsou dn zznamy',mtInformation,[mbOK],0);
   exit;
  end;
  BM.Source := DBG.DataSource.DataSet;
  if SaveDialog2.Execute then
    begin
      SouborExp := SaveDialog2.FileName;
      CestaExp := ExtractFilePath(SouborExp);
      TabulkaExp := ExtractFileName(SouborExp);

      StrPCopy(A, S);
      DeleteFile(A);

      {***}
        Screen.Cursor := crHourGlass;
        Table1.Active := false;
        Table1.DatabaseName := CestaExp;
        Table1.TableName := TabulkaExp;
        Table1.TableType := ttDBase;

        Table1.FieldDefs.Clear;
        for i:=0 to DBG.DataSource.DataSet.FieldCount -1 do
          begin
            Table1.FieldDefs.Add(DBG.DataSource.DataSet.Fields[i].FieldName,
                                 DBG.DataSource.DataSet.Fields[i].DataType { ftString},
                                 DBG.DataSource.DataSet.Fields[i].Size {15} ,
                                 DBG.DataSource.DataSet.Fields[i].Required);
          end;
      {***}
        try
          Table1.CreateTable;
          Table1.Open;
          Table1.Close;
          Table1.EmptyTable;
          BM.Execute;
          Table1.Open;
          Table1.Close;
        finally
          Screen.Cursor := crDefault;
        end;
    end;
end;


procedure TFResult.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

end.
