unit a_Les;

interface

uses
  ComObj, Heleles_TLB;

type
  TAutoLes = class(TAutoObject, IAutoLes)
  protected
    function Get_LHCDir: WideString; safecall;
    function Get_Result: WideString; safecall;
    procedure Set_CommandLine(const Value: WideString); safecall;
    procedure Set_LHCDir(const Value: WideString); safecall;
    function Get_DIL: WideString; safecall;
    function Get_LHC: WideString; safecall;
    function Get_ODD: WideString; safecall;
    function Get_POR: WideString; safecall;
    function Get_PSk: WideString; safecall;
    procedure Set_DIL(const Value: WideString); safecall;
    procedure Set_LHC(const Value: WideString); safecall;
    procedure Set_ODD(const Value: WideString); safecall;
    procedure Set_POR(const Value: WideString); safecall;
    procedure Set_PSk(const Value: WideString); safecall;
    procedure ShowForest; safecall;
    function Get_Text: WideString; safecall;
    procedure Set_Text(const Value: WideString); safecall;
    function Get_WindowName: WideString; safecall;
    procedure Set_WindowName(const Value: WideString); safecall;
  end;

implementation

uses
ComServ,
// KERNEL
Worlds,
// MAIN
T_Main,
// .
  U_HelStr;

function TAutoLes.Get_LHCDir: WideString;
begin
  result:= TMainTool(world.MainTool).Options.DataDirectory;
end;

function TAutoLes.Get_Result: WideString;
begin
  result:= TMainTool(world.MainTool).CommandLine.ResultLine
end;

procedure TAutoLes.Set_CommandLine(const Value: WideString);
begin
  TMainTool(world.MainTool).CommandLine.Line:= Value;
  TMainTool(world.MainTool).CommandLine.DoIt;
end;

procedure TAutoLes.Set_LHCDir(const Value: WideString);
begin
  TMainTool(world.MainTool).Options.DataDirectory:= Value;
end;


function TAutoLes.Get_DIL: WideString;
begin
  result:= TMainTool(world.MainTool).Dilec;
end;

function TAutoLes.Get_LHC: WideString;
begin
  result:= TMainTool(world.MainTool).LHC;
end;

function TAutoLes.Get_ODD: WideString;
begin
  result:= TMainTool(world.MainTool).Oddeleni;
end;

function TAutoLes.Get_POR: WideString;
begin
  result:= TMainTool(world.MainTool).Porost;
end;

function TAutoLes.Get_PSk: WideString;
begin
  result:= TMainTool(world.MainTool).Skupina;
end;

procedure TAutoLes.Set_DIL(const Value: WideString);
begin
  TMainTool(world.MainTool).Dilec:= Value;
end;

procedure TAutoLes.Set_LHC(const Value: WideString);
begin
  TMainTool(world.MainTool).LHC:= Value;
end;

procedure TAutoLes.Set_ODD(const Value: WideString);
begin
  TMainTool(world.MainTool).Oddeleni:= Value;
end;

procedure TAutoLes.Set_POR(const Value: WideString);
begin
  TMainTool(world.MainTool).Porost:= Value;
end;

procedure TAutoLes.Set_PSk(const Value: WideString);
begin
  TMainTool(world.MainTool).Skupina:= BezMezer(Value);
end;

procedure TAutoLes.ShowForest;
begin
  TMainTool(world.MainTool).ShowTheForest
end;

function TAutoLes.Get_Text: WideString;
begin
  result:= TMainTool(world.MainTool).Text;
end;

procedure TAutoLes.Set_Text(const Value: WideString);
begin
  TMainTool(world.MainTool).Text:= Value;
end;

function TAutoLes.Get_WindowName: WideString;
begin
  result:= TMainTool(world.MainTool).WindowName;
end;

procedure TAutoLes.Set_WindowName(const Value: WideString);
begin
  TMainTool(world.MainTool).WindowName:= Value;
end;

initialization
  TAutoObjectFactory.Create(ComServer, TAutoLes, Class_AutoLes, ciMultiInstance);
end.
