unit f_Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  F_MAIN2, Menus, ComCtrls, ExtCtrls, StdCtrls, Buttons, ImgList;

type
  TMainForm = class(TMainForm2)
    Import1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    ed_LHC: TComboBox;
    ed_Oddeleni: TComboBox;
    ed_Dilec: TComboBox;
    ed_Porost: TComboBox;
    ed_Skupina: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Image1: TImage;
    ProgressBar: TProgressBar;
    MapPictures: TImageList;
    MapPicture: TImage;
    Bevel2: TBevel;
    l_Mapa: TLabel;
    MapList: TListView;
    Image2: TImage;
    cbConnect: TCheckBox;
    Bevel3: TBevel;
    BitBtn1: TBitBtn;
    procedure Import1Click(Sender: TObject);
    procedure ed_LHCChange(Sender: TObject);
    procedure ed_LHCExit(Sender: TObject);
    procedure ed_OddeleniChange(Sender: TObject);
    procedure ed_OddeleniExit(Sender: TObject);
    procedure ed_DilecChange(Sender: TObject);
    procedure ed_DilecExit(Sender: TObject);
    procedure ed_PorostChange(Sender: TObject);
    procedure ed_PorostExit(Sender: TObject);
    procedure ed_SkupinaChange(Sender: TObject);
    procedure ed_SkupinaExit(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure MapPictureClick(Sender: TObject);
    procedure l_MapaClick(Sender: TObject);
    procedure MapListClick(Sender: TObject);
    procedure btPripojClick(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure cbConnectClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure DisplayHint(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation
uses
   t_Loader,{!!!!!!!!!!!!!!!!!!!!!!!!11}
   Elements,
   M_Proj,
   t_Main;
{$R *.DFM}


procedure TMainForm.DisplayHint(Sender: TObject);
begin
   StatusBar.Panels[0].Text := Application.Hint;
end;


procedure TMainForm.Import1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_ImportBLK, Tool, nil, DontKill);
end;

procedure TMainForm.ed_LHCChange(Sender: TObject);
begin
   inherited;
   if ed_LHC.Text = 'Nov LHC' then Tool.PostMsg(tm_NewLHC, Tool, nil, DontKill)
   else
   begin
      if ed_LHC.Items.IndexOf(ed_LHC.Text) < 0 then exit;
      TMainTool(Tool).LHC := ed_LHC.Text;
   end;
end;

procedure TMainForm.ed_LHCExit(Sender: TObject);
begin
  inherited;
  if ed_LHC.Items.IndexOf(ed_LHC.Text) < 0 then
  begin
     TMainTool(Tool).Text := 'LHC neexistuje ... zkuste to znovu';
     ed_LHC.SetFocus;
  end;
end;

procedure TMainForm.ed_OddeleniChange(Sender: TObject);
begin
   inherited;
   if (ed_Oddeleni.Text <> '') and (ed_Oddeleni.Items.IndexOf(ed_Oddeleni.Text) < 0) then exit;
   TMainTool(Tool).ODDELENI := ed_Oddeleni.Text;
end;


procedure TMainForm.ed_OddeleniExit(Sender: TObject);
begin
  inherited;
  if (ed_Oddeleni.Text <> '') and (ed_Oddeleni.Items.IndexOf(ed_Oddeleni.Text) < 0) then
  begin
     TMainTool(Tool).Text := 'Oddlen neexistuje ... zkuste to znovu';
     ed_Oddeleni.SetFocus;
  end;
end;

procedure TMainForm.ed_DilecChange(Sender: TObject);
begin
   inherited;
   if (ed_Dilec.Text <> '') and (ed_Dilec.Items.IndexOf(ed_Dilec.Text) < 0) then exit;
   TMainTool(Tool).Dilec := ed_Dilec.Text;
end;

procedure TMainForm.ed_DilecExit(Sender: TObject);
begin
  inherited;
  if (ed_Dilec.Text <> '') and (ed_Dilec.Items.IndexOf(ed_Dilec.Text) < 0) then
  begin
     TMainTool(Tool).Text := 'Dlec neexistuje ... zkuste to znovu';
     ed_Dilec.SetFocus;
  end;
end;

procedure TMainForm.ed_PorostChange(Sender: TObject);
begin
   inherited;
   if (ed_Porost.Text <> '')and(ed_Porost.Items.IndexOf(ed_Porost.Text) < 0) then exit;
   TMainTool(Tool).Porost := ed_Porost.Text;
end;

procedure TMainForm.ed_PorostExit(Sender: TObject);
begin
  inherited;
  if (ed_Porost.Text <> '')and(ed_Porost.Items.IndexOf(ed_Porost.Text) < 0) then
  begin
     TMainTool(Tool).Text := 'Porost neexistuje ... zkuste to znovu';
     ed_Porost.SetFocus;
  end;
end;

procedure TMainForm.ed_SkupinaChange(Sender: TObject);
begin
   inherited;
   if (ed_Skupina.Text <> '') and (ed_Skupina.Items.IndexOf(ed_Skupina.Text) < 0) then exit;
   TMainTool(Tool).Skupina := ed_Skupina.Text;
end;

procedure TMainForm.ed_SkupinaExit(Sender: TObject);
begin
  inherited;
  if (ed_Skupina.Text <> '') and (ed_Skupina.Items.IndexOf(ed_Skupina.Text) < 0) then
  begin
     TMainTool(Tool).Text := 'Skupina neexistuje ... zkuste to znovu';
     ed_Skupina.SetFocus;
  end;
end;

procedure TMainForm.Image1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_ShowLHC, Tool, nil, DontKill);
end;


procedure TMainForm.FormCreate(Sender: TObject);
begin
  inherited;
  Application.HintColor := clLime;
  Application.OnHint := DisplayHint;
end;

procedure TMainForm.MapPictureClick(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Map, Tool, nil, DontKill);
end;

procedure TMainForm.l_MapaClick(Sender: TObject);
begin
   inherited;
   MapPictureClick(nil);
end;

procedure TMainForm.MapListClick(Sender: TObject);
begin
   inherited;
   TMainTool(Tool).MapName := MapList.Selected.Caption + ' mapa';
end;

procedure TMainForm.btPripojClick(Sender: TObject);
begin
  inherited;
  TMainTool(Tool).ConnectTaxView;
end;

procedure TMainForm.Image2Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetOptions, Tool, nil, DontKill);
end;

procedure TMainForm.cbConnectClick(Sender: TObject);
begin
  inherited;
  if CBConnect.Checked then
     TMainTool(Tool).ConnectTaxView
  else
     TMainTool(Tool).DisConnectTaxView
end;

procedure TMainForm.BitBtn1Click(Sender: TObject);
var
  x,y : integer;
  BitMap : TBitMap;
  P : PByteArray;
begin
  BitMap := TBitMap.create;
  try
    BitMap.LoadFromFile('e:\kos\maps.bmp');
    for y := 0 to BitMap.height -1 do
    begin
      P := BitMap.ScanLine[y];
      for x := 0 to BitMap.width -1 do
        P[x] := y;
    end;
  canvas.draw(0,0,BitMap);
  finally
    BitMap.free;
  end;
end;

end.
