unit f_Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  F_MAIN2, Menus, ComCtrls, ExtCtrls, StdCtrls, Buttons, ImgList, ToolWin,
  ActnList, MenuBar;

type
  TMainForm = class(TMainForm2)
    Import1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    ProgressBar: TProgressBar;
    Nastaven1: TMenuItem;
    N3: TMenuItem;
    Sloky1: TMenuItem;
    Barevnpaleta1: TMenuItem;
    Roiujcmoduly1: TMenuItem;
    b_Quit: TBitBtn;
    ToolBar: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ActionList: TActionList;
    Action1: TAction;
    Action2: TAction;
    Action3: TAction;
    Action4: TAction;
    Action5: TAction;
    ImageList: TImageList;
    OILII1: TMenuItem;
    MenuBar1: TMenuBar;
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Novprojekt1: TMenuItem;
    huhu1: TMenuItem;
    Nastaven2: TMenuItem;
    Otevtprojekt1: TMenuItem;
    UloitProjekt1: TMenuItem;
    Uloitprojektpodnzvem1: TMenuItem;
    N4: TMenuItem;
    Komecaplikace1: TMenuItem;
    Projekt1: TMenuItem;
    Npovda1: TMenuItem;
    OAplikaci1: TMenuItem;
    procedure Import1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure b_OptionsClick(Sender: TObject);
    procedure b_GuideClick(Sender: TObject);
    procedure b_TemplateClick(Sender: TObject);
    procedure Barevnpaleta1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Roiujcmoduly1Click(Sender: TObject);
    procedure Action1Execute(Sender: TObject);
    procedure OILII1Click(Sender: TObject);
    procedure Novprojekt1Click(Sender: TObject);
    procedure Otevtprojekt1Click(Sender: TObject);
    procedure UloitProjekt1Click(Sender: TObject);
    procedure Uloitprojektpodnzvem1Click(Sender: TObject);
    procedure Komecaplikace1Click(Sender: TObject);
    procedure Projekt1Click(Sender: TObject);
    procedure OAplikaci1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure DisplayHint(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation
uses
   {!t_Main,}
   f_ProgEdit,
   f_PlugIn,
   t_Loader,{!!!!!!!!!!!!!!!!!!!!!!!!11}
   Elements,
   M_Orbis,
   M_Proj;
{$R *.DFM}


procedure TMainForm.DisplayHint(Sender: TObject);
begin
   StatusBar.Panels[0].Text := Application.Hint;
end;


procedure TMainForm.Import1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_ImportBLK, Tool, nil, DontKill);
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  inherited;
  Application.HintColor := clLime;
  Application.OnHint := DisplayHint;
end;

procedure TMainForm.b_OptionsClick(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetOptions, Tool, nil, DontKill);
end;

procedure TMainForm.b_GuideClick(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Pruvodce, Tool, nil, DontKill);
end;

procedure TMainForm.b_TemplateClick(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Template, Tool, nil, DontKill);
end;

procedure TMainForm.Barevnpaleta1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetPalette,  Tool, nil, DontKill)
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  inherited;
  LoadPackage('e:\orbis32\exe\test1.bpl');
end;

procedure TMainForm.Roiujcmoduly1Click(Sender: TObject);
var
   D: TPlugInDialog;
begin
   inherited;
   Application.CreateForm(TPlugInDialog,D);
   D.ShowModal;
   D.Free;
end;

procedure TMainForm.Action1Execute(Sender: TObject);
begin
   inherited;
   Tool.PostTextMsg(tm_Run, TAction(Sender).Category, Tool);
end;

procedure TMainForm.OILII1Click(Sender: TObject);
var
   F: TProgedit;
begin
   inherited;
   F := TProgEdit.Create(Application);
   F.Show;
end;

procedure TMainForm.Novprojekt1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_NewProject,Tool,nil,false);
end;

procedure TMainForm.Otevtprojekt1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_OpenProject,Tool,nil,false);
end;

procedure TMainForm.UloitProjekt1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SaveProject,Tool,nil,false);
end;

procedure TMainForm.Uloitprojektpodnzvem1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SaveProjectAs,Tool,nil,false);
end;

procedure TMainForm.Komecaplikace1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_QuitTask, Tool, nil, DontKill);
end;

procedure TMainForm.Projekt1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetupProject, Tool, nil, DontKill);
end;

procedure TMainForm.OAplikaci1Click(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_About, Tool, nil, DontKill);
end;

END.
