unit f_Main;

interface

uses
{$IFDEF HintShadow}
  HintShadow,
{$ENDIF}
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  f_OrbisForm, Menus, ToolWin, ComCtrls, MenuBar, ExtCtrls, StdCtrls,
  ActnList, r_OrbisFrame;

type
  TMainForm = class(TORBISForm)
    ControlBar1: TControlBar;
    MenuBar: TMenuBar;
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    m_NewProject: TMenuItem;
    huhu1: TMenuItem;
    Nastaven2: TMenuItem;
    Npovda1: TMenuItem;
    AnimatePanel: TPanel;
    Animate: TAnimate;
    ActionList: TActionList;
    a_OpenProject: TAction;
    StatusBar: TStatusBar;
    a_NewProject: TAction;
    a_SaveProject: TAction;
    a_SaveProjectAs: TAction;
    a_Exit: TAction;
    a_StatusBar: TAction;
    a_GraphicEditor: TAction;
    a_WorldModel: TAction;
    a_ToolModel: TAction;
    a_ObjectModel: TAction;
    a_OIL: TAction;
    a_Options: TAction;
    a_ColorPalette: TAction;
    a_PlugIns: TAction;
    a_About: TAction;
    OtevtProjekt1: TMenuItem;
    UloitProjekt1: TMenuItem;
    Uloitprojektpodnzvem1: TMenuItem;
    N1: TMenuItem;
    Konecaplikace1: TMenuItem;
    aGraphicEditor1: TMenuItem;
    EditorjazykaOIL1: TMenuItem;
    N2: TMenuItem;
    Strukturasvta1: TMenuItem;
    Strukturanstroj1: TMenuItem;
    Strukturaobjektovhomodelu1: TMenuItem;
    N3: TMenuItem;
    Stavovdek1: TMenuItem;
    Vlastnostiaplikace1: TMenuItem;
    RoziujcmodulyPlugins1: TMenuItem;
    Barevnpaleta1: TMenuItem;
    Oaplikaci1: TMenuItem;
    Projekt1: TMenuItem;
    a_DataImport: TAction;
    a_DataExport: TAction;
    ImportdatzTopoLu1: TMenuItem;
    ExportdatdoTopoLu1: TMenuItem;
    a_ProjectOptions: TAction;
    N4: TMenuItem;
    VlastnostiProjektu1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    a_ProjectManager: TAction;
    StavprojektuManaerprojektu1: TMenuItem;
    Timer: TTimer;
    a_ArchiveProjectAs: TAction;
    Zlohovatprojektpodnzvem1: TMenuItem;
    ST1: TMenuItem;
    N11: TMenuItem;
    N21: TMenuItem;
    a_SilentOil: TAction;
    OILvtichmmdu1: TMenuItem;
    N5: TMenuItem;
    OpenOIL: TOpenDialog;
    D1: TMenuItem;
    DEBUG1: TMenuItem;
    Verze1: TMenuItem;
    Help_: TMenuItem;
    a_Help: TAction;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure a_ExitExecute(Sender: TObject);
    procedure a_OpenProjectExecute(Sender: TObject);
    procedure a_NewProjectExecute(Sender: TObject);
    procedure a_SaveProjectExecute(Sender: TObject);
    procedure a_SaveProjectAsExecute(Sender: TObject);
    procedure a_AboutExecute(Sender: TObject);
    procedure a_OptionsExecute(Sender: TObject);
    procedure a_ColorPaletteExecute(Sender: TObject);
    procedure a_OILExecute(Sender: TObject);
    procedure a_WorldModelExecute(Sender: TObject);
    procedure a_ToolModelExecute(Sender: TObject);
    procedure a_ObjectModelExecute(Sender: TObject);
    procedure a_StatusBarExecute(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure a_ProjectOptionsExecute(Sender: TObject);
    procedure a_DataImportExecute(Sender: TObject);
    procedure a_DataExportExecute(Sender: TObject);
    procedure a_GraphicEditorExecute(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure m_ExportZAKClick(Sender: TObject);
    procedure a_ProjectManagerExecute(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure a_ArchiveProjectAsExecute(Sender: TObject);
    procedure ST1Click(Sender: TObject);
    procedure a_SilentOilExecute(Sender: TObject);
    procedure D1Click(Sender: TObject);
    procedure DEBUG1Click(Sender: TObject);
    procedure a_PlugInsExecute(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Verze1Click(Sender: TObject);
    procedure a_HelpExecute(Sender: TObject);
  private
  public
    procedure DisplayHint(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation
uses
   {!!!!}
   f_Test,
   t_Orbis_XML,
   //f_ProgEdit,
   {!!!!}
   IniFiles,
   FileVersion,
   f_PlugIn,
   m_Orbis,
   m_Proj,
   t_Main,
   u_String,
   Worlds, Elements;
{$R *.DFM}

procedure TMainForm.DisplayHint(Sender: TObject);
begin
   StatusBar.SimpleText := Application.Hint;
end;


procedure TMainForm.FormCreate(Sender: TObject);
var
   Ini: TIniFile;
   S: string;
   FV: TFileVersion;
begin
   inherited;
   try
      FV := TFileVersion.Create;
      FV.FileName := ParamStr(0);
      Caption := FV.ProductName + ' verze ' + FV.FileVersion;
      //if TimeWall <> 0 then Caption := Caption + ' neregistrovan demo';
      //TimeWall := T + EncodeTime(0, twTimeWall, 0, 0);
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);
      Left        := Ini.ReadInteger('MainForm','Left', Left);
      Top         := Ini.ReadInteger('MainForm','Top', Top);
      Width       := Ini.ReadInteger('MainForm','Width', Width);
      Height      := Ini.ReadInteger('MainForm','Height', Height);
      MenuBar.Left:= Ini.ReadInteger('MainForm','MenuBar_Left', 0);
      MenuBar.Top:= Ini.ReadInteger('MainForm','MenuBar_Top', 0);
      AnimatePanel.Left:= Ini.ReadInteger('MainForm','AnimatePanel_Left', 0);
      AnimatePanel.Top:= Ini.ReadInteger('MainForm','AnimatePanel_Top', 0);

      Ini.Free;
      //b_Directory.Hint := 'Data: ' + TMainTool(World.MainTool).Options.DataDirectory;
      S := ParamStr(0);
      S := ExtractFilePath(S);
      Animate.FileName := CheckBackSlash(S)+'ORBIS00M.AVI';
      Animate.Active := true;
      //DragAcceptFiles(Handle, true);
   except
   end;
  inherited;
  Application.HintColor := clLime;
  Application.OnHint := DisplayHint;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
var
   Ini: TIniFile;
begin
   inherited;
   try
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);

      Ini.WriteInteger('MainForm','Left', Left);
      Ini.WriteInteger('MainForm','Top', Top);
      Ini.WriteInteger('MainForm','Width', Width);
      Ini.WriteInteger('MainForm','Height', Height);
      Ini.WriteInteger('MainForm','MenuBar_Left', MenuBar.Left);
      Ini.WriteInteger('MainForm','MenuBar_Top', MenuBar.Top);
      Ini.WriteInteger('MainForm','AnimatePanel_Left', AnimatePanel.Left);
      Ini.WriteInteger('MainForm','AnimatePanel_Top', AnimatePanel.Top);
      Ini.Free;
   except
   end;
end;

procedure TMainForm.a_ExitExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_QuitTask,Tool,nil,false);
end;

procedure TMainForm.a_OpenProjectExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_OpenProject,Tool,nil,false);
end;

procedure TMainForm.a_NewProjectExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_NewProject,Tool,nil,false);
end;

procedure TMainForm.a_SaveProjectExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SaveProject,Tool,nil,false);
end;

procedure TMainForm.a_SaveProjectAsExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SaveProjectAs,Tool,nil,false);
end;

procedure TMainForm.a_AboutExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_About,Tool,nil,false);
end;

procedure TMainForm.a_OptionsExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetOptions,Tool,nil,false);
end;

procedure TMainForm.a_ColorPaletteExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetPalette,Tool,nil,false);
end;

procedure TMainForm.a_OILExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_OIL,Tool,nil,false);
end;

procedure TMainForm.a_WorldModelExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Explore,Tool,World,false);
end;

procedure TMainForm.a_ToolModelExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Explore,Tool,World.MainTool,false);
end;

procedure TMainForm.a_ObjectModelExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Explore,Tool,World.ObjectModel,false);
end;

procedure TMainForm.a_StatusBarExecute(Sender: TObject);
begin
   inherited;
   Statusbar.Visible := not StatusBar.Visible;
   a_StatusBar.Checked := StatusBar.Visible;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
   inherited;
   if IsPossibleToClose then
   begin
      CanClose:= true
   end
   else
   begin
      CanClose:= false;
      Tool.PostMsg(tm_QuitTask,  Tool, nil, false)
   end
end;

procedure TMainForm.a_ProjectOptionsExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_SetUpProject,Tool,nil,false);
end;

procedure TMainForm.a_DataImportExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Import,Tool,nil,false);
end;

procedure TMainForm.a_DataExportExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Export,Tool,nil,false);
end;

procedure TMainForm.a_GraphicEditorExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_Editor,Tool,nil,false);
end;

procedure TMainForm.Button1Click(Sender: TObject);
var
   S: TOrbisXMLSaver;
begin
   inherited;
   S := TOrbisXMLSaver.Create;
   S.FileName := 'c:\kos\0.xml';
   S.Input := World.SystemRegister.FindElementName('EDITOR');
   S.DoIt;
   S.Free;
end;

procedure TMainForm.Button2Click(Sender: TObject);
var
   L: TOrbisXMLLoader;
begin
   inherited;
   L := TOrbisXMLLoader.Create;
   L.FileName := 'c:\kos\0.xml';
   L.DoIt;
   World.ObjectModel.NextElement := L.Output;
   L.Free;
end;

procedure TMainForm.m_ExportZAKClick(Sender: TObject);
var
   M: TMenuItem;
begin
   if not (Sender is TMenuItem) then exit;
   M := TMenuItem(Sender);
   Tool.PostTextMsg(tm_Export,'Export'+M.Caption,nil);
end;

procedure TMainForm.a_ProjectManagerExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_ProjectManager,Tool,nil,false);
end;

procedure TMainForm.TimerTimer(Sender: TObject);
begin
   if Tool <> nil then
      Tool.SetPropertyBooleanByName('TimeToAutoSave',true);
end;

procedure TMainForm.a_ArchiveProjectAsExecute(Sender: TObject);
begin
   inherited;
   Tool.PostMsg(tm_ArchiveProjectAs,Tool,nil,false);
end;

procedure TMainForm.ST1Click(Sender: TObject);
begin
   inherited;
   TForm1.Create(Application).Show;
end;

procedure TMainForm.a_SilentOilExecute(Sender: TObject);
begin
   inherited;
   if not OpenOil.Execute then exit;
   Tool.PostTextMsg(tm_Run,OpenOil.FileName,Tool);
end;

procedure TMainForm.D1Click(Sender: TObject);
begin
   if not (Sender is TMenuItem) then exit;
   Tool.PostTextMsg(tm_Run,'LED\Etc\Div\Deleni_Projektu.oil',Tool);
end;

procedure TMainForm.DEBUG1Click(Sender: TObject);
//var
  // T: TProgEdit;
begin
   //T := TProgEdit.Create(Application);
end;

procedure TMainForm.a_PlugInsExecute(Sender: TObject);
var
   D: TPluginDialog;
begin
   D := TPluginDialog.Create(Application);
   D.ShowModal;
   D.Free;
end;

procedure TMainForm.FormResize(Sender: TObject);
begin
   Tool.PostTextMsg(tm_AddToProtocol,'main resize',nil);
end;

procedure TMainForm.Verze1Click(Sender: TObject);
begin
   if not (Sender is TMenuItem) then exit;
   Tool.PostTextMsg(tm_Run,'LED\Etc\Verze\Verze_Info.oil',Tool);
end;

procedure TMainForm.a_HelpExecute(Sender: TObject);
begin
   Tool.PostMsg(tm_Help,Tool,nil,false);
end;

INITIALIZATION
END.
