program Mapper32;

uses
  Forms,
  SysUtils,
  PubUnits in 'PUBUNITS.PAS',
  F_main1 in '..\..\LIB\APP\F_MAIN1.pas' {MainForm1},
  F_start in '..\..\Lib\App\F_start.pas' {f_StartForm},
  F_Main2 in '..\..\LIB\APP\F_MAIN2.pas' {MainForm2},
  e_GFile in '..\..\Lib\GLIB\e_GFile.pas',
  t_SelFil in '..\..\Lib\App\t_SelFil.pas',
  U_cktm in '..\..\Lib\REG\U_Cktm.pas',
  u_BMPs in '..\..\Lib\BMPS\u_BMPs.pas',
  t_Tiletm in '..\TileTemplate\t_Tiletm.pas',
  T_Main in 'T_Main.pas',
  Worlds in '..\..\Lib\Kernel\Worlds.pas',
  u_Shell in '..\..\Lib\0TEMP\u_Shell.pas',
  u_Type in '..\..\Lib\Kernel\u_Type.pas',
  t_ConditionFilter in '..\..\Lib\ConditionFilter\t_ConditionFilter.pas',
  f_ConditionFilter in '..\..\Lib\ConditionFilter\f_ConditionFilter.pas' {ConditionFilterForm},
  e_CompareModel in '..\..\Lib\0TEMP\e_CompareModel.pas',
  e_LHCModel in '..\..\Lib\LHC\e_LHCModel.pas',
  e_Geometry in '..\..\Lib\LHC\e_Geometry.pas',
  e_TaskModel in '..\..\Lib\LHC\e_TaskModel.pas',
  e_ToolModel in '..\..\Lib\LHC\e_ToolModel.pas',
  e_Group in '..\..\Lib\LHC\e_Group.pas',
  t_MultiPageDesktop in '..\..\Lib\Mapper\t_MultiPageDesktop.pas',
  f_ZMDialog in '..\..\Lib\Mapper\f_ZMDialog.pas' {ZMDialog};

{$R *.RES}



BEGIN
   if not CheckModulRegistration(ParamStr(0)) then exit;
   _CreateProcess('InfoPanel.exe',ParamStr(0));
   Application.ProcessMessages;
   Application.Initialize;
   Application.Title := 'Mapper32';
   //Application.CreateForm(Tf_StartForm, f_StartForm);
   TMainTool.CreateWorld;
   if World.MainTool = nil then exit;
   World.MainTool.DoIt;
   Application.Run;
END.
