unit F_option;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TF_Options = class(TForm)
    GroupBox1: TGroupBox;
    ed_Work: TEdit;
    ed_Service: TEdit;
    ed_Data: TEdit;
    ed_EXE: TEdit;
    BitBtn1: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    ed_Template: TEdit;
    Label5: TLabel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}
uses
  FileCtrl,
  F_SelDir;


procedure TF_Options.Button1Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Data.Text) then
      ed_Data.Text:= '';
   DD.Directory.Directory:= ed_Data.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Data.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;

procedure TF_Options.Button2Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Service.Text) then
      ed_Service.Text:= '';
   DD.Directory.Directory:= ed_Service.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Service.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;

procedure TF_Options.Button3Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Template.Text) then
      ed_Template.Text:= '';
   DD.Directory.Directory:= ed_Template.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Template.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;


end.
