unit f_Echo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient, IdEcho, ExtCtrls;

type
  TForm1 = class(TForm)
    Echo: TIdEcho;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    p_Diode: TPanel;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure EchoConnected(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure EchoDisconnected(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
   S: string;
begin
   S := Echo.Echo('Ahoj');
   Edit2.Text := S + ' ' + IntToStr(Echo.EchoTime);
   Echo.Disconnect;
end;

procedure TForm1.EchoConnected(Sender: TObject);
begin
   p_Diode.Color := clLime;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Echo.Host := Edit1.Text;
   Echo.Connect;
   Application.ProcessMessages;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Echo.Disconnect;
end;

procedure TForm1.EchoDisconnected(Sender: TObject);
begin
   p_Diode.Color := clRed;
end;

end.

