unit f_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
   Registry;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
   rgSoft,rgTopolPro,rgRBO,rgRG: string;
   Reg: TRegistry;
   TproExists,SCPExists: boolean;
begin
   rgSoft     := 'SOFTWARE';
   rgTopolPro := rgSoft + '\Topol Pro';
   rgRBO      := rgSoft + '\SCP info';
   rgRG       := rgRBO  +'\RG';
   Reg := TRegistry.Create;
   Reg.RootKey := HKEY_LOCAL_MACHINE;
   if Reg.KeyExists(rgRG) then
   begin
      Label1.Caption := 'Tuto funkci lze volat pouze jednou za lidsk ivot! Je nm to opravdu lto.  Vae Topol Pro s.r.o.';
      Label1.Font.Color := clRed;
      Label1.Font.Style := [fsBold];
   end
   else
   begin
      TproExists := REG.KeyExists(rgTopolPro);
      SCPExists  := REG.KeyExists(rgRBO);
      if not (TproExists or SCPExists) then
      begin
         Label1.Caption := 'Nelze nalzt nic co by souviselo s instalacemi Na firmy.  Vae Topol Pro s.r.o.';
         Label1.Font.Color := clRed;
      end
      else
      begin
         if TproExists then
            Reg.DeleteKey(rgTopolPro);
         if SCPExists then
            Reg.DeleteKey(rgRBO);
         Reg.CreateKey(rgRG);
         Label1.Caption := 'Oprava byla provedena.'
      end;
   end;
   Reg.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   Application.Terminate;
end;

end.
