unit F_option;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TF_Options = class(TForm)
    GroupBox1: TGroupBox;
    ed_Work: TEdit;
    ed_Service: TEdit;
    ed_Data: TEdit;
    ed_EXE: TEdit;
    BitBtn1: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    OpenDialog: TOpenDialog;
    ed_Script: TEdit;
    lb_Template: TLabel;
    b_Script: TButton;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label9: TLabel;
    ed_Run: TEdit;
    ed_DataSet: TEdit;
    ed_Start: TEdit;
    b_Start: TButton;
    b_DataSet: TButton;
    ed_ControlSet: TEdit;
    b_ControlSet: TButton;
    b_Run: TButton;
    Label8: TLabel;
    ed_End: TEdit;
    b_End: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure b_ScriptClick(Sender: TObject);
    procedure b_StartClick(Sender: TObject);
    procedure b_DataSetClick(Sender: TObject);
    procedure b_ControlSetClick(Sender: TObject);
    procedure b_RunClick(Sender: TObject);
    procedure b_EndClick(Sender: TObject);
  private
     function GetScript(Old: string): string;
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}
uses
  FileCtrl,
  f_SelectMultiDir,
  F_SelDir;



function TF_Options.GetScript(Old: string): string;
begin
   OpenDialog.InitialDir := ed_Script.Text;
   if OpenDialog.Execute then result := OpenDialog.FileName
                         else result := Old;
end;



procedure TF_Options.Button1Click(Sender: TObject);
var
   DD: TDialogSelectMultidir;
begin
   DD := TDialogSelectMultidir.Create(Application);
   DD.Dir := ed_Data.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Data.Text := DD.Dir;
   end;
   DD.Free;
end;
{
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Data.Text) then
      ed_Data.Text:= '';
   DD.Directory.Directory:= ed_Data.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Data.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;
}
procedure TF_Options.Button2Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Service.Text) then
      ed_Service.Text:= '';
   DD.Directory.Directory:= ed_Service.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Service.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;

procedure TF_Options.b_ScriptClick(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Script.Text) then
      ed_Script.Text:= '';
   DD.Directory.Directory:= ed_Script.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Script.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;


procedure TF_Options.b_StartClick(Sender: TObject);
begin
   ed_Start.Text := GetScript(ed_Start.Text);
end;

procedure TF_Options.b_DataSetClick(Sender: TObject);
begin
   ed_DataSet.Text := GetScript(ed_DataSet.Text);
end;

procedure TF_Options.b_ControlSetClick(Sender: TObject);
begin
   ed_ControlSet.Text := GetScript(ed_ControlSet.Text);
end;

procedure TF_Options.b_RunClick(Sender: TObject);
begin
   ed_Run.Text := GetScript(ed_Run.Text);
end;

procedure TF_Options.b_EndClick(Sender: TObject);
begin
   ed_End.Text := GetScript(ed_End.Text);
end;

end.
