unit F_option;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TF_Options = class(TForm)
    GroupBox1: TGroupBox;
    ed_Script: TEdit;
    ed_Service: TEdit;
    ed_Project: TEdit;
    ed_EXE: TEdit;
    BitBtn1: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    c_DontViewDialog: TCheckBox;
    c_OpenLastProject: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure c_OpenLastProjectClick(Sender: TObject);
    procedure c_DontViewDialogClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}
uses
  FileCtrl,
  F_SelDir;


procedure TF_Options.Button1Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Project.Text) then
      ed_Project.Text:= '';
   DD.Directory.Directory:= ed_Project.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Project.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;

procedure TF_Options.Button2Click(Sender: TObject);
var
   DD: TF_SelectDir;
begin
   Application.CreateForm(TF_SelectDir, DD);
   if not directoryExists(ed_Service.Text) then
      ed_Service.Text:= '';
   DD.Directory.Directory:= ed_Service.Text;
   if DD.ShowModal = mrOK then
   begin
     ed_Service.Text := DD.Directory.Directory;
   end;
   DD.Free;
end;

procedure TF_Options.c_OpenLastProjectClick(Sender: TObject);
begin
   if c_OpenLastProject.Checked then c_DontViewDialog.Checked := true;
end;

procedure TF_Options.c_DontViewDialogClick(Sender: TObject);
begin
   if not c_DontViewDialog.Checked then c_OpenLastProject.Checked := false;
end;

end.
