unit ORBISx_TLB;

// ************************************************************************ //
// WARNING                                                                    
// -------                                                                    
// The types declared in this file were generated from data read from a       
// Type Library. If this type library is explicitly or indirectly (via        
// another type library referring to this type library) re-imported, or the   
// 'Refresh' command of the Type Library Editor activated while editing the   
// Type Library, the contents of this file will be regenerated and all        
// manual modifications will be lost.                                         
// ************************************************************************ //

// $Rev: 8291 $
// File generated on 21.5.2012 14:13:19 from Type Library described below.

// ************************************************************************  //
// Type Lib: C:\ORBIS32\Project\_ ActiveX\B1\ORBISx.tlb (1)
// LIBID: {A15C7256-5950-48BC-9F39-80447B3AB95D}
// LCID: 0
// Helpfile: 
// HelpString: ORBISx Library
// DepndLst: 
//   (1) v2.0 stdole, (C:\Windows\system32\stdole2.tlb)
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
{$WARN SYMBOL_PLATFORM OFF}
{$WRITEABLECONST ON}
{$VARPROPSETTER ON}
interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL, Variants;
  

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:        
//   Type Libraries     : LIBID_xxxx                                      
//   CoClasses          : CLASS_xxxx                                      
//   DISPInterfaces     : DIID_xxxx                                       
//   Non-DISP interfaces: IID_xxxx                                        
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  ORBISxMajorVersion = 1;
  ORBISxMinorVersion = 0;

  LIBID_ORBISx: TGUID = '{A15C7256-5950-48BC-9F39-80447B3AB95D}';

  IID_IOrbis01X: TGUID = '{056AB397-A396-4055-8464-35FA31FD4A87}';
  DIID_IOrbis01XEvents: TGUID = '{7C8A85B3-9B28-4E74-BC0E-778DB66555E4}';
  CLASS_Orbis01X: TGUID = '{95E22437-6730-44CF-AADD-75AD9B96F9ED}';

// *********************************************************************//
// Declaration of Enumerations defined in Type Library                    
// *********************************************************************//
// Constants for enum TxAlignment
type
  TxAlignment = TOleEnum;
const
  taLeftJustify = $00000000;
  taRightJustify = $00000001;
  taCenter = $00000002;

// Constants for enum TxBevelCut
type
  TxBevelCut = TOleEnum;
const
  bvNone = $00000000;
  bvLowered = $00000001;
  bvRaised = $00000002;
  bvSpace = $00000003;

// Constants for enum TxBevelKind
type
  TxBevelKind = TOleEnum;
const
  bkNone = $00000000;
  bkTile = $00000001;
  bkSoft = $00000002;
  bkFlat = $00000003;

// Constants for enum TxBorderStyle
type
  TxBorderStyle = TOleEnum;
const
  bsNone = $00000000;
  bsSingle = $00000001;

// Constants for enum TxDragMode
type
  TxDragMode = TOleEnum;
const
  dmManual = $00000000;
  dmAutomatic = $00000001;

// Constants for enum TxVerticalAlignment
type
  TxVerticalAlignment = TOleEnum;
const
  taAlignTop = $00000000;
  taAlignBottom = $00000001;
  taVerticalCenter = $00000002;

// Constants for enum TxMouseButton
type
  TxMouseButton = TOleEnum;
const
  mbLeft = $00000000;
  mbRight = $00000001;
  mbMiddle = $00000002;

type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary                    
// *********************************************************************//
  IOrbis01X = interface;
  IOrbis01XDisp = dispinterface;
  IOrbis01XEvents = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                       
// (NOTE: Here we map each CoClass to its Default Interface)              
// *********************************************************************//
  Orbis01X = IOrbis01X;


// *********************************************************************//
// Declaration of structures, unions and aliases.                         
// *********************************************************************//
  PPUserType1 = ^IFontDisp; {*}


// *********************************************************************//
// Interface: IOrbis01X
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {056AB397-A396-4055-8464-35FA31FD4A87}
// *********************************************************************//
  IOrbis01X = interface(IDispatch)
    ['{056AB397-A396-4055-8464-35FA31FD4A87}']
    procedure ExploreWorld; safecall;
    procedure NewProjectDialog; safecall;
    procedure NewKatastrDialog; safecall;
    procedure NewProject(const aPath: WideString); safecall;
    procedure NewKatastr(const aPath: WideString; aID: Integer); safecall;
    procedure Import; safecall;
    procedure CheckRasters; safecall;
    procedure SetupRasters; safecall;
    procedure CheckVrs; safecall;
    procedure CheckTyp; safecall;
    procedure SetupVrs; safecall;
    procedure SetupTyp; safecall;
    procedure LoadProject(const aProjectName: WideString); safecall;
    procedure LoadKatastr(const aFileName: WideString); safecall;
    procedure LoadKatastrID(aID: Integer); safecall;
    procedure SaveProjectAsContinual; safecall;
    function JoinProjects(const aSourcePath: WideString): Integer; safecall;
    function RenumberLHC(LHC_OLD: Integer; LHC_NEW: Integer): WordBool; safecall;
    function FillMapsString: WideString; safecall;
    function OrbisIndexToColor(aIndex: Integer): Integer; safecall;
    procedure ShowMap(const aMap: WideString); safecall;
    procedure SetupMaps; safecall;
    procedure NewMap; safecall;
    procedure MapDialog; safecall;
    procedure ClearTheSelect; safecall;
    procedure ShowTheForest(Pattern: WordBool); safecall;
    procedure ShowTheKatastr(Pattern: WordBool); safecall;
    procedure ShowTheSelect(Pattern: WordBool); safecall;
    procedure HighlightTheForest; safecall;
    procedure HighlightTheKatastr; safecall;
    procedure HighlightTheSelect; safecall;
    procedure ZoomIn; safecall;
    procedure ZoomOut; safecall;
    procedure ViewAll; safecall;
    procedure ReView; safecall;
    procedure Print; safecall;
    procedure PrintMap; safecall;
    procedure ClearData; safecall;
    procedure NewEditLayer; safecall;
    procedure ActualEditLayerToActualMap; safecall;
    procedure CheckUserDataForSave; safecall;
    procedure LoadUserDataFrom(const aFileName: WideString); safecall;
    procedure SaveUserDataTo(const aFileName: WideString); safecall;
    procedure ExecuteScript(const aScript: WideString); safecall;
    procedure StartSizeMove; safecall;
    procedure EndSizeMove; safecall;
    procedure ExportToJPGFile(const aVal: WideString); safecall;
    procedure ExportToBMPFile(const aVal: WideString); safecall;
    function Projection_Move(aNext: WordBool): WordBool; safecall;
    function Projection_Status(var NoNext: WordBool; var NoPrevious: WordBool): WordBool; safecall;
    function Get_JPGCompressionQuality: Integer; safecall;
    procedure Set_JPGCompressionQuality(Value: Integer); safecall;
    function Get_JPGGrayscale: WordBool; safecall;
    procedure Set_JPGGrayscale(Value: WordBool); safecall;
    function Get_JPGPixelFormat: Integer; safecall;
    procedure Set_JPGPixelFormat(Value: Integer); safecall;
    procedure Set_ShiftView(const Value: WideString); safecall;
    function Get_ActualMap: WideString; safecall;
    procedure Set_ActualMap(const Value: WideString); safecall;
    function Get_ActualEditLayer: WideString; safecall;
    procedure Set_ActualEditLayer(const Value: WideString); safecall;
    function Get_ActiveToolName: WideString; safecall;
    procedure Set_ActiveToolName(const Value: WideString); safecall;
    function Get_ActualSelectName: WideString; safecall;
    procedure Set_ActualSelectName(const Value: WideString); safecall;
    function Get_ManualProjectionChange: WordBool; safecall;
    procedure Set_ManualProjectionChange(Value: WordBool); safecall;
    function Get_Client: WordBool; safecall;
    procedure Set_Client(Value: WordBool); safecall;
    function Get_Active: WordBool; safecall;
    procedure Set_Active(Value: WordBool); safecall;
    function Get_Directory_Root: WideString; safecall;
    procedure Set_Directory_Root(const Value: WideString); safecall;
    function Get_Directory_Script: WideString; safecall;
    procedure Set_Directory_Script(const Value: WideString); safecall;
    function Get_Directory_Service: WideString; safecall;
    procedure Set_Directory_Service(const Value: WideString); safecall;
    function Get_Directory_Store: WideString; safecall;
    procedure Set_Directory_Store(const Value: WideString); safecall;
    function Get_Directory_Project: WideString; safecall;
    procedure Set_Directory_Project(const Value: WideString); safecall;
    function Get_LHC: Integer; safecall;
    procedure Set_LHC(Value: Integer); safecall;
    function Get_ODDELENI: Integer; safecall;
    procedure Set_ODDELENI(Value: Integer); safecall;
    function Get_DILEC: WideString; safecall;
    procedure Set_DILEC(const Value: WideString); safecall;
    function Get_POROST: WideString; safecall;
    procedure Set_POROST(const Value: WideString); safecall;
    function Get_SKUPINA: WideString; safecall;
    procedure Set_SKUPINA(const Value: WideString); safecall;
    function Get_par_KATASTR: Integer; safecall;
    procedure Set_par_KATASTR(Value: Integer); safecall;
    function Get_par_CISLO: Integer; safecall;
    procedure Set_par_CISLO(Value: Integer); safecall;
    function Get_par_PODLOMENI: Integer; safecall;
    procedure Set_par_PODLOMENI(Value: Integer); safecall;
    function Get_SkupinaSelected: WordBool; safecall;
    procedure Set_SkupinaSelected(Value: WordBool); safecall;
    function Get_ParcelaSelected: WordBool; safecall;
    procedure Set_ParcelaSelected(Value: WordBool); safecall;
    function Get_Scale: Double; safecall;
    procedure Set_Scale(Value: Double); safecall;
    function Get_VirtualScale: Double; safecall;
    procedure Set_VirtualScale(Value: Double); safecall;
    function Get_CenterX: Double; safecall;
    procedure Set_CenterX(Value: Double); safecall;
    function Get_CenterY: Double; safecall;
    procedure Set_CenterY(Value: Double); safecall;
    function Get_SelX: Double; safecall;
    procedure Set_SelX(Value: Double); safecall;
    function Get_SelY: Double; safecall;
    procedure Set_SelY(Value: Double); safecall;
    function Get_NoProtocol: WordBool; safecall;
    procedure Set_NoProtocol(Value: WordBool); safecall;
    function Get_MonitorCoords: WordBool; safecall;
    procedure Set_MonitorCoords(Value: WordBool); safecall;
    function Get_MonitorLHC: WordBool; safecall;
    procedure Set_MonitorLHC(Value: WordBool); safecall;
    function Get_MonitorParcely: WordBool; safecall;
    procedure Set_MonitorParcely(Value: WordBool); safecall;
    function Get_MonitorActive: WordBool; safecall;
    procedure Set_MonitorActive(Value: WordBool); safecall;
    function Get_Continual: WordBool; safecall;
    procedure Set_Continual(Value: WordBool); safecall;
    function Get_ClearIfLHCNotFound: WordBool; safecall;
    procedure Set_ClearIfLHCNotFound(Value: WordBool); safecall;
    function Get_No_BDE: WordBool; safecall;
    procedure Set_No_BDE(Value: WordBool); safecall;
    function Get_Alignment: TxAlignment; safecall;
    procedure Set_Alignment(Value: TxAlignment); safecall;
    function Get_AutoSize: WordBool; safecall;
    procedure Set_AutoSize(Value: WordBool); safecall;
    function Get_BevelInner: TxBevelCut; safecall;
    procedure Set_BevelInner(Value: TxBevelCut); safecall;
    function Get_BevelKind: TxBevelKind; safecall;
    procedure Set_BevelKind(Value: TxBevelKind); safecall;
    function Get_BevelOuter: TxBevelCut; safecall;
    procedure Set_BevelOuter(Value: TxBevelCut); safecall;
    function Get_BorderStyle: TxBorderStyle; safecall;
    procedure Set_BorderStyle(Value: TxBorderStyle); safecall;
    function Get_Caption: WideString; safecall;
    procedure Set_Caption(const Value: WideString); safecall;
    function Get_Color: OLE_COLOR; safecall;
    procedure Set_Color(Value: OLE_COLOR); safecall;
    function Get_Ctl3D: WordBool; safecall;
    procedure Set_Ctl3D(Value: WordBool); safecall;
    function Get_UseDockManager: WordBool; safecall;
    procedure Set_UseDockManager(Value: WordBool); safecall;
    function Get_DockSite: WordBool; safecall;
    procedure Set_DockSite(Value: WordBool); safecall;
    function Get_DragCursor: Smallint; safecall;
    procedure Set_DragCursor(Value: Smallint); safecall;
    function Get_DragMode: TxDragMode; safecall;
    procedure Set_DragMode(Value: TxDragMode); safecall;
    function Get_Enabled: WordBool; safecall;
    procedure Set_Enabled(Value: WordBool); safecall;
    function Get_FullRepaint: WordBool; safecall;
    procedure Set_FullRepaint(Value: WordBool); safecall;
    function Get_Font: IFontDisp; safecall;
    procedure Set_Font(const Value: IFontDisp); safecall;
    procedure _Set_Font(var Value: IFontDisp); safecall;
    function Get_Locked: WordBool; safecall;
    procedure Set_Locked(Value: WordBool); safecall;
    function Get_ParentBackground: WordBool; safecall;
    procedure Set_ParentBackground(Value: WordBool); safecall;
    function Get_ParentColor: WordBool; safecall;
    procedure Set_ParentColor(Value: WordBool); safecall;
    function Get_ParentCtl3D: WordBool; safecall;
    procedure Set_ParentCtl3D(Value: WordBool); safecall;
    function Get_VerticalAlignment: TxVerticalAlignment; safecall;
    procedure Set_VerticalAlignment(Value: TxVerticalAlignment); safecall;
    function Get_Visible: WordBool; safecall;
    procedure Set_Visible(Value: WordBool); safecall;
    function Get_DoubleBuffered: WordBool; safecall;
    procedure Set_DoubleBuffered(Value: WordBool); safecall;
    procedure SetDesignVisible(Value: WordBool); safecall;
    function Get_AlignDisabled: WordBool; safecall;
    function Get_MouseInClient: WordBool; safecall;
    function Get_VisibleDockClientCount: Integer; safecall;
    function DrawTextBiDiModeFlagsReadingOnly: Integer; safecall;
    procedure InitiateAction; safecall;
    function IsRightToLeft: WordBool; safecall;
    function UseRightToLeftReading: WordBool; safecall;
    function UseRightToLeftScrollBar: WordBool; safecall;
    function Get_ExplicitLeft: Integer; safecall;
    function Get_ExplicitTop: Integer; safecall;
    function Get_ExplicitWidth: Integer; safecall;
    function Get_ExplicitHeight: Integer; safecall;
    function Get_AlignWithMargins: WordBool; safecall;
    procedure Set_AlignWithMargins(Value: WordBool); safecall;
    procedure SetSubComponent(IsSubComponent: WordBool); safecall;
    function ClassNameIs(const Name: WideString): WordBool; safecall;
    property JPGCompressionQuality: Integer read Get_JPGCompressionQuality write Set_JPGCompressionQuality;
    property JPGGrayscale: WordBool read Get_JPGGrayscale write Set_JPGGrayscale;
    property JPGPixelFormat: Integer read Get_JPGPixelFormat write Set_JPGPixelFormat;
    property ShiftView: WideString write Set_ShiftView;
    property ActualMap: WideString read Get_ActualMap write Set_ActualMap;
    property ActualEditLayer: WideString read Get_ActualEditLayer write Set_ActualEditLayer;
    property ActiveToolName: WideString read Get_ActiveToolName write Set_ActiveToolName;
    property ActualSelectName: WideString read Get_ActualSelectName write Set_ActualSelectName;
    property ManualProjectionChange: WordBool read Get_ManualProjectionChange write Set_ManualProjectionChange;
    property Client: WordBool read Get_Client write Set_Client;
    property Active: WordBool read Get_Active write Set_Active;
    property Directory_Root: WideString read Get_Directory_Root write Set_Directory_Root;
    property Directory_Script: WideString read Get_Directory_Script write Set_Directory_Script;
    property Directory_Service: WideString read Get_Directory_Service write Set_Directory_Service;
    property Directory_Store: WideString read Get_Directory_Store write Set_Directory_Store;
    property Directory_Project: WideString read Get_Directory_Project write Set_Directory_Project;
    property LHC: Integer read Get_LHC write Set_LHC;
    property ODDELENI: Integer read Get_ODDELENI write Set_ODDELENI;
    property DILEC: WideString read Get_DILEC write Set_DILEC;
    property POROST: WideString read Get_POROST write Set_POROST;
    property SKUPINA: WideString read Get_SKUPINA write Set_SKUPINA;
    property par_KATASTR: Integer read Get_par_KATASTR write Set_par_KATASTR;
    property par_CISLO: Integer read Get_par_CISLO write Set_par_CISLO;
    property par_PODLOMENI: Integer read Get_par_PODLOMENI write Set_par_PODLOMENI;
    property SkupinaSelected: WordBool read Get_SkupinaSelected write Set_SkupinaSelected;
    property ParcelaSelected: WordBool read Get_ParcelaSelected write Set_ParcelaSelected;
    property Scale: Double read Get_Scale write Set_Scale;
    property VirtualScale: Double read Get_VirtualScale write Set_VirtualScale;
    property CenterX: Double read Get_CenterX write Set_CenterX;
    property CenterY: Double read Get_CenterY write Set_CenterY;
    property SelX: Double read Get_SelX write Set_SelX;
    property SelY: Double read Get_SelY write Set_SelY;
    property NoProtocol: WordBool read Get_NoProtocol write Set_NoProtocol;
    property MonitorCoords: WordBool read Get_MonitorCoords write Set_MonitorCoords;
    property MonitorLHC: WordBool read Get_MonitorLHC write Set_MonitorLHC;
    property MonitorParcely: WordBool read Get_MonitorParcely write Set_MonitorParcely;
    property MonitorActive: WordBool read Get_MonitorActive write Set_MonitorActive;
    property Continual: WordBool read Get_Continual write Set_Continual;
    property ClearIfLHCNotFound: WordBool read Get_ClearIfLHCNotFound write Set_ClearIfLHCNotFound;
    property No_BDE: WordBool read Get_No_BDE write Set_No_BDE;
    property Alignment: TxAlignment read Get_Alignment write Set_Alignment;
    property AutoSize: WordBool read Get_AutoSize write Set_AutoSize;
    property BevelInner: TxBevelCut read Get_BevelInner write Set_BevelInner;
    property BevelKind: TxBevelKind read Get_BevelKind write Set_BevelKind;
    property BevelOuter: TxBevelCut read Get_BevelOuter write Set_BevelOuter;
    property BorderStyle: TxBorderStyle read Get_BorderStyle write Set_BorderStyle;
    property Caption: WideString read Get_Caption write Set_Caption;
    property Color: OLE_COLOR read Get_Color write Set_Color;
    property Ctl3D: WordBool read Get_Ctl3D write Set_Ctl3D;
    property UseDockManager: WordBool read Get_UseDockManager write Set_UseDockManager;
    property DockSite: WordBool read Get_DockSite write Set_DockSite;
    property DragCursor: Smallint read Get_DragCursor write Set_DragCursor;
    property DragMode: TxDragMode read Get_DragMode write Set_DragMode;
    property Enabled: WordBool read Get_Enabled write Set_Enabled;
    property FullRepaint: WordBool read Get_FullRepaint write Set_FullRepaint;
    property Font: IFontDisp read Get_Font write Set_Font;
    property Locked: WordBool read Get_Locked write Set_Locked;
    property ParentBackground: WordBool read Get_ParentBackground write Set_ParentBackground;
    property ParentColor: WordBool read Get_ParentColor write Set_ParentColor;
    property ParentCtl3D: WordBool read Get_ParentCtl3D write Set_ParentCtl3D;
    property VerticalAlignment: TxVerticalAlignment read Get_VerticalAlignment write Set_VerticalAlignment;
    property Visible: WordBool read Get_Visible write Set_Visible;
    property DoubleBuffered: WordBool read Get_DoubleBuffered write Set_DoubleBuffered;
    property AlignDisabled: WordBool read Get_AlignDisabled;
    property MouseInClient: WordBool read Get_MouseInClient;
    property VisibleDockClientCount: Integer read Get_VisibleDockClientCount;
    property ExplicitLeft: Integer read Get_ExplicitLeft;
    property ExplicitTop: Integer read Get_ExplicitTop;
    property ExplicitWidth: Integer read Get_ExplicitWidth;
    property ExplicitHeight: Integer read Get_ExplicitHeight;
    property AlignWithMargins: WordBool read Get_AlignWithMargins write Set_AlignWithMargins;
  end;

// *********************************************************************//
// DispIntf:  IOrbis01XDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {056AB397-A396-4055-8464-35FA31FD4A87}
// *********************************************************************//
  IOrbis01XDisp = dispinterface
    ['{056AB397-A396-4055-8464-35FA31FD4A87}']
    procedure ExploreWorld; dispid 201;
    procedure NewProjectDialog; dispid 202;
    procedure NewKatastrDialog; dispid 203;
    procedure NewProject(const aPath: WideString); dispid 204;
    procedure NewKatastr(const aPath: WideString; aID: Integer); dispid 205;
    procedure Import; dispid 206;
    procedure CheckRasters; dispid 207;
    procedure SetupRasters; dispid 208;
    procedure CheckVrs; dispid 209;
    procedure CheckTyp; dispid 210;
    procedure SetupVrs; dispid 211;
    procedure SetupTyp; dispid 212;
    procedure LoadProject(const aProjectName: WideString); dispid 213;
    procedure LoadKatastr(const aFileName: WideString); dispid 214;
    procedure LoadKatastrID(aID: Integer); dispid 215;
    procedure SaveProjectAsContinual; dispid 216;
    function JoinProjects(const aSourcePath: WideString): Integer; dispid 217;
    function RenumberLHC(LHC_OLD: Integer; LHC_NEW: Integer): WordBool; dispid 218;
    function FillMapsString: WideString; dispid 219;
    function OrbisIndexToColor(aIndex: Integer): Integer; dispid 220;
    procedure ShowMap(const aMap: WideString); dispid 221;
    procedure SetupMaps; dispid 222;
    procedure NewMap; dispid 223;
    procedure MapDialog; dispid 224;
    procedure ClearTheSelect; dispid 225;
    procedure ShowTheForest(Pattern: WordBool); dispid 226;
    procedure ShowTheKatastr(Pattern: WordBool); dispid 227;
    procedure ShowTheSelect(Pattern: WordBool); dispid 228;
    procedure HighlightTheForest; dispid 229;
    procedure HighlightTheKatastr; dispid 230;
    procedure HighlightTheSelect; dispid 231;
    procedure ZoomIn; dispid 232;
    procedure ZoomOut; dispid 233;
    procedure ViewAll; dispid 234;
    procedure ReView; dispid 235;
    procedure Print; dispid 236;
    procedure PrintMap; dispid 237;
    procedure ClearData; dispid 238;
    procedure NewEditLayer; dispid 239;
    procedure ActualEditLayerToActualMap; dispid 240;
    procedure CheckUserDataForSave; dispid 241;
    procedure LoadUserDataFrom(const aFileName: WideString); dispid 242;
    procedure SaveUserDataTo(const aFileName: WideString); dispid 243;
    procedure ExecuteScript(const aScript: WideString); dispid 244;
    procedure StartSizeMove; dispid 245;
    procedure EndSizeMove; dispid 246;
    procedure ExportToJPGFile(const aVal: WideString); dispid 247;
    procedure ExportToBMPFile(const aVal: WideString); dispid 248;
    function Projection_Move(aNext: WordBool): WordBool; dispid 249;
    function Projection_Status(var NoNext: WordBool; var NoPrevious: WordBool): WordBool; dispid 250;
    property JPGCompressionQuality: Integer dispid 251;
    property JPGGrayscale: WordBool dispid 252;
    property JPGPixelFormat: Integer dispid 253;
    property ShiftView: WideString writeonly dispid 254;
    property ActualMap: WideString dispid 255;
    property ActualEditLayer: WideString dispid 256;
    property ActiveToolName: WideString dispid 257;
    property ActualSelectName: WideString dispid 258;
    property ManualProjectionChange: WordBool dispid 259;
    property Client: WordBool dispid 260;
    property Active: WordBool dispid 261;
    property Directory_Root: WideString dispid 262;
    property Directory_Script: WideString dispid 263;
    property Directory_Service: WideString dispid 264;
    property Directory_Store: WideString dispid 265;
    property Directory_Project: WideString dispid 266;
    property LHC: Integer dispid 267;
    property ODDELENI: Integer dispid 268;
    property DILEC: WideString dispid 269;
    property POROST: WideString dispid 270;
    property SKUPINA: WideString dispid 271;
    property par_KATASTR: Integer dispid 272;
    property par_CISLO: Integer dispid 273;
    property par_PODLOMENI: Integer dispid 274;
    property SkupinaSelected: WordBool dispid 275;
    property ParcelaSelected: WordBool dispid 276;
    property Scale: Double dispid 277;
    property VirtualScale: Double dispid 278;
    property CenterX: Double dispid 279;
    property CenterY: Double dispid 280;
    property SelX: Double dispid 281;
    property SelY: Double dispid 282;
    property NoProtocol: WordBool dispid 283;
    property MonitorCoords: WordBool dispid 284;
    property MonitorLHC: WordBool dispid 285;
    property MonitorParcely: WordBool dispid 286;
    property MonitorActive: WordBool dispid 287;
    property Continual: WordBool dispid 288;
    property ClearIfLHCNotFound: WordBool dispid 289;
    property No_BDE: WordBool dispid 290;
    property Alignment: TxAlignment dispid 291;
    property AutoSize: WordBool dispid 292;
    property BevelInner: TxBevelCut dispid 293;
    property BevelKind: TxBevelKind dispid 294;
    property BevelOuter: TxBevelCut dispid 295;
    property BorderStyle: TxBorderStyle dispid 296;
    property Caption: WideString dispid -518;
    property Color: OLE_COLOR dispid -501;
    property Ctl3D: WordBool dispid 297;
    property UseDockManager: WordBool dispid 298;
    property DockSite: WordBool dispid 299;
    property DragCursor: Smallint dispid 300;
    property DragMode: TxDragMode dispid 301;
    property Enabled: WordBool dispid -514;
    property FullRepaint: WordBool dispid 302;
    property Font: IFontDisp dispid -512;
    property Locked: WordBool dispid 303;
    property ParentBackground: WordBool dispid 304;
    property ParentColor: WordBool dispid 305;
    property ParentCtl3D: WordBool dispid 306;
    property VerticalAlignment: TxVerticalAlignment dispid 307;
    property Visible: WordBool dispid 308;
    property DoubleBuffered: WordBool dispid 309;
    procedure SetDesignVisible(Value: WordBool); dispid 310;
    property AlignDisabled: WordBool readonly dispid 311;
    property MouseInClient: WordBool readonly dispid 312;
    property VisibleDockClientCount: Integer readonly dispid 313;
    function DrawTextBiDiModeFlagsReadingOnly: Integer; dispid 314;
    procedure InitiateAction; dispid 315;
    function IsRightToLeft: WordBool; dispid 316;
    function UseRightToLeftReading: WordBool; dispid 317;
    function UseRightToLeftScrollBar: WordBool; dispid 318;
    property ExplicitLeft: Integer readonly dispid 319;
    property ExplicitTop: Integer readonly dispid 320;
    property ExplicitWidth: Integer readonly dispid 321;
    property ExplicitHeight: Integer readonly dispid 322;
    property AlignWithMargins: WordBool dispid 323;
    procedure SetSubComponent(IsSubComponent: WordBool); dispid 324;
    function ClassNameIs(const Name: WideString): WordBool; dispid 325;
  end;

// *********************************************************************//
// DispIntf:  IOrbis01XEvents
// Flags:     (0)
// GUID:      {7C8A85B3-9B28-4E74-BC0E-778DB66555E4}
// *********************************************************************//
  IOrbis01XEvents = dispinterface
    ['{7C8A85B3-9B28-4E74-BC0E-778DB66555E4}']
    procedure OnInterpretDone; dispid 201;
    procedure OnSelect; dispid 202;
    procedure OnNewModel; dispid 203;
    procedure OnNewDATA; dispid 204;
    procedure OnRastersChange; dispid 205;
    procedure OnMapsChange; dispid 206;
    procedure OnVrsChange; dispid 207;
    procedure OnTypChange; dispid 208;
    procedure OnContinualChanged(aContinual: WordBool); dispid 209;
    procedure OnContinualLoadStart; dispid 210;
    procedure OnContinualLoadEnd; dispid 211;
    procedure OnProjectionCHanged(aX: Double; aY: Double; aScale: Double; aVirtualScale: Double); dispid 212;
    procedure OnLengthChanged(Value: Double; Value1: Double); dispid 213;
    procedure OnAreaChanged(Value: Double; Value1: Double); dispid 214;
    procedure OnUserLHCAreaDialog(NewObject: WordBool; Area: Double; var UserID: Integer; 
                                  var Color: Integer; var Symbol: Integer; var aresult: Integer); dispid 215;
    procedure OnSaveUserData(var ToSave: WordBool); dispid 216;
    procedure OnMonitorCoordsChange(X: Double; Y: Double); dispid 217;
    procedure OnMonitorLHCCHange(LHC: Integer; Oddeleni: Integer; const Dilec: WideString; 
                                 const Porost: WideString; const Skupina: WideString); dispid 218;
    procedure OnMonitorParcelyCHange(Katastr: Integer; Parcis: Integer; Parpod: Integer); dispid 219;
    procedure On_ProgressStart(_ID: Integer; const ProgressName: WideString; MinProgress: Integer; 
                               MaxProgress: Integer; Progress: Integer); dispid 220;
    procedure On_ProgressEnd(_ID: Integer; Value: Integer); dispid 221;
    procedure On_Progress(_ID: Integer; Value: Integer); dispid 222;
    procedure On_ProgressMax(_ID: Integer; Value: Integer); dispid 223;
    procedure On_ProgressText(_ID: Integer; const Value: WideString); dispid 224;
    function On_SelectDirectory(const Caption: WideString; const Root: WideString; 
                                var Directory: WideString): WordBool; dispid 225;
    function On_SelectFile(const Caption: WideString; const Directory: WideString; 
                           const Filter: WideString; var FileName: WideString): WordBool; dispid 226;
    procedure On_FileBeforeLoad(const aFile: WideString); dispid 227;
    procedure On_FileAfterSave(const aFile: WideString); dispid 228;
    procedure On_FileExists(const aFile: WideString); dispid 229;
    procedure OnCanResize(var NewWidth: Integer; var NewHeight: Integer; var Resize: WordBool); dispid 230;
    procedure OnClick; dispid 231;
    procedure OnConstrainedResize(var MinWidth: Integer; var MinHeight: Integer; 
                                  var MaxWidth: Integer; var MaxHeight: Integer); dispid 232;
    procedure OnDblClick; dispid 233;
    procedure OnMouseEnter; dispid 234;
    procedure OnMouseLeave; dispid 235;
    procedure OnResize; dispid 236;
  end;


// *********************************************************************//
// OLE Control Proxy class declaration
// Control Name     : TOrbis01X
// Help String      : Orbis01X Control
// Default Interface: IOrbis01X
// Def. Intf. DISP? : No
// Event   Interface: IOrbis01XEvents
// TypeFlags        : (34) CanCreate Control
// *********************************************************************//
  TOrbis01XOnContinualChanged = procedure(ASender: TObject; aContinual: WordBool) of object;
  TOrbis01XOnProjectionCHanged = procedure(ASender: TObject; aX: Double; aY: Double; 
                                                             aScale: Double; aVirtualScale: Double) of object;
  TOrbis01XOnLengthChanged = procedure(ASender: TObject; Value: Double; Value1: Double) of object;
  TOrbis01XOnAreaChanged = procedure(ASender: TObject; Value: Double; Value1: Double) of object;
  TOrbis01XOnUserLHCAreaDialog = procedure(ASender: TObject; NewObject: WordBool; Area: Double; 
                                                             var UserID: Integer; 
                                                             var Color: Integer; 
                                                             var Symbol: Integer; 
                                                             var aresult: Integer) of object;
  TOrbis01XOnSaveUserData = procedure(ASender: TObject; var ToSave: WordBool) of object;
  TOrbis01XOnMonitorCoordsChange = procedure(ASender: TObject; X: Double; Y: Double) of object;
  TOrbis01XOnMonitorLHCCHange = procedure(ASender: TObject; LHC: Integer; Oddeleni: Integer; 
                                                            const Dilec: WideString; 
                                                            const Porost: WideString; 
                                                            const Skupina: WideString) of object;
  TOrbis01XOnMonitorParcelyCHange = procedure(ASender: TObject; Katastr: Integer; Parcis: Integer; 
                                                                Parpod: Integer) of object;
  TOrbis01XOn_ProgressStart = procedure(ASender: TObject; _ID: Integer; 
                                                          const ProgressName: WideString; 
                                                          MinProgress: Integer; 
                                                          MaxProgress: Integer; Progress: Integer) of object;
  TOrbis01XOn_ProgressEnd = procedure(ASender: TObject; _ID: Integer; Value: Integer) of object;
  TOrbis01XOn_Progress = procedure(ASender: TObject; _ID: Integer; Value: Integer) of object;
  TOrbis01XOn_ProgressMax = procedure(ASender: TObject; _ID: Integer; Value: Integer) of object;
  TOrbis01XOn_ProgressText = procedure(ASender: TObject; _ID: Integer; const Value: WideString) of object;
  TOrbis01XOn_SelectDirectory = procedure(ASender: TObject; const Caption: WideString; 
                                                            const Root: WideString; 
                                                            var Directory: WideString) of object;
  TOrbis01XOn_SelectFile = procedure(ASender: TObject; const Caption: WideString; 
                                                       const Directory: WideString; 
                                                       const Filter: WideString; 
                                                       var FileName: WideString) of object;
  TOrbis01XOn_FileBeforeLoad = procedure(ASender: TObject; const aFile: WideString) of object;
  TOrbis01XOn_FileAfterSave = procedure(ASender: TObject; const aFile: WideString) of object;
  TOrbis01XOn_FileExists = procedure(ASender: TObject; const aFile: WideString) of object;
  TOrbis01XOnCanResize = procedure(ASender: TObject; var NewWidth: Integer; var NewHeight: Integer; 
                                                     var Resize: WordBool) of object;
  TOrbis01XOnConstrainedResize = procedure(ASender: TObject; var MinWidth: Integer; 
                                                             var MinHeight: Integer; 
                                                             var MaxWidth: Integer; 
                                                             var MaxHeight: Integer) of object;

  TOrbis01X = class(TOleControl)
  private
    FOnInterpretDone: TNotifyEvent;
    FOnSelect: TNotifyEvent;
    FOnNewModel: TNotifyEvent;
    FOnNewDATA: TNotifyEvent;
    FOnRastersChange: TNotifyEvent;
    FOnMapsChange: TNotifyEvent;
    FOnVrsChange: TNotifyEvent;
    FOnTypChange: TNotifyEvent;
    FOnContinualChanged: TOrbis01XOnContinualChanged;
    FOnContinualLoadStart: TNotifyEvent;
    FOnContinualLoadEnd: TNotifyEvent;
    FOnProjectionCHanged: TOrbis01XOnProjectionCHanged;
    FOnLengthChanged: TOrbis01XOnLengthChanged;
    FOnAreaChanged: TOrbis01XOnAreaChanged;
    FOnUserLHCAreaDialog: TOrbis01XOnUserLHCAreaDialog;
    FOnSaveUserData: TOrbis01XOnSaveUserData;
    FOnMonitorCoordsChange: TOrbis01XOnMonitorCoordsChange;
    FOnMonitorLHCCHange: TOrbis01XOnMonitorLHCCHange;
    FOnMonitorParcelyCHange: TOrbis01XOnMonitorParcelyCHange;
    FOnOn_ProgressStart: TOrbis01XOn_ProgressStart;
    FOnOn_ProgressEnd: TOrbis01XOn_ProgressEnd;
    FOnOn_Progress: TOrbis01XOn_Progress;
    FOnOn_ProgressMax: TOrbis01XOn_ProgressMax;
    FOnOn_ProgressText: TOrbis01XOn_ProgressText;
    FOnOn_SelectDirectory: TOrbis01XOn_SelectDirectory;
    FOnOn_SelectFile: TOrbis01XOn_SelectFile;
    FOnOn_FileBeforeLoad: TOrbis01XOn_FileBeforeLoad;
    FOnOn_FileAfterSave: TOrbis01XOn_FileAfterSave;
    FOnOn_FileExists: TOrbis01XOn_FileExists;
    FOnCanResize: TOrbis01XOnCanResize;
    FOnClick: TNotifyEvent;
    FOnConstrainedResize: TOrbis01XOnConstrainedResize;
    FOnDblClick: TNotifyEvent;
    FOnMouseEnter: TNotifyEvent;
    FOnMouseLeave: TNotifyEvent;
    FOnResize: TNotifyEvent;
    FIntf: IOrbis01X;
    function  GetControlInterface: IOrbis01X;
  protected
    procedure CreateControl;
    procedure InitControlData; override;
  public
    procedure ExploreWorld;
    procedure NewProjectDialog;
    procedure NewKatastrDialog;
    procedure NewProject(const aPath: WideString);
    procedure NewKatastr(const aPath: WideString; aID: Integer);
    procedure Import;
    procedure CheckRasters;
    procedure SetupRasters;
    procedure CheckVrs;
    procedure CheckTyp;
    procedure SetupVrs;
    procedure SetupTyp;
    procedure LoadProject(const aProjectName: WideString);
    procedure LoadKatastr(const aFileName: WideString);
    procedure LoadKatastrID(aID: Integer);
    procedure SaveProjectAsContinual;
    function JoinProjects(const aSourcePath: WideString): Integer;
    function RenumberLHC(LHC_OLD: Integer; LHC_NEW: Integer): WordBool;
    function FillMapsString: WideString;
    function OrbisIndexToColor(aIndex: Integer): Integer;
    procedure ShowMap(const aMap: WideString);
    procedure SetupMaps;
    procedure NewMap;
    procedure MapDialog;
    procedure ClearTheSelect;
    procedure ShowTheForest(Pattern: WordBool);
    procedure ShowTheKatastr(Pattern: WordBool);
    procedure ShowTheSelect(Pattern: WordBool);
    procedure HighlightTheForest;
    procedure HighlightTheKatastr;
    procedure HighlightTheSelect;
    procedure ZoomIn;
    procedure ZoomOut;
    procedure ViewAll;
    procedure ReView;
    procedure Print;
    procedure PrintMap;
    procedure ClearData;
    procedure NewEditLayer;
    procedure ActualEditLayerToActualMap;
    procedure CheckUserDataForSave;
    procedure LoadUserDataFrom(const aFileName: WideString);
    procedure SaveUserDataTo(const aFileName: WideString);
    procedure ExecuteScript(const aScript: WideString);
    procedure StartSizeMove;
    procedure EndSizeMove;
    procedure ExportToJPGFile(const aVal: WideString);
    procedure ExportToBMPFile(const aVal: WideString);
    function Projection_Move(aNext: WordBool): WordBool;
    function Projection_Status(var NoNext: WordBool; var NoPrevious: WordBool): WordBool;
    procedure SetDesignVisible(Value: WordBool);
    function DrawTextBiDiModeFlagsReadingOnly: Integer;
    procedure InitiateAction;
    function IsRightToLeft: WordBool;
    function UseRightToLeftReading: WordBool;
    function UseRightToLeftScrollBar: WordBool;
    procedure SetSubComponent(IsSubComponent: WordBool);
    function ClassNameIs(const Name: WideString): WordBool;
    property  ControlInterface: IOrbis01X read GetControlInterface;
    property  DefaultInterface: IOrbis01X read GetControlInterface;
    property JPGCompressionQuality: Integer index 251 read GetIntegerProp write SetIntegerProp;
    property JPGGrayscale: WordBool index 252 read GetWordBoolProp write SetWordBoolProp;
    property JPGPixelFormat: Integer index 253 read GetIntegerProp write SetIntegerProp;
    property ShiftView: WideString index 254 write SetWideStringProp;
    property ActualMap: WideString index 255 read GetWideStringProp write SetWideStringProp;
    property ActualEditLayer: WideString index 256 read GetWideStringProp write SetWideStringProp;
    property ActiveToolName: WideString index 257 read GetWideStringProp write SetWideStringProp;
    property ActualSelectName: WideString index 258 read GetWideStringProp write SetWideStringProp;
    property ManualProjectionChange: WordBool index 259 read GetWordBoolProp write SetWordBoolProp;
    property Client: WordBool index 260 read GetWordBoolProp write SetWordBoolProp;
    property DoubleBuffered: WordBool index 309 read GetWordBoolProp write SetWordBoolProp;
    property AlignDisabled: WordBool index 311 read GetWordBoolProp;
    property MouseInClient: WordBool index 312 read GetWordBoolProp;
    property VisibleDockClientCount: Integer index 313 read GetIntegerProp;
    property ExplicitLeft: Integer index 319 read GetIntegerProp;
    property ExplicitTop: Integer index 320 read GetIntegerProp;
    property ExplicitWidth: Integer index 321 read GetIntegerProp;
    property ExplicitHeight: Integer index 322 read GetIntegerProp;
  published
    property Anchors;
    property Active: WordBool index 261 read GetWordBoolProp write SetWordBoolProp stored False;
    property Directory_Root: WideString index 262 read GetWideStringProp write SetWideStringProp stored False;
    property Directory_Script: WideString index 263 read GetWideStringProp write SetWideStringProp stored False;
    property Directory_Service: WideString index 264 read GetWideStringProp write SetWideStringProp stored False;
    property Directory_Store: WideString index 265 read GetWideStringProp write SetWideStringProp stored False;
    property Directory_Project: WideString index 266 read GetWideStringProp write SetWideStringProp stored False;
    property LHC: Integer index 267 read GetIntegerProp write SetIntegerProp stored False;
    property ODDELENI: Integer index 268 read GetIntegerProp write SetIntegerProp stored False;
    property DILEC: WideString index 269 read GetWideStringProp write SetWideStringProp stored False;
    property POROST: WideString index 270 read GetWideStringProp write SetWideStringProp stored False;
    property SKUPINA: WideString index 271 read GetWideStringProp write SetWideStringProp stored False;
    property par_KATASTR: Integer index 272 read GetIntegerProp write SetIntegerProp stored False;
    property par_CISLO: Integer index 273 read GetIntegerProp write SetIntegerProp stored False;
    property par_PODLOMENI: Integer index 274 read GetIntegerProp write SetIntegerProp stored False;
    property SkupinaSelected: WordBool index 275 read GetWordBoolProp write SetWordBoolProp stored False;
    property ParcelaSelected: WordBool index 276 read GetWordBoolProp write SetWordBoolProp stored False;
    property Scale: Double index 277 read GetDoubleProp write SetDoubleProp stored False;
    property VirtualScale: Double index 278 read GetDoubleProp write SetDoubleProp stored False;
    property CenterX: Double index 279 read GetDoubleProp write SetDoubleProp stored False;
    property CenterY: Double index 280 read GetDoubleProp write SetDoubleProp stored False;
    property SelX: Double index 281 read GetDoubleProp write SetDoubleProp stored False;
    property SelY: Double index 282 read GetDoubleProp write SetDoubleProp stored False;
    property NoProtocol: WordBool index 283 read GetWordBoolProp write SetWordBoolProp stored False;
    property MonitorCoords: WordBool index 284 read GetWordBoolProp write SetWordBoolProp stored False;
    property MonitorLHC: WordBool index 285 read GetWordBoolProp write SetWordBoolProp stored False;
    property MonitorParcely: WordBool index 286 read GetWordBoolProp write SetWordBoolProp stored False;
    property MonitorActive: WordBool index 287 read GetWordBoolProp write SetWordBoolProp stored False;
    property Continual: WordBool index 288 read GetWordBoolProp write SetWordBoolProp stored False;
    property ClearIfLHCNotFound: WordBool index 289 read GetWordBoolProp write SetWordBoolProp stored False;
    property No_BDE: WordBool index 290 read GetWordBoolProp write SetWordBoolProp stored False;
    property Alignment: TOleEnum index 291 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property AutoSize: WordBool index 292 read GetWordBoolProp write SetWordBoolProp stored False;
    property BevelInner: TOleEnum index 293 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property BevelKind: TOleEnum index 294 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property BevelOuter: TOleEnum index 295 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property BorderStyle: TOleEnum index 296 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Caption: WideString index -518 read GetWideStringProp write SetWideStringProp stored False;
    property Color: TColor index -501 read GetTColorProp write SetTColorProp stored False;
    property Ctl3D: WordBool index 297 read GetWordBoolProp write SetWordBoolProp stored False;
    property UseDockManager: WordBool index 298 read GetWordBoolProp write SetWordBoolProp stored False;
    property DockSite: WordBool index 299 read GetWordBoolProp write SetWordBoolProp stored False;
    property DragCursor: Smallint index 300 read GetSmallintProp write SetSmallintProp stored False;
    property DragMode: TOleEnum index 301 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Enabled: WordBool index -514 read GetWordBoolProp write SetWordBoolProp stored False;
    property FullRepaint: WordBool index 302 read GetWordBoolProp write SetWordBoolProp stored False;
    property Font: TFont index -512 read GetTFontProp write SetTFontProp stored False;
    property Locked: WordBool index 303 read GetWordBoolProp write SetWordBoolProp stored False;
    property ParentBackground: WordBool index 304 read GetWordBoolProp write SetWordBoolProp stored False;
    property ParentColor: WordBool index 305 read GetWordBoolProp write SetWordBoolProp stored False;
    property ParentCtl3D: WordBool index 306 read GetWordBoolProp write SetWordBoolProp stored False;
    property VerticalAlignment: TOleEnum index 307 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Visible: WordBool index 308 read GetWordBoolProp write SetWordBoolProp stored False;
    property AlignWithMargins: WordBool index 323 read GetWordBoolProp write SetWordBoolProp stored False;
    property OnInterpretDone: TNotifyEvent read FOnInterpretDone write FOnInterpretDone;
    property OnSelect: TNotifyEvent read FOnSelect write FOnSelect;
    property OnNewModel: TNotifyEvent read FOnNewModel write FOnNewModel;
    property OnNewDATA: TNotifyEvent read FOnNewDATA write FOnNewDATA;
    property OnRastersChange: TNotifyEvent read FOnRastersChange write FOnRastersChange;
    property OnMapsChange: TNotifyEvent read FOnMapsChange write FOnMapsChange;
    property OnVrsChange: TNotifyEvent read FOnVrsChange write FOnVrsChange;
    property OnTypChange: TNotifyEvent read FOnTypChange write FOnTypChange;
    property OnContinualChanged: TOrbis01XOnContinualChanged read FOnContinualChanged write FOnContinualChanged;
    property OnContinualLoadStart: TNotifyEvent read FOnContinualLoadStart write FOnContinualLoadStart;
    property OnContinualLoadEnd: TNotifyEvent read FOnContinualLoadEnd write FOnContinualLoadEnd;
    property OnProjectionCHanged: TOrbis01XOnProjectionCHanged read FOnProjectionCHanged write FOnProjectionCHanged;
    property OnLengthChanged: TOrbis01XOnLengthChanged read FOnLengthChanged write FOnLengthChanged;
    property OnAreaChanged: TOrbis01XOnAreaChanged read FOnAreaChanged write FOnAreaChanged;
    property OnUserLHCAreaDialog: TOrbis01XOnUserLHCAreaDialog read FOnUserLHCAreaDialog write FOnUserLHCAreaDialog;
    property OnSaveUserData: TOrbis01XOnSaveUserData read FOnSaveUserData write FOnSaveUserData;
    property OnMonitorCoordsChange: TOrbis01XOnMonitorCoordsChange read FOnMonitorCoordsChange write FOnMonitorCoordsChange;
    property OnMonitorLHCCHange: TOrbis01XOnMonitorLHCCHange read FOnMonitorLHCCHange write FOnMonitorLHCCHange;
    property OnMonitorParcelyCHange: TOrbis01XOnMonitorParcelyCHange read FOnMonitorParcelyCHange write FOnMonitorParcelyCHange;
    property OnOn_ProgressStart: TOrbis01XOn_ProgressStart read FOnOn_ProgressStart write FOnOn_ProgressStart;
    property OnOn_ProgressEnd: TOrbis01XOn_ProgressEnd read FOnOn_ProgressEnd write FOnOn_ProgressEnd;
    property OnOn_Progress: TOrbis01XOn_Progress read FOnOn_Progress write FOnOn_Progress;
    property OnOn_ProgressMax: TOrbis01XOn_ProgressMax read FOnOn_ProgressMax write FOnOn_ProgressMax;
    property OnOn_ProgressText: TOrbis01XOn_ProgressText read FOnOn_ProgressText write FOnOn_ProgressText;
    property OnOn_SelectDirectory: TOrbis01XOn_SelectDirectory read FOnOn_SelectDirectory write FOnOn_SelectDirectory;
    property OnOn_SelectFile: TOrbis01XOn_SelectFile read FOnOn_SelectFile write FOnOn_SelectFile;
    property OnOn_FileBeforeLoad: TOrbis01XOn_FileBeforeLoad read FOnOn_FileBeforeLoad write FOnOn_FileBeforeLoad;
    property OnOn_FileAfterSave: TOrbis01XOn_FileAfterSave read FOnOn_FileAfterSave write FOnOn_FileAfterSave;
    property OnOn_FileExists: TOrbis01XOn_FileExists read FOnOn_FileExists write FOnOn_FileExists;
    property OnCanResize: TOrbis01XOnCanResize read FOnCanResize write FOnCanResize;
    property OnClick: TNotifyEvent read FOnClick write FOnClick;
    property OnConstrainedResize: TOrbis01XOnConstrainedResize read FOnConstrainedResize write FOnConstrainedResize;
    property OnDblClick: TNotifyEvent read FOnDblClick write FOnDblClick;
    property OnMouseEnter: TNotifyEvent read FOnMouseEnter write FOnMouseEnter;
    property OnMouseLeave: TNotifyEvent read FOnMouseLeave write FOnMouseLeave;
    property OnResize: TNotifyEvent read FOnResize write FOnResize;
  end;

procedure Register;

resourcestring
  dtlServerPage = 'Servers';

  dtlOcxPage = 'ActiveX';

implementation

uses ComObj;

procedure TOrbis01X.InitControlData;
const
  CEventDispIDs: array [0..35] of DWORD = (
    $000000C9, $000000CA, $000000CB, $000000CC, $000000CD, $000000CE,
    $000000CF, $000000D0, $000000D1, $000000D2, $000000D3, $000000D4,
    $000000D5, $000000D6, $000000D7, $000000D8, $000000D9, $000000DA,
    $000000DB, $000000DC, $000000DD, $000000DE, $000000DF, $000000E0,
    $000000E1, $000000E2, $000000E3, $000000E4, $000000E5, $000000E6,
    $000000E7, $000000E8, $000000E9, $000000EA, $000000EB, $000000EC);
  CTFontIDs: array [0..0] of DWORD = (
    $FFFFFE00);
  CControlData: TControlData2 = (
    ClassID: '{95E22437-6730-44CF-AADD-75AD9B96F9ED}';
    EventIID: '{7C8A85B3-9B28-4E74-BC0E-778DB66555E4}';
    EventCount: 36;
    EventDispIDs: @CEventDispIDs;
    LicenseKey: nil (*HR:$80040154*);
    Flags: $0000001D;
    Version: 401;
    FontCount: 1;
    FontIDs: @CTFontIDs);
begin
  ControlData := @CControlData;
  TControlData2(CControlData).FirstEventOfs := Cardinal(@@FOnInterpretDone) - Cardinal(Self);
end;

procedure TOrbis01X.CreateControl;

  procedure DoCreate;
  begin
    FIntf := IUnknown(OleObject) as IOrbis01X;
  end;

begin
  if FIntf = nil then DoCreate;
end;

function TOrbis01X.GetControlInterface: IOrbis01X;
begin
  CreateControl;
  Result := FIntf;
end;

procedure TOrbis01X.ExploreWorld;
begin
  DefaultInterface.ExploreWorld;
end;

procedure TOrbis01X.NewProjectDialog;
begin
  DefaultInterface.NewProjectDialog;
end;

procedure TOrbis01X.NewKatastrDialog;
begin
  DefaultInterface.NewKatastrDialog;
end;

procedure TOrbis01X.NewProject(const aPath: WideString);
begin
  DefaultInterface.NewProject(aPath);
end;

procedure TOrbis01X.NewKatastr(const aPath: WideString; aID: Integer);
begin
  DefaultInterface.NewKatastr(aPath, aID);
end;

procedure TOrbis01X.Import;
begin
  DefaultInterface.Import;
end;

procedure TOrbis01X.CheckRasters;
begin
  DefaultInterface.CheckRasters;
end;

procedure TOrbis01X.SetupRasters;
begin
  DefaultInterface.SetupRasters;
end;

procedure TOrbis01X.CheckVrs;
begin
  DefaultInterface.CheckVrs;
end;

procedure TOrbis01X.CheckTyp;
begin
  DefaultInterface.CheckTyp;
end;

procedure TOrbis01X.SetupVrs;
begin
  DefaultInterface.SetupVrs;
end;

procedure TOrbis01X.SetupTyp;
begin
  DefaultInterface.SetupTyp;
end;

procedure TOrbis01X.LoadProject(const aProjectName: WideString);
begin
  DefaultInterface.LoadProject(aProjectName);
end;

procedure TOrbis01X.LoadKatastr(const aFileName: WideString);
begin
  DefaultInterface.LoadKatastr(aFileName);
end;

procedure TOrbis01X.LoadKatastrID(aID: Integer);
begin
  DefaultInterface.LoadKatastrID(aID);
end;

procedure TOrbis01X.SaveProjectAsContinual;
begin
  DefaultInterface.SaveProjectAsContinual;
end;

function TOrbis01X.JoinProjects(const aSourcePath: WideString): Integer;
begin
  Result := DefaultInterface.JoinProjects(aSourcePath);
end;

function TOrbis01X.RenumberLHC(LHC_OLD: Integer; LHC_NEW: Integer): WordBool;
begin
  Result := DefaultInterface.RenumberLHC(LHC_OLD, LHC_NEW);
end;

function TOrbis01X.FillMapsString: WideString;
begin
  Result := DefaultInterface.FillMapsString;
end;

function TOrbis01X.OrbisIndexToColor(aIndex: Integer): Integer;
begin
  Result := DefaultInterface.OrbisIndexToColor(aIndex);
end;

procedure TOrbis01X.ShowMap(const aMap: WideString);
begin
  DefaultInterface.ShowMap(aMap);
end;

procedure TOrbis01X.SetupMaps;
begin
  DefaultInterface.SetupMaps;
end;

procedure TOrbis01X.NewMap;
begin
  DefaultInterface.NewMap;
end;

procedure TOrbis01X.MapDialog;
begin
  DefaultInterface.MapDialog;
end;

procedure TOrbis01X.ClearTheSelect;
begin
  DefaultInterface.ClearTheSelect;
end;

procedure TOrbis01X.ShowTheForest(Pattern: WordBool);
begin
  DefaultInterface.ShowTheForest(Pattern);
end;

procedure TOrbis01X.ShowTheKatastr(Pattern: WordBool);
begin
  DefaultInterface.ShowTheKatastr(Pattern);
end;

procedure TOrbis01X.ShowTheSelect(Pattern: WordBool);
begin
  DefaultInterface.ShowTheSelect(Pattern);
end;

procedure TOrbis01X.HighlightTheForest;
begin
  DefaultInterface.HighlightTheForest;
end;

procedure TOrbis01X.HighlightTheKatastr;
begin
  DefaultInterface.HighlightTheKatastr;
end;

procedure TOrbis01X.HighlightTheSelect;
begin
  DefaultInterface.HighlightTheSelect;
end;

procedure TOrbis01X.ZoomIn;
begin
  DefaultInterface.ZoomIn;
end;

procedure TOrbis01X.ZoomOut;
begin
  DefaultInterface.ZoomOut;
end;

procedure TOrbis01X.ViewAll;
begin
  DefaultInterface.ViewAll;
end;

procedure TOrbis01X.ReView;
begin
  DefaultInterface.ReView;
end;

procedure TOrbis01X.Print;
begin
  DefaultInterface.Print;
end;

procedure TOrbis01X.PrintMap;
begin
  DefaultInterface.PrintMap;
end;

procedure TOrbis01X.ClearData;
begin
  DefaultInterface.ClearData;
end;

procedure TOrbis01X.NewEditLayer;
begin
  DefaultInterface.NewEditLayer;
end;

procedure TOrbis01X.ActualEditLayerToActualMap;
begin
  DefaultInterface.ActualEditLayerToActualMap;
end;

procedure TOrbis01X.CheckUserDataForSave;
begin
  DefaultInterface.CheckUserDataForSave;
end;

procedure TOrbis01X.LoadUserDataFrom(const aFileName: WideString);
begin
  DefaultInterface.LoadUserDataFrom(aFileName);
end;

procedure TOrbis01X.SaveUserDataTo(const aFileName: WideString);
begin
  DefaultInterface.SaveUserDataTo(aFileName);
end;

procedure TOrbis01X.ExecuteScript(const aScript: WideString);
begin
  DefaultInterface.ExecuteScript(aScript);
end;

procedure TOrbis01X.StartSizeMove;
begin
  DefaultInterface.StartSizeMove;
end;

procedure TOrbis01X.EndSizeMove;
begin
  DefaultInterface.EndSizeMove;
end;

procedure TOrbis01X.ExportToJPGFile(const aVal: WideString);
begin
  DefaultInterface.ExportToJPGFile(aVal);
end;

procedure TOrbis01X.ExportToBMPFile(const aVal: WideString);
begin
  DefaultInterface.ExportToBMPFile(aVal);
end;

function TOrbis01X.Projection_Move(aNext: WordBool): WordBool;
begin
  Result := DefaultInterface.Projection_Move(aNext);
end;

function TOrbis01X.Projection_Status(var NoNext: WordBool; var NoPrevious: WordBool): WordBool;
begin
  Result := DefaultInterface.Projection_Status(NoNext, NoPrevious);
end;

procedure TOrbis01X.SetDesignVisible(Value: WordBool);
begin
  DefaultInterface.SetDesignVisible(Value);
end;

function TOrbis01X.DrawTextBiDiModeFlagsReadingOnly: Integer;
begin
  Result := DefaultInterface.DrawTextBiDiModeFlagsReadingOnly;
end;

procedure TOrbis01X.InitiateAction;
begin
  DefaultInterface.InitiateAction;
end;

function TOrbis01X.IsRightToLeft: WordBool;
begin
  Result := DefaultInterface.IsRightToLeft;
end;

function TOrbis01X.UseRightToLeftReading: WordBool;
begin
  Result := DefaultInterface.UseRightToLeftReading;
end;

function TOrbis01X.UseRightToLeftScrollBar: WordBool;
begin
  Result := DefaultInterface.UseRightToLeftScrollBar;
end;

procedure TOrbis01X.SetSubComponent(IsSubComponent: WordBool);
begin
  DefaultInterface.SetSubComponent(IsSubComponent);
end;

function TOrbis01X.ClassNameIs(const Name: WideString): WordBool;
begin
  Result := DefaultInterface.ClassNameIs(Name);
end;

procedure Register;
begin
  RegisterComponents(dtlOcxPage, [TOrbis01X]);
end;

end.
