unit SrovnejLamie;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Mezery: TButton;
    Stop: TButton;
    ListBoxKod: TListBox;
    ListBoxLine: TEdit;
    EditS: TEdit;
    AdresaVstupniKod: TEdit;
    ButtonAdresa: TButton;
    EditS1: TEdit;
    EditS2: TEdit;
    EditRadek: TEdit;
    Carky: TButton;
    ListBoxVysledek: TListBox;
    Stredniky: TButton;
    OpenDialog: TOpenDialog;
    Button1: TButton;
    procedure StopClick(Sender: TObject);
    procedure MezeryClick(Sender: TObject);
    procedure ButtonAdresaClick(Sender: TObject);
    procedure ListBoxKodClick(Sender: TObject);
    procedure CarkyClick(Sender: TObject);
    procedure StrednikyClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.StopClick(Sender: TObject);
begin
Form1.Close;
end;

procedure TForm1.MezeryClick(Sender: TObject);
var i, j, pocetmezer: integer;
    znak, carka, tecka, strednik, mezera, rovnitko, dvojtecka, mensitko, vetsitko: char;
    Radek, Slovo, DalsiSlovo: string;
    ZacatekTextu: boolean;
begin
   carka := ',';
   tecka := '.';
   strednik := ';';
   mezera := ' ';
   rovnitko:= '=';
   dvojtecka := ':';
   mensitko := '<';
   vetsitko := '>';
   
   for j:=0 to Listboxkod.Items.Count - 1 do
   begin
       radek:= Listboxkod.Items.Strings[j];
            EditRadek.Text := radek;
            pocetmezer:=0;
            ZacatekTextu:= false;
       for i:=1 to Length(radek) do
       begin
            if (radek[i] = mezera) and not ZacatekTextu then
               inc(pocetmezer);
            if radek[i] <> mezera then
               ZacatekTextu := true;
       end;
       for i:=1 to Length(radek) do
       begin
           radek[i] := Radek[i+pocetmezer];
       end;
       Listboxkod.Items.Strings[j]:= radek;
   end;
end;

procedure TForm1.ButtonAdresaClick(Sender: TObject);
begin
   if not FileExists(AdresaVstupniKod.Text) then
   begin
      ShowMessage('trhni si nohou - soubor neexistuje!');
      exit;
   end;
   Listboxkod.Items.LoadFromFile(AdresaVstupniKod.Text);
end;

procedure TForm1.ListBoxKodClick(Sender: TObject);
begin
ListBoxLine.Text:= inttostr(ListBoxKod.ItemIndex);
end;

procedure TForm1.CarkyClick(Sender: TObject);
var i, j, k, pocetmezer: integer;
    znak, carka: char;
    Radek1, Radek2, mezera, strednik, Slovo, DalsiSlovo: string;
    ZacatekTextu: boolean;
begin
   carka := ',';
   strednik := ';';
   mezera := ' ';
   for j:=0 to Listboxkod.Items.Count - 1 do
   begin
       radek1:= Listboxkod.Items.Strings[j-1];
       radek2:= Listboxkod.Items.Strings[j];
            EditRadek.Text := radek1;
            ZacatekTextu:= false;
       for i:=1 to Length(radek1) do             {text za strednikem patri na dalsi radek}
       begin
            if (radek1[i] = strednik) and (i < Length(radek1)) then
               for k:=1 to i do Slovo[k]:=radek1[k];
               for k:=(i+1) to Length(radek1) do DalsiSlovo[k]:=radek1[k];
       end;
       ListboxVysledek.Items.Strings[j]:= radek1;

   end;
end;

procedure TForm1.StrednikyClick(Sender: TObject); {text za strednikem patri na dalsi radek}
var IndexStredniku, i, j, k, l: integer;
    strednik, carka: char;
    Radek, Slovo, DalsiSlovo: string;
    Rozdel: boolean;
begin
   strednik := ';';
   Slovo:='';
   DalsiSlovo:='';
   Rozdel:= false;
   j := 0;
   while j < ListBoxKod.Count - 1 do
   begin
      //j:= strtoint(ListBoxLine.Text);
      //j := ListBoxKod.ItemIndex;
      begin
          Slovo:='';
          DalsiSlovo:='';
          Rozdel:= false;
          IndexStredniku := 0;
          radek:= Listboxkod.Items.Strings[j];
          for i:=1 to Length(radek) do
          if (radek[i] = strednik) and (i < Length(radek)) then
          begin
              IndexStredniku:= i;
              Rozdel:= true;
              break;
          end;

          if  Rozdel then
          begin
             Slovo := copy(Radek,1,IndexStredniku);
             DalsiSlovo := copy(radek,IndexStredniku+1,Length(radek)-IndexStredniku);
             Listboxkod.Items.Strings[j] := Slovo;
             if j = ListBoxKod.Count - 1 then
                ListBoxKod.Items.Add(DalsiSLovo)
             else
                ListBoxKod.Items.Insert(j+1,DalsiSlovo);
          end;
      end;
      inc(j);
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   OpenDialog.InitialDir := 'C:\Orbis32\lib';
   if OpenDialog.Execute then
   begin
      AdresaVstupniKod.Text := OpenDialog.FileName;
   end;
end;

end.
