unit f_testini;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo: TMemo;
    cb_PM: TCheckBox;
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
uses
  iniFiles;

procedure TForm1.FormDestroy(Sender: TObject);
var
   Ini: TIniFile;
begin
   inherited;
   try
      Ini := TIniFile.Create(CHangeFileExt(Paramstr(0),'.ini'));

      Ini.WriteInteger('MainForm','Left', Left);
      Ini.WriteInteger('MainForm','Top', Top);
      Ini.WriteInteger('MainForm','Width', Width);
      Ini.WriteInteger('MainForm','Height', Height);
      Ini.WriteBool('MainForm','PM',cb_PM.CHecked);
      Ini.Free;
   except
      ShowMessage('Chyba');
   end;
   Memo.Clear;
   Memo.Lines.Add('Left:     '+intToStr(Left));
   Memo.Lines.Add(' Top:     '+intToStr(Top));
   Memo.Lines.Add('Width:    '+intToStr(Width));
   Memo.Lines.Add('Height:   '+intToStr(Height));
   ShowMessage('HU');
end;

procedure TForm1.FormCreate(Sender: TObject);
var
   Ini: TIniFile;
   S: string;
begin
   Memo.Clear;
   inherited;
   Memo.Lines.Add('*** ini START');
   try
      Ini := TIniFile.Create(CHangeFileExt(Paramstr(0),'.ini'));
      Left        := Ini.ReadInteger('MainForm','Left', Left);
      Top         := Ini.ReadInteger('MainForm','Top', Top);
      Width       := Ini.ReadInteger('MainForm','Width', Width);
      Height      := Ini.ReadInteger('MainForm','Height', Height);
      cb_PM.Checked := ini.ReadBool('MainForm','PM', false);
   except
      Memo.Lines.Add('Njak chyba pi ten z ini.....');
   end;
   Memo.Lines.Add('Left:     '+intToStr(Left));
   Memo.Lines.Add(' Top:     '+intToStr(Top));
   Memo.Lines.Add('Width:    '+intToStr(Width));
   Memo.Lines.Add('Height:   '+intToStr(Height));
   Memo.Lines.Add('*** ini FINISH');
   if cb_PM.Checked then
      Application.ProcessMessages;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
   Caption := 'Rozmr: '+IntToStr(Left)+','+IntTOStr(Top)+'::'+IntToStr(Width)+'x'+IntToStr(Height);
   Memo.Lines.Add('Rozmr: '+IntToStr(Left)+','+IntTOStr(Top)+'::'+IntToStr(Width)+'x'+IntToStr(Height));
end;

end.
