unit F_watch;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, ExtCtrls,
  t_CmdLn;

type
  TWatchForm = class(TForm)
    Header: THeader;
    SG: TStringGrid;
    procedure HeaderSizing(Sender: TObject; ASection, AWidth: Integer);
    procedure FormCreate(Sender: TObject);
    procedure SGDblClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
  public
     C: TCommandLine;
     procedure Run;
  end;


implementation

{uses}
   {!t_Main;}


{$R *.DFM}

procedure TWatchForm.Run;
var
   i: longInt;
   S: string;
begin
   for i := 0 to SG.RowCount - 1 do
   begin
      S := SG.Cells[0,i];
      if S <> '' then
      begin
         C.Line := S;
         C.DoIt;
         SG.Cells[1,i] := C.ResultLine;
      end
      else SG.Cells[1,i] := '';
   end;
end;


procedure TWatchForm.HeaderSizing(Sender: TObject; ASection,
  AWidth: Integer);
begin
   if aWidth <> SG.ColWidths[0] then
   begin
      SG.ColWidths[0] := aWidth;
      SG.ColWidths[1] := Header.SectionWidth[1] - 20;
   end;
end;

procedure TWatchForm.FormCreate(Sender: TObject);
begin
   C := TCommandLine.Create;
end;

procedure TWatchForm.SGDblClick(Sender: TObject);
begin
   Run;
end;

procedure TWatchForm.FormResize(Sender: TObject);
begin
   SG.ColWidths[0] := Header.SectionWidth[0];
   SG.ColWidths[1] := Header.SectionWidth[1] - 20;
end;

procedure TWatchForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
   C.Free;
end;

end.
