unit M_orbis;

{
[Unit_Description]
Description=Zprvy Orbisu
Admin=Petr
TechTopic=Messages
Topic=Zprvy
Version=1.0
}


interface

uses
   Messages;

const

  WM_ORBISMESSAGE = WM_APP + 100;
  TM_ORBISMESSAGE = 123;

  tm_First = 0;

  tm_StartTask     =   tm_First + 0;
  tm_EndTask       =   tm_First + 1;
  tm_QuitTask      =   tm_First + 2;
  tm_Done          =   tm_First + 3;
  tm_ToolSelected  =   tm_First + 4;
  tm_TaskSelected  =   tm_First + 5;
  tm_ExternalTaskSelected  =   tm_First + 6;
  tm_ElementSelected  =   tm_First + 7;
  tm_AddToProtocol =   tm_First + 8;
  tm_BreakInterpret=   tm_First + 9;
  tm_StartProgress =   tm_First + 10;
  tm_Progress      =   tm_First + 11;
  tm_MaxProgress   =   tm_First + 12;
  tm_EndProgress   =   tm_First + 13;
  tm_ProgressText  =   tm_First + 14;

  tm_Modul_End     =   tm_First + 15;
  tm_DDEMessage    =   tm_First + 16;
  tm_GuideSelect   =   tm_First + 17;
  tm_EndOfPrint    =   tm_First + 18;
  tm_ShowTools     =   tm_First + 19;
  tm_StartOfDDEScript= tm_First + 20;
  tm_EndOfDDEScript=   tm_First + 21;
  tm_SetDDEResult  =   tm_First + 22;
  tm_CMDLNextLine  =   tm_First + 23;

  tm_Open          =   tm_First + 24;
  tm_SaveAs        =   tm_First + 25;
  tm_SaveElement   =   tm_First + 26;
  tm_LoadElement   =   tm_First + 27;
  tm_ToolChange    =   tm_First + 28;
  tm_ModelChanged  =   tm_First + 29;
  tm_ZeroActivity  =   tm_First + 30;

  tm_Help          =   tm_First + 31;
  tm_MView         =   tm_First + 32;

  tm_About         =   tm_MView  + 0;
  tm_AddView       =   tm_MView  + 1;
  tm_ReView        =   tm_MView  + 2;
  tm_ReViewByElement = tm_MView  + 3;
  tm_BreakAndReView=   tm_MView  + 4;
  tm_ZoomIn        =   tm_MView  + 5;
  tm_ZoomOut       =   tm_MView  + 6;
  tm_Explore       =   tm_MView  + 7;
  tm_ExploreOwners =   tm_MView  + 8;
  tm_AddCoordsView =   tm_MView  + 9;
  tm_CoordsView    =   tm_MView  + 10;
  tm_Print         =   tm_MView  + 11;
  tm_NewWorldView  =   tm_MView  + 12;
  tm_PickUpObject  =   tm_MView  + 13;
  tm_AddAndPrintView = tm_MView  + 14;
  tm_ShowText        = tm_MView  + 15;
  tm_NewScale        = tm_MView  + 16;
  tm_ShowAll         = tm_MView  + 17;
  tm_Resize          = tm_MView  + 18;
  tm_BreakAndQuitTask= tm_MView  + 19;
  tm_RePaint         = tm_MView  + 20;
  tm_QuickView       = tm_MView  + 21;
  tm_Show            = tm_MView  + 22;
  tm_Hide            = tm_MView  + 23;
  tm_ProjectionChanged = tm_MView  + 24;
  tm_ChangeThematic  = tm_MView  + 25;
  tm_LengthChanged    = tm_MView  + 26;
  tm_AreaChanged     = tm_MView  + 27;

  tm_ElemManipulate =  tm_MView + 28;
  tm_AddElement     = tm_ElemManipulate + 1;
  tm_DeleteElement  = tm_ElemManipulate + 2;
  tm_EditElement    = tm_ElemManipulate + 3;


 { Geometry Manipulations }
  tm_GeometryManipulate = tm_ElemManipulate + 4;
  tm_DivideGeometry     = tm_GeometryManipulate + 0;
  tm_ExchangeGeometry   = tm_GeometryManipulate + 1;

  tm_DeviceEvents    = tm_GeometryManipulate + 2;
  tm_Keydown         = tm_DeviceEvents + 0;
  tm_MouseDown       = tm_DeviceEvents + 1;
  tm_MouseUp         = tm_DeviceEvents + 2;
  tm_MouseMove       = tm_DeviceEvents + 3;
  tm_MouseWheelUp    = tm_DeviceEvents + 4;
  tm_MouseWheelDown  = tm_DeviceEvents + 5;
  tm_StartDrag       = tm_DeviceEvents + 6;
  tm_DragOver        = tm_DeviceEvents + 7;
  tm_DragDrop        = tm_DeviceEvents + 8;
  tm_DragEnd         = tm_DeviceEvents + 9;
  tm_EditProperty    = tm_DeviceEvents + 10;
  tm_DropFile        = tm_DeviceEvents + 11;
  tm_Cursor          = tm_DeviceEvents + 12;
  tm_DataReceived    = tm_DeviceEvents + 13;
  tm_ExternalDeviceDown = tm_DeviceEvents + 14;
  tm_ExternalDeviceUp   = tm_DeviceEvents + 15;
  tm_ExternalDeviceMove = tm_DeviceEvents + 16;

  tm_FileBeforeLoad     = tm_DeviceEvents + 17;
  tm_FileAfterSave      = tm_DeviceEvents + 18;
  tm_FileExists         = tm_DeviceEvents + 19;

  tm_DeviceEventsEnd    = tm_DeviceEvents + 20;

  {pro Oil}
  tm_OIL             = tm_DeviceEventsEnd+1;
  tm_OilStart        = tm_OIL+0;
  tm_OilEnded        = tm_OIL+1;
  tm_OilError        = tm_OIL+2;
  tm_OilBreak        = tm_OIL+3;
  tm_OILPaused       = tm_OIL+4;
  tm_OilResume       = tm_OIL+5;
  tm_OILEnd          = tm_DeviceEventsEnd+10;

  tm_Last          =   tm_OILEnd;
  tm_LastOrbisLib  =   tm_Last;

implementation

end.


