unit f_TabletDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons, ExtCtrls,
  Tools, Spin;

type
  TTabletDialog_Form = class(TForm)
    OpenDialog: TOpenDialog;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    ed_ConfigFile: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label3: TLabel;
    l_X: TLabel;
    Label4: TLabel;
    l_Y: TLabel;
    Label5: TLabel;
    l_Button: TLabel;
    ed_MoveTolerance: TSpinEdit;
    l_Text: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    ed_1: TSpinEdit;
    ed_2: TSpinEdit;
    ed_3: TSpinEdit;
    ed_4: TSpinEdit;
    Label10: TLabel;
    l_1: TLabel;
    l_2: TLabel;
    l_3: TLabel;
    l_4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ed_1Change(Sender: TObject);
    procedure ed_2Change(Sender: TObject);
    procedure ed_3Change(Sender: TObject);
    procedure ed_4Change(Sender: TObject);
  private
    FTool: TTool;
    procedure SetTool(const Value: TTool);
    { Private declarations }
  public
    function ButtonToActionString(aBut: integer): string;
    property Tool: TTool read FTool write SetTool;
  end;


implementation

{$R *.DFM}

procedure TTabletDialog_Form.Button1Click(Sender: TObject);
begin
   if OpenDialog.Execute then
   begin
      ed_ConfigFile.Text := OpenDialog.FileName;
   end;
end;

procedure TTabletDialog_Form.SetTool(const Value: TTool);
begin
  FTool := Value;
end;

procedure TTabletDialog_Form.Button2Click(Sender: TObject);
begin
   if Tool = nil then exit;
   Tool.SetPropertyBooleanByName('Test',true);
end;


function TTabletDialog_Form.ButtonToActionString(aBut: integer): string;
begin
   case aBut of
   1: result := 'Sejmut bodu';
   2: result := 'Zruen bodu';
   3: result := 'Zruen linie';
   4: result := 'Ukonen linie';
   else
      result := '-';
   end;
end;

procedure TTabletDialog_Form.ed_1Change(Sender: TObject);
begin
   l_1.Caption := ButtonToActionString(ed_1.Value);
end;


procedure TTabletDialog_Form.ed_2Change(Sender: TObject);
begin
   l_2.Caption := ButtonToActionString(ed_2.Value);
end;

procedure TTabletDialog_Form.ed_3Change(Sender: TObject);
begin
   l_3.Caption := ButtonToActionString(ed_3.Value);
end;

procedure TTabletDialog_Form.ed_4Change(Sender: TObject);
begin
   l_4.Caption := ButtonToActionString(ed_4.Value);
end;

end.
