unit r_TabletManager;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  r_OrbisFrame, StdCtrls, ActnList, Menus, ExtCtrls, Buttons, ComCtrls,
 {$IFDEF WINTAB}
  WinTablet,
  {$ENDIF}
  ToolWin;

type
  TTabletManager_Frame = class(TOrbis_Frame)
    TabletPanel: TPanel;
    TabletPopupMenu: TPopupMenu;
    Aktivn1: TMenuItem;
    TabletActionList: TActionList;
    Tablet_Run: TAction;
    Tablet_Transformation: TAction;
    Tablet_Settings: TAction;
    Transformace1: TMenuItem;
    Nastaven1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    Tablet_ShowTrafo: TAction;
    Zobrazitbody1: TMenuItem;
    procedure Tablet_RunExecute(Sender: TObject);
    procedure Tablet_TransformationExecute(Sender: TObject);
    procedure Tablet_SettingsExecute(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Tablet_ShowTrafoExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

procedure TTabletManager_Frame.Tablet_RunExecute(Sender: TObject);
begin
   Tool.SetPropertyBooleanByName('Action_Run',true);
end;

procedure TTabletManager_Frame.Tablet_TransformationExecute(Sender: TObject);
begin
   Tool.SetPropertyBooleanByName('Action_Transform',true);
end;

procedure TTabletManager_Frame.Tablet_SettingsExecute(Sender: TObject);
begin
   Tool.SetPropertyBooleanByName('Action_Settings',true);
end;

procedure TTabletManager_Frame.Button1Click(Sender: TObject);
begin
   Tablet_RunExecute(nil);
end;

procedure TTabletManager_Frame.Tablet_ShowTrafoExecute(Sender: TObject);
begin
   Tool.SetPropertyBooleanByName('Action_ShowTrafo',true);
end;

end.
