unit F_Password;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

type
  TPassDlg = class(TForm)
    Label1: TLabel;
    EUser: TEdit;
    EPass: TEdit;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label2: TLabel;
    procedure EUserChange(Sender: TObject);
    procedure EPassChange(Sender: TObject);
  private
    function  GetPassword: String;
    function  GetUserName: String;

    procedure SetBtns;
    procedure SetPassword(const Value: String);
    procedure SetUserName(const Value: String);
    { Private declarations }
  public
    { Public declarations }
     property UserName: String read GetUserName  write SetUserName;
     property Password: String read GetPassword  write SetPassword;
  end;


implementation


{$R *.DFM}

function TPassDlg.GetPassword: String;
begin
   Result := EPass.Text;
end;

function TPassDlg.GetUserName: String;
begin
   Result := EUser.Text;
end;

procedure TPassDlg.SetPassword(const Value: String);
begin
   EPass.Text := Value;
end;

procedure TPassDlg.SetUserName(const Value: String);
begin
   EUser.Text := Value;
end;

procedure TPassDlg.EUserChange(Sender: TObject);
begin
   SetBtns;
end;


procedure TPassDlg.EPassChange(Sender: TObject);
begin
   SetBtns;
end;


procedure TPassDlg.SetBtns;
begin
   if ((Password = '') or (UserName = '')) then
      BitBtn1.Enabled := False
   else
      BitBtn1.Enabled := True;
end;


end.

