unit auto_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ auto Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_auto: TGUID = '{FB2BE200-0469-11D2-B805-0080C8814CF4}';

const

{ Component class GUIDs }
  Class_Dialog: TGUID = '{FB2BE202-0469-11D2-B805-0080C8814CF4}';

type

{ Forward declarations: Interfaces }
  IDialog = interface;
  IDialogDisp = dispinterface;

{ Forward declarations: CoClasses }
  Dialog = IDialog;

{ Dispatch interface for Dialog Object }

  IDialog = interface(IDispatch)
    ['{FB2BE201-0469-11D2-B805-0080C8814CF4}']
    function Get_Message: WideString; safecall;
    procedure Set_Message(const Value: WideString); safecall;
    property Message: WideString read Get_Message write Set_Message;
  end;

{ DispInterface declaration for Dual Interface IDialog }

  IDialogDisp = dispinterface
    ['{FB2BE201-0469-11D2-B805-0080C8814CF4}']
    property Message: WideString dispid 1;
  end;

{ DialogObject }

  CoDialog = class
    class function Create: IDialog;
    class function CreateRemote(const MachineName: string): IDialog;
  end;



implementation

uses ComObj;

class function CoDialog.Create: IDialog;
begin
  Result := CreateComObject(Class_Dialog) as IDialog;
end;

class function CoDialog.CreateRemote(const MachineName: string): IDialog;
begin
  Result := CreateRemoteComObject(MachineName, Class_Dialog) as IDialog;
end;


end.
