(*--------------------------------------------------------+
|                                                         |
|         Nektere typy pro microStation                   |
|                                                         |
+---------------------------------------------------------*)
unit Typky;

INTERFACE
{
uses
   MatProc;
}
const

  Barvy: array[0..255] of word =
          ( 15,  8,  2, 11, 14, 12,  6, 10,  13,  0, 11, 14, 9,  5,  0, 10,
            15,  8,  2, 11, 14, 12,  6, 10, 15,  8, 9, 11, 14, 12,  6, 10,
            15,  8,  2, 11, 14, 12,  6, 10, 15,  8, 9, 11, 14, 12,  6, 10,
             0,  8,  2, 11, 14, 12,  6, 10,  0,  8, 9, 11, 14, 12,  6, 10,
             0,  8,  2, 11, 14,  5,  6, 10,  0,  8, 9, 11, 14,  5,  6, 10,
             0,  8,  2, 11, 14,  5,  6, 10,  0,  8, 9, 11, 14,  5,  6, 10,
             0,  8,  2, 11, 14,  5,  6, 10,  0,  8, 9, 11, 14,  5,  6, 10,
             7,  8,  2, 11, 14,  5,  6, 10,  7,  8, 9, 11, 14,  5,  6, 10,
             7,  8,  2, 11, 14,  5,  6, 10,  7,  8, 9, 11, 14,  5,  6, 10,
             7,  5,  2, 11, 14,  5,  6, 10,  7,  5, 9, 11, 14,  5,  6, 10,
             13, 5,  2, 11, 14,  5,  6, 10, 13,  5, 9, 11, 14,  5,  6, 10,
             13, 5,  2, 11, 14,  5, 14, 10, 13,  5, 9, 11, 14,  5, 14, 10,
             13, 5,  2, 11, 14,  5, 14, 10, 13,  5, 9, 11, 14,  5, 14, 10,
             13, 5,  2, 11, 14,  5, 14, 10, 13,  5, 9, 11, 14,  5, 14, 10,
             13, 5,  2, 11, 14,  5, 14, 10, 13,  5, 9, 11, 14,  5, 14, 10,
             13, 5,  2, 11, 14,  5, 14, 10, 13,  5, 9, 11, 14,  5,  0,  0 );

type

  TDvaZnaky = Array[1..2] of char;

(*----------------------------------------------------------------------+
|                                                                       |
|   Points						                |
|									|
+----------------------------------------------------------------------*)
  Point2D = record
    x: LongInt;
    y: LongInt;
  end;

  Point3D = record
    x: LongInt;
    y: LongInt;
    z: LongInt;
  end;

  DPoint2D = record
    x: Double;
    y: Double;
  end;

  DPoint3D = record
    x: Double;
    y: Double;
    z: Double;
  end;

  LTrans2D = record
    t11: LongInt;
    t12: LongInt;
    t21: LongInt;
    t22: LongInt;
  end;

  LTrans3D = record
    t11: LongInt;
    t12: LongInt;
    t13: LongInt;
    t21: LongInt;
    t22: LongInt;
    t23: LongInt;
    t31: LongInt;
    t32: LongInt;
    t33: LongInt;
  end;

(*----------------------------------------------------------------------+
|                                                                       |
|    Oblouky a elipsy                                                   |
|									|
+----------------------------------------------------------------------*)
{
  PParametryElipsy = ^TParametryElipsy;
  TParametryElipsy = record
     Orig: TSour;
     a   : real;
     b   : real;
     Uhel: real;
  end;

  PParametryOblouku = ^TParametryOblouku;
  TParametryOblouku = record
     Orig   : TSour;
     a      : real;
     b      : real;
     Uhel   : real;
     Zacatek: real;
     Konec  : real;
  end;
}

IMPLEMENTATION
end.