unit T_Main;
{
Prce v runm nebo automatickm reimu
- run pomoc menu, struktur a propert
- automatick, pokud najde pslun parametry na pkazovm dku
  i jako DDE server
  . d se psunem ablon i vybranch map
  . technologie probh s monost vizuln kontroly nebo bez n

   vbr ablony s bloky, dodn prostoru,
}

interface
uses
  Graphics,
  { test }
  e_SIndex,
  {
  t_SAMake,
  }

  Classes,
  WinTypes,
  Elements,
{  e_Map,
  e_MSpace,
}  
  e_Type,
  t_GNEdit,
  T_Recurs,
  t_MainTl, M_Proj,
{$IFDEF Debug}
  F_Test1,
{$ELSE}
  UDBForm,
{$ENDIF}
  Tools{,
  T_LHPMap};



type

TOptions = class(TBaseOptions)
private
  FDelRAS: TStringListElement;
  FDeleteRAS: boolean;
  FWorkingDirectory: PString;
  FDataDirectory: PString;
  FRasterDirectory: PString;
  FServiceDirectory: PString;
  FZoomKoef: double;
  FWorkSpaceWidth: double;
  FWorkSpaceHeight: double;
  FWorkSpaceShow: boolean;
  FWorkSpaceColor: TColor;
  FTableTextsView: boolean;
  FRasterLayers: string;
  FShowRAS: boolean;
  FShowZM : boolean;
  FlColor: TColor;
  FpColor: TColor;
  FrColor: TColor;
  FtColor: TColor;
  FvColor: TColor;
  function  GetDelRAS: TStringListElement;
  function  GetWDir: string;
  procedure SetWDir(aValue: string);
  function  GetRDir: string;
  procedure SetRDir(aValue: string);
  function  GetDDir: string;
  procedure SetDDir(aValue: string);
  function  GetZoomKoef: double;
  function  GetRasterLayers: string;
public
  property   DelRAS: TStringListElement read GetDelRAS;
published
  property   DeleteRAS: boolean read FDeleteRas write FDeleteRAS;
  property   WorkingDirectory: string read GetWDir write SetWDir;
  property   RasterDirectory: string read GetRDir write SetRDir;
  property   DataDirectory: string read GetDDir write SetDDir;
  property   ZoomKoef: double read GetZoomKoef write FZoomKoef;
  property   WorkSpaceWidth: double read FWorkSpaceWidth write FWorkSpaceWidth;
  property   WorkSpaceHeight:double read FWorkSpaceHeight write FWorkSpaceHeight;
  property   WorkSpaceShow: boolean read FWorkSpaceShow write FWorkSpaceShow;
  property   WorkSpaceColor:TColor read FWorkSpaceColor write FWorkSpaceColor;
  property   TableTextsView: boolean read FTableTextsView write FTableTextsView;
  property   ShowZM: boolean read FShowZM write FShowZM;
  property   ShowRas: boolean read FShowRas write FShowRas;
  property   RasterLayers: string read GetRasterLayers write FRasterLayers;
  property   lColor: TColor read FlColor write FlColor;
  property   pColor: TColor read FpColor write FpColor;
  property   rColor: TColor read FrColor write FrColor;
  property   tColor: TColor read FtColor write FtColor;
  property   vColor: TColor read FvColor write FvColor;
end;


TMainTool = class(TOldMainTool)
private
  FOptions: TBaseOptions;
  ViewerIndex: integer;
  FSelectDone: boolean;
  FCancelProcess: boolean;
  FTemplateLibrary: TStringList;
  FEditorForm: TGNEditorFormTool;
  FRole: TUserRole;
{$IFDEF Debug}
  FTextDBForm: TF_Test1Form;
{$ELSE}
  FTextDBForm: TFDBForm;
{$ENDIF}
  procedure ReadParams; override;
{
  function  GetOptions: TElement; override;
  procedure SetOptions(aValue: TElement); override;
}
  function  GetOptions: TBaseOptions; override;
  procedure SetOptions(aValue: TBaseOptions); override;

  function  GetEditorForm: TGNEditorFormTool;
  procedure SetMainFormRole;
  function  GetNOptions: TOptions; virtual;
  procedure SetNOptions(aValue: TOptions); virtual;
public
  StartDir: string;
  constructor Create; override;
  destructor  Destroy; override;
  procedure   DoIt; override;
  procedure  on_tm_SetOptions(var Handled: boolean); virtual;
  procedure  on_tm_QuitTask; override;
  procedure  on_tm_ShowText(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
  procedure  On_tm_SetPalette(var Handled: boolean); virtual;
  procedure  On_tm_SetRasDirectory(var Handled: boolean); virtual;
  procedure  HandleMessage(var aMessage: TOrbisMessage; var Handled: boolean); override;
  procedure  AddWorkTools; override;

  property   EditorForm: TGNEditorFormTool read GetEditorForm;
  property   SelectDone: boolean read FSelectDone write FSelectDone;
  property   CancelProcess: boolean read FCancelProcess write FCancelProcess;
  property   Role: TUserRole read FRole write FRole;
{$IFDEF Debug}
  property   TextDBForm: TF_Test1Form read FTextDBForm;
{$ELSE Debug}
  property   TextDBForm: TFDBForm read FTextDBForm;
{$ENDIF Debug}
   property   Options: TOptions read GetNOptions write SetNOptions;
end;




implementation
uses
  { Test}

  Controls, Forms, Dialogs, IniFiles, SysUtils, WinProcs, FileCtrl,
  _IniFile,
  M_Orbis,
  e_WCS, e_color, U_File,
  F_Main, F_Start,
  F_Option,
  f_SelDir,
  g_Elems,
  e_IScrpt,
{  e_TopMDL, }
  i_Uni,
  {
  t_InterA,
  t_MSEdit,
  }
  t_Loader,
  {
  T_TisCre,

  T_TopImp, T_PZ, T_WView, I_View, I_TopoL,
  t_MshGen,
  }
  u_String,
  Worlds,
  F_PassDg,
  I_Krizku{,
  E_Files, I_Files, T_ViewPZ, T_Mapsh,
  T_VieMap, T_VSEdit};

{TOptions}

function  TOptions.GetDelRAS: TStringListElement;
begin
   if FDelRas = nil then
   begin
      FdelRas := TStringListElement.Create;
      AddElement(FDelRas);
   end;
   result := FDelRas;
end;


function  TOptions.GetWDir: string;
begin
   result := GetPString(FWorkingDirectory);
end;

procedure TOptions.SetWDir(aValue: string);
begin
   SetPString(FWorkingDirectory, aValue);
end;

function  TOptions.GetDDir: string;
begin
   result := GetPString(FDataDirectory);
end;

procedure TOptions.SetDDir(aValue: string);
begin
   SetPString(FDataDirectory, aValue);
end;

function  TOptions.GetRDir: string;
begin
  result := GetPString(FRasterDirectory);
end;

procedure TOptions.SetRDir(aValue: string);
begin
  SetPString(FRasterDirectory, aValue);
end;

function  TOptions.GetZoomKoef: double;
begin
  if FZoomKoef = 0 then
  begin
    FZoomKoef:= 1.4
  end;
  result:= FZoomKoef
end;

function  TOptions.GetRasterLayers: string;
begin
   if FRasterLayers = '' then FRasterLayers := 'lprtv';
   result:= FRasterLayers
end;

{TMainTool}

constructor TMainTool.Create;
var
   S: string;
begin
  inherited Create;
  getDir(0, S);
  TOptions(Options).WorkingDirectory := S;
  TOptions(Options).DataDirectory := S;

end;


destructor  TMainTool.Destroy;
begin
{
   if EditorForm <> nil then
      EditorForm.Free;
   TextDBForm.Free;
   if Assigned(FTemplateLibrary) then FTemplateLibrary.Free;
}
   inherited Destroy;
end;




function  TMainTool.GetOptions: TBaseOptions;
begin
   if FOptions = nil then
   begin
      FOptions := TOptions.Create;
      AddElement(FOptions);
   end;
   result := FOptions;
end;

procedure TMainTool.SetOptions(aValue: TBaseOptions);
begin
   if FOptions <> nil then
   begin
      FreeElement(FOptions);
      FOptions := nil;
   end;
   FOptions := TOptions(aValue);
end;


function  TMainTool.GetNOptions: TOptions;
begin
   result := TOptions(GetOptions);
end;



procedure TMainTool.SetNOptions(aValue: TOptions);
begin
   SetOptions(aValue);
end;




function  TMainTool.GetEditorForm: TGNEditorFormTool;
begin
   if FEditorForm = nil then
   begin
      FEditorForm := TGNEditorFormTool.Create;
      FEditorForm.DoIt;
   end;
   result :=  FEditorForm;
end;


procedure TMainTool.DoIt;
var
  MSD: string;
  PassDlg : TPassDlg;
begin
  inherited DoIt;
{$IFNDEF Debug}
   Application.CreateForm(TPassDlg, PassDlg);
   if PassDlg.ShowModal <> mrOK then
   begin
      Application.Terminate;
      exit
   end;

   PassDlg.Free;
   Application.ProcessMessages;
{$ENDIF}

{$IFDEF Debug}
  Application.CreateForm(TF_Test1Form, FTextDBForm);
  FTextDBForm.Show;
{$ELSE}
  SetMainFormRole;
  Application.CreateForm(TFDBForm, FTextDBForm);
  FTextDBForm.Show;
  FTextDBForm.Role:= Role;
{$ENDIF}
  if EditorForm = nil then;

  EditorForm.Role:= Role
end;


procedure TMainTool.SetMainFormRole;
begin
  with MainForm do
  begin
  { Nastaveni role }
    Query1.Params[0].AsString:= F_StartForm.Database.Params.Values['USER NAME'];

    Query1.Open;
  {  urNeaktivni, urProhlizeni, urZmeny, urSprava }
    if Query1ROLE_100.AsString = 'NEAKTIVNI' then
    begin
      Role:= urNeaktivni;
      ShowMessage('Uivatel ' + F_StartForm.Database.Params.Values['USER NAME'] +
                  ' nem sprvn nastaven pstupov prva' + #13 +
                  'Obrate se na sprvce systmu. Program bude ukonen.');
      Application.Terminate;
    end
    else
    if Query1ROLE_100.AsString = 'PROHLIZENI' then
    begin
      Role:= urProhlizeni;
    end
    else
    if Query1ROLE_100.AsString = 'ZMENY' then
    begin
      Role:= urZmeny
    end
    else
    if Query1ROLE_100.AsString = 'SPRAVA' then
    begin
      Role:= urSprava
    end
    else
    begin
      ShowMessage('Uivatel ' + F_StartForm.Database.Params.Values['USER NAME'] +
                  ' nem sprvn nastaven pstupov prva' + #13 +
                  'Obrate se na sprvce systmu. Program bude ukonen.');
      Application.Terminate;
    end;

    if Role < urSprava then
    begin

      Prava.Visible:= false;
      BitBtn5.Enabled:= false;

      if Role < urZmeny then
      begin

      end

    end

  end

end;




procedure TMainTool.ReadParams;
begin
   ReadParamsFromIni;
end;




procedure  TMainTool.on_tm_SetOptions(var Handled: boolean);
var
   D: TF_Options;
begin
   Handled := true;
   Application.CreateForm(TF_Options, D);
   if D.ShowModal = mrOk then
   begin
   end;
   D.Free;
end;


procedure  TMainTool.on_tm_QuitTask;
var
   i: longInt;
begin
   WriteParamsToIni;
   case MessageDlg('Opravdu ukonit aplikaci ?', mtConfirmation, mbYesNoCancel, 0) of
      mrYes:
      begin
        try
          if EditorForm <> nil then
             EditorForm.Free;
          TextDBForm.Free;
          
          if Assigned(FTemplateLibrary) then
             FTemplateLibrary.Free
        except
        end;
        Application.Terminate;
      end;
   end;
end;




procedure  TMainTool.On_tm_ShowText(var aMessage: TOrbisMessage; var Handled: boolean);
begin
  if aMessage is TOrbisTextMessage then
     MainForm.Status.SimpleText := TOrbisTextMessage(aMessage).Text;
  Handled:= true
end;




procedure  TMainTool.On_tm_SetPalette(var Handled: boolean);
begin
  NastavBarvicky;
  Handled:= true
end;



procedure  TMainTool.On_tm_SetRasDirectory(var Handled: boolean);
var
  SD: Tf_SelectDir;
  Res: longInt;
  DriveStr: string;
begin
  SD:= Tf_SelectDir.Create(MainForm);
  if not DirectoryExists(TOptions(Options).RasterDirectory) then
     GetDir(0, DriveStr);
  TOptions(Options).RasterDirectory:= DriveStr;

  DriveStr:= ExtractFileDrive(TOptions(Options).RasterDirectory);
  if DriveStr <> '' then
     SD.Drive.Drive:= DriveStr[1];
  SD.Directory.Directory:= TOptions(Options).RasterDirectory;

  Res:= SD.ShowModal;

  if Res = mrOK then
  begin
    TOptions(Options).RasterDirectory:= SD.Directory.Directory;
    WriteParamsToIni
  end;

  SD.Free;
  Handled:= true
end;



procedure   TMainTool.HandleMessage(var aMessage: TOrbisMessage; var Handled: boolean);
var
   ATool: TTool;
   i: longInt;
   Entity: TEntity;
   PZ: TRectEntity;
   Element: TElement;
begin
  {
  MainForm.Ed.Text:= intToStr(memAvail-MainForm.OrigMem);
  }
   Handled:= false; { vse se vyresi na miste }
   inherited HandleMessage(aMessage, Handled);
   if Handled then exit;
   case aMessage.Message of
     { SOUBOR }
      tm_ClearModel:;
      tm_SetOptions:  on_tm_SetOptions(Handled);
      tm_SetRasDirectory: on_tm_SetRasDirectory(Handled);
     { ZOBRAZOVANI }
      tm_SetPalette: On_tm_SetPalette(Handled);

      tm_ShowText         : on_tm_ShowText(aMessage, Handled)
   end;
end;


procedure TMainTool.AddWorkTools;
begin
end;




end.
