unit F_NajdiML1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, Wwquery, Wwdatsrc, StdCtrls, Buttons, Mask, Wwdbedit,
  Wwdotdot, Wwdbcomb, ComCtrls, ExtCtrls, wwdblook, DBCtrls;

type
  TFNajdiML = class(TForm)
    Panel2: TPanel;
    StatusBar1: TStatusBar;
    Label1: TLabel;
    BBtn_ShowML: TBitBtn;
    BBtn_Close: TBitBtn;
    wwQry1_Mapy: TwwQuery;
    wwQry1_MapyMAPA_001: TStringField;
    ComboBox1: TComboBox;
    Bevel1: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure BBtn_ShowMLClick(Sender: TObject);
  private
    { Private declarations }

     procedure NastavBBtn_ShowML;
     procedure NastavPanel(pnlCaption: String);
  public
    { Public declarations }
  end;

var
  FNajdiML: TFNajdiML;

implementation

uses u_DBLib, IniFiles, FileCtrl, t_DGNExp,
     MathLib,
     g_Elems;

{$R *.DFM}

procedure TFNajdiML.FormCreate(Sender: TObject);
begin
   orbOpenQuery(wwQry1_Mapy);
   with wwQry1_Mapy do
   begin
      DisableControls;
      First;
      while not EOF do
      begin
         ComboBox1.Items.Add(wwQry1_MapyMAPA_001.AsString);
         next;
      end;

      EnableControls;
      Close;
   end;

   ComboBox1.Text := ComboBox1.Items[0];
   NastavBBtn_ShowML;


end;



procedure TFNajdiML.NastavBBtn_ShowML;
begin
   if ComboBox1.Text = '' then
      BBtn_ShowML.Enabled := False
   else
      BBtn_ShowML.Enabled := True;
end;



procedure TFNajdiML.ComboBox1Change(Sender: TObject);
begin
   NastavBBtn_ShowML;
end;



procedure TFNajdiML.BBtn_ShowMLClick(Sender: TObject);
var
  PocetZazn: LongInt;
  Krok: Double;
begin
   NastavPanel('Hledm mapov list...');

   NastavPanel('');
end;



procedure TFNajdiML.NastavPanel(pnlCaption: String);
begin
   StatusBar1.Panels.Items[1].Text := '  ' + pnlCaption;
   Application.ProcessMessages;
end;



BEGIN
   Classes.RegisterClass(TFNajdiML);
END.

