unit F_PrPros;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, Mask, ExtCtrls;

type
  TFPrProstor = class(TForm)
    gbNastPrProst: TGroupBox;
    meWidth: TMaskEdit;
    meHeight: TMaskEdit;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    bbColor: TBitBtn;
    ColorDialog: TColorDialog;
    Panel: TPanel;
    procedure bbColorClick(Sender: TObject);
  private
    { Private declarations }
    FWidth, FHeight: double;
    FSpaceColor: TColor;
    FViewing: boolean;
    procedure SetSpaceWidth(aValue: double);
    function  GetSpaceWidth: double;
    procedure SetSpaceHeight(aValue: double);
    function  GetSpaceHeight: double;
    procedure SetSpaceColor(aValue: TColor);
  public
    { Public declarations }
  published
    property SpaceWidth: double read GetSpaceWidth write SetSpaceWidth;
    property SpaceHeight: double read GetSpaceHeight write SetSpaceHeight;
    property SpaceColor: TColor read FSpaceColor write SetSpaceColor;
  end;


implementation
{$R *.DFM}


procedure TFPrProstor.SetSpaceWidth(aValue: double);
begin
  meWidth.Text:= IntToStr(round(aValue))
end;

function  TFPrProstor.GetSpaceWidth: double;
begin
  result:= StrToFloat(meWidth.Text)
end;

procedure TFPrProstor.SetSpaceHeight(aValue: double);
begin
  meHeight.Text:= IntToStr(round(aValue))
end;

function  TFPrProstor.GetSpaceHeight: double;
begin
  result:= StrToFloat(meHeight.Text)
end;



procedure TFPrProstor.SetSpaceColor(aValue: TColor);
begin
  Panel.Color:= aValue;
  FSpaceColor:= aValue;
  ColorDialog.Color:= aValue
end;


procedure TFPrProstor.bbColorClick(Sender: TObject);
begin
  ColorDialog.Color:= SpaceColor;
  if ColorDialog.Execute then
  begin
    SpaceColor:= ColorDialog.Color;
    Panel.Color:= SpaceColor
  end
end;

end.
