unit F_TypPis;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  F_TBLGRD, Wwintl, Wwfltdlg, Wwlocate, Menus, Grids, Wwdbigrd, Wwdbgrid,
  DBCtrls, ComCtrls, StdCtrls, Buttons, ExtCtrls, DBTables, DB, Wwtable,
  Wwdatsrc, Mask, Wwdbedit, Wwdotdot;

type
  TF_TypPis = class(TF_TblGrid)
    DS: TwwDataSource;
    Table: TwwTable;
    TablePISMO_TYP_104: TStringField;
    TablePISMO_PREDM_104: TStringField;
    TableFONT_NAME_104: TStringField;
    TableFONT_COLOR_104: TFloatField;
    TableFONT_HEIGHT_104: TFloatField;
    TableFONT_STYLE_104: TFloatField;
    TableFONT_ALIGN_104: TFloatField;
    TableLINE_HEIGHT_104: TFloatField;
    FontDialog: TFontDialog;
    wwDBComboDlg1: TwwDBComboDlg;
    wwDBComboDlg2: TwwDBComboDlg;
    wwDBComboDlg3: TwwDBComboDlg;
    wwDBComboDlg4: TwwDBComboDlg;
    TableFONT_ID_DGN_104: TFloatField;
    procedure wwDBComboDlg1CustomDlg(Sender: TObject);
  private
    { Private declarations }
    procedure ShowFontDialog;
  public
    { Public declarations }
  protected
    procedure MyFormCreate(Sender: TObject); override;
  end;
{
var
  F_TypPis: TF_TypPis;
}
implementation

{$R *.DFM}

procedure TF_TypPis.MyFormCreate(Sender: TObject);
begin
   wwDbGrid1.DataSource := DS;
   DbNavigator1.DataSource := DS;
   AktivniDS := DS;
   Inherited;
end;



procedure TF_TypPis.ShowFontDialog;
begin
   FontDialog.Font.Name   := TableFONT_NAME_104.value;
   FontDialog.Font.Height := TableFONT_HEIGHT_104.AsInteger;
   FontDialog.Font.Style  := TFontStyles(byte(TableFONT_STYLE_104.AsInteger));
   FontDialog.Font.Color  := TableFONT_COLOR_104.AsInteger;

   if FontDialog.Execute then
   begin
      TableFONT_NAME_104.value := FontDialog.Font.Name;
      TableFONT_HEIGHT_104.AsInteger := FontDialog.Font.Height;
      TableFONT_STYLE_104.AsInteger := byte(FontDialog.Font.Style);
      TableFONT_COLOR_104.AsInteger := FontDialog.Font.Color;
   end;
end;



procedure TF_TypPis.wwDBComboDlg1CustomDlg(Sender: TObject);
begin
  inherited;
  ShowFontDialog;
end;



BEGIN
   Classes.RegisterClass(TF_TypPis);

END.

