unit UTisk32;

interface

function NactiDotaz(Parametry,NazevDotazu : string) : string; export;
function UpravDatum(Datum : string) : string; export;
function NactiSestavu(NazevDotazu : string) : string; export;
function PocetDatabasi(NazevDotazu : string) : Integer; export;
function Database(NazevDotazu : string) : string; export;
function Kontrola: Boolean;


implementation

Uses IniFiles, SysUtils, WinProcs, Classes, Dialogs, Grids {, DB};

Function  NactiDotaz(Parametry,NazevDotazu : string) : string;
var  PocetTabulek,PocetPoli,i,j,Poradi,Sloupec,RadekP,Pozice,pomPoradi : Integer;
     IniFile: TIniFile;
     Tabulka,Alias,Database,TypPole,Hodnota,Cislo : string[70];
     MyGrid : TStringGrid;
     PoleParametru : array [1..20] of string[70];
     PocetVazeb,Pocet,PoradiRadku,PoradiParametru,PocetRadku : Integer;
     Oddelovac,TableZ,TableC,PoleZ,PoleC,sPoradi,AliasZ,AliasC,Spojka,Field,TypVazby,Sekce,PopisPole,
     Apostrof,Pom1,Pom2,Operand,DatabaseZ,DatabaseC,NazevTableZ,NazevTableC,Nastaveni : String[70];
     Radek,PomRadek,Trideni,Pole,Parametr,FunkcePole : string;
     Tridit : array [1..10] of string[70];
     Skupiny : array [1..10] of string[70];
     MyString : TSTrings;
     Prvni : Boolean;
begin
{  if not Kontrola then
    begin
      messagedlg('Ble nespecifikovateln chyba knihovny DLL. Volejte prosm autora'+#13+#10+
                 'Kontakt:  p. Michal Valk, Lhota 774, Choce 565 01',mtInformation,[mbOK],0);
      result := '!!!!!';
      exit;
    end;}
 for i:=1 to 20 do PoleParametru[i] := '';
  i:=1;
  while pos(';',Parametry)>0 do
    begin
      Pozice := Pos(';',Parametry);
      Parametr := copy(Parametry,1,Pozice-1);
      delete(Parametry,1,Pozice);
      PoleParametru[i] := Parametr;
      inc(i);
    end;
  if Parametry<>'' then PoleParametru[i] := Parametry;

  IniFile := TIniFile.Create(NazevDotazu);
  MyGrid := TStringGrid.Create(nil);
  MyGrid.RowCount := 20;

  PocetTabulek := StrToInt(IniFile.ReadString('SQLDotaz','PocetTabulek','0'));
  PocetPoli := StrToInt(IniFile.ReadString('SQLDotaz','PocetPoli','0'));

  if PocetTabulek = 0 then
    begin
      IniFile.Free;
      MyGrid.free;
      Result := '';
      exit;
    end;

  MyGrid.ColCount := PocetPoli+1;
  for i:=1 to PocetPoli do
    begin
      Sekce := IniFile.ReadString('POLE','Pole'+IntToStr(i),'');
      Tabulka := IniFile.ReadString(Sekce,'NazevTabulky','');
      Alias := IniFile.ReadString(Sekce,'NazevAliasu','');
      Database := IniFile.ReadString(Sekce,'NazevDatabase','');
      Pole := IniFile.ReadString(Sekce,'NazevPole','');
      Poradi := StrToInt(IniFile.ReadString(Sekce,'Poradi',''));
      Trideni := IniFile.ReadString(Sekce,'Trideni','');
      PopisPole := IniFile.ReadString(Sekce,'PopisPole','');
      Cislo := IniFile.ReadString(Sekce,'Cislo','');
      Nastaveni := IniFile.ReadString(Sekce,'Nastaveni','');

      if (Poradi <> 0) then
        begin
          if (Pole <> ' * ') then MyGrid.Cells[Poradi ,1] := Pole
             else  MyGrid.Cells[Poradi ,1] :=  Tabulka + '.*';
          MyGrid.Cells[Poradi,2]  := PopisPole;
          MyGrid.Cells[Poradi ,3] := Database;
          MyGrid.Cells[Poradi ,4] := Tabulka;
          MyGrid.Cells[Poradi ,5] := Alias;
          MyGrid.Cells[Poradi ,6] := Nastaveni;
          MyGrid.Cells[Poradi,7]  := Trideni;
          MyGrid.Cells[Poradi,0]  := Cislo;
        end;
    end;

  for i:=1 to IniFile.ReadInteger('SQLDOTAZ','PocetPodminek',0) do
    begin
      Sloupec := IniFile.ReadInteger('PODMINKY','Sloupec'+IntToStr(i),0);
      RadekP := IniFile.ReadInteger('PODMINKY','Radek'+IntToStr(i),0);
      Hodnota := IniFile.ReadString('PODMINKY','Hodnota'+IntToStr(i),'');
      TypPole := IniFile.ReadString('Pole:'+MyGrid.Cells[Sloupec,5]+'_'+MyGrid.Cells[Sloupec,1]+'_'
                                           +MyGrid.Cells[Sloupec,0],'TypPole','');

      Pozice := pos('Parametr',Hodnota);

      if (Pozice > 0) or (copy(Hodnota,1,8)='Parametr') then
        begin
          PoradiParametru := StrToInt(copy(Hodnota,pos('(',Hodnota)+1,length(Hodnota)-1-pos('(',Hodnota)));
          if PoleParametru[PoradiParametru] <> '' then
          Hodnota := Copy(Hodnota,1,Pozice-1)+' '+PoleParametru[PoradiParametru] else Hodnota := '';
        end;
      MyGrid.Cells[Sloupec,RadekP] := Hodnota
    end;

  for i := 12 to MyGrid.RowCount - 1 do
    begin
      MyGrid.Cells[0,i] := IniFile.ReadString('SKUPINY','Radek'+IntToStr(i),'');
    end;

{***********************************************}

  MyString := TStringList.Create;

  MySTring.Clear;
  Radek := 'SELECT ';
  if IniFile.ReadBool('SQLDOTAZ','Distinct',true) then Radek := Radek + 'DISTINCT';
  MySTring.Add(Radek);

  Radek := '  ';
  for i := 1 to MyGrid.ColCount - 1 do
    begin
      if pos('*',MyGrid.Cells[i,1]) > 0 then
        begin
          MyString.Add(' * ');
          Break;
        end;

      if i < MyGrid.ColCount-1 then Oddelovac := ', ' else Oddelovac := ' ';
      PopisPole := MyGrid.Cells[i,2];
      if PopisPole = '' then PopisPole := MyGrid.Cells[i,5]+'_'+MyGrid.Cells[i,1];

      if MyGrid.Cells[i,3] = '' then
        begin
          Hodnota := MyGrid.Cells[i,2];
          PoradiParametru := StrToInt(copy(Hodnota,pos('(',Hodnota)+1,length(Hodnota)-1-pos('(',Hodnota)));
          if copy(MyGrid.Cells[i,2],1,8) = 'Parametr' then Pole := PoleParametru[PoradiParametru]
             else Pole := MyGrid.Cells[i,2];
          Radek := Radek + Pole + ' AS '+ MyGrid.Cells[i,1]+Oddelovac;

        end
      else
        begin
{         Radek := Radek + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] + '" AS '+PopisPole+Oddelovac;}

          FunkcePole := MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] + '" AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] = 'Prmr' then FunkcePole := 'AVG (' + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] +
                                                             '" ) AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] = 'Poet zznam' then FunkcePole := 'COUNT (' + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] +
                                                               '" ) AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] = 'Maximum' then FunkcePole := 'MAX (' + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] +
                                                               '" ) AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] = 'Minimum' then FunkcePole := 'MIN (' + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] +
                                                               '" ) AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] = 'Souet' then FunkcePole := 'SUM (' + MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] +
                                                               '" ) AS '+PopisPole+Oddelovac;
          if MyGrid.Cells[i,6] <> '' then
            begin
              Radek := Radek + FunkcePole;
            end;
        end;

{**}
        if i = MyGrid.ColCount - 1 then
           begin
              while (Copy(Radek,Length(Radek),1) = ',') or (copy(Radek,Length(Radek),1) = ' ') do
                begin
                  delete(Radek,Length(Radek),1);
                end;
           end;
{**}


      if Length(Radek)>150 then
        begin
          MyString.Add(Radek);
          Radek := '';
        end;
    end;
  if Radek <> '' then
    begin
      MyString.Add(Radek);
    end;
  MySTring.Add('FROM ');

{****************************}
  PomRadek := ''; Prvni := true;
  PocetVazeb := IniFile.ReadInteger('SQLDOTAZ','PocetVazeb',0);
  if PocetVazeb > 0 then
    begin
      Radek := ' ';  Prvni := true;
      for i:=1 to PocetVazeb do
        begin
          sPoradi := IntToStr(i);
          TypVazby := IniFile.ReadString('Vazby','Typ'+sPoradi,'');
          if TypVazby = 'NEPOVINNA' then
            begin
              TableZ := IniFile.ReadString('Vazby','TableZ'+sPoradi,'');
              DatabaseZ := IniFile.ReadString(TableZ,'NazevDatabase','');
              NazevTableZ := IniFile.ReadString(TableZ,'NazevTabulky','');
              TableC := IniFile.ReadString('Vazby','TableC'+sPoradi,'');
              DatabaseC := IniFile.ReadString(TableC,'NazevDatabase','');
              NazevTableC := IniFile.ReadString(TableC,'NazevTabulky','');
              PoleZ := IniFile.ReadString('Vazby','PoleZ'+sPoradi,'');
              PoleC := IniFile.ReadString('Vazby','PoleC'+sPoradi,'');
              AliasZ := IniFile.ReadString(TableZ,'NazevAliasu','');
              AliasC := IniFile.ReadString(TableC,'NazevAliasu','');

              PomRadek := PomRadek + '%'+NazevTableZ+'%';
              PomRadek := PomRadek + '%'+NazevTableC+'%';

              if prvni then
                begin
                  Oddelovac := '';
                  Prvni := false;
                end  else Oddelovac := ',';
              Radek := Oddelovac + '":'+DatabaseZ+':'+NazevTableZ+'" '+ ' '+AliasZ +
                       ' LEFT OUTER JOIN '+ '":'+DatabaseC+':'+NazevTableC+'" '+' '+AliasC +
                       ' ON ' + AliasZ+'.'+PoleZ+' = '+AliasC+'.'+PoleC;

              MyString.Add(Radek);
              Radek := '';
            end;
        end;
    end;
{****************************}

  Radek := '  ';
  For i := 1 to MyGrid.ColCount - 1 do
    begin
      if (MyGrid.Cells[i,3] <> '') and (pos('%'+MyGrid.Cells[i,4]+'%',PomRadek)=0) then
        begin
          if (i > 1) or (not prvni) then Oddelovac := ', ' else Oddelovac := ' ';
          Radek := Radek + Oddelovac + '":'+MyGrid.Cells[i,3]+':'+MyGrid.Cells[i,4]+'" '+ MyGrid.Cells[i,5];
          PomRadek := PomRadek + '%'+MyGrid.Cells[i,4]+'%';
        end;
      if Radek <> '' then
        begin
          MyString.Add(Radek);
          Radek := '';
        end;
    end;

  PocetVazeb := IniFile.ReadInteger('SQLDOTAZ','PocetVazeb',0);
  PomPoradi := 0;
  if PocetVazeb > 0 then
    begin
      Radek := ' ';   Prvni := true;
      for i:=1 to PocetVazeb do
        begin
          sPoradi := IntToStr(i);
          TypVazby := IniFile.ReadString('Vazby','Typ'+sPoradi,'');
          if TypVazby = 'POVINNA' then
            begin
              inc(PomPoradi);
              TableZ := IniFile.ReadString('Vazby','TableZ'+sPoradi,'');
              TableC := IniFile.ReadString('Vazby','TableC'+sPoradi,'');
              PoleZ := IniFile.ReadString('Vazby','PoleZ'+sPoradi,'');
              PoleC := IniFile.ReadString('Vazby','PoleC'+sPoradi,'');
              AliasZ := IniFile.ReadString(TableZ,'NazevAliasu','');
              AliasC := IniFile.ReadString(TableC,'NazevAliasu','');
              if PomPoradi>1 then Spojka := ' AND ' else Spojka := ' ';
              Radek := Radek + Spojka + AliasZ+'."'+PoleZ+'" = '+ AliasC+'."'+PoleC+'" ';
              if Prvni then
                begin
                  MyString.Add('WHERE ');
                  Prvni := false;
                end;
              MySTring.Add(Radek);
              Radek := '';
            end;
        end;
    end;
  Radek := '';
  Pocet := 0;
  PoradiRadku := 11; PocetRadku := 0;
  for i:=11 to MyGrid.RowCount-1 do
    begin
      PoradiRadku := i;
      for j:=1 to MyGrid.ColCount-1 do
        begin
          Alias := MyGrid.Cells[j,5];
          Field := MyGrid.Cells[j,1];
          Pole := MyGrid.Cells[j,i];
          if Pole <> '' then
            begin
              TypPole := IniFile.ReadString('Pole:'+MyGrid.Cells[j,5]+'_'
                                                   +MyGrid.Cells[j,1]+'_'+MyGrid.Cells[j,0],'TypPole','');
              if (Pocet = 0) and prvni then
                begin
                  MySTring.Add('WHERE');
                end;
              if Pocet = 0 then
                begin
                  Radek := Radek+'';
                end;
              if PoradiRadku > i then Spojka := ' AND ' else Spojka := ' OR ( ';
              if ((Pocet = 0) and (PomPoradi = 0)) then Spojka := ' ( ';
              if ((Pocet = 0) or (PocetRadku = 0)) and (PomPoradi > 0) then Spojka := ' AND ( ';

              if (MyGrid.Cells[0,i] = 'Zrove - zatek') and (PoradiRadku = i) then Spojka := ' AND ( ( ';
              if (MyGrid.Cells[0,i] = 'Nebo - zatek') and (PoradiRadku = i) then Spojka := ' OR ( ( ';

              Apostrof := '';
              if (TypPole = 'ftString') or (typPole = 'ftBoolean') then Apostrof := ''''
                else if TypPole = 'ftDateTime' then Apostrof := '"' else Apostrof := '';

              {Vyjmka}
              if pos('IN',Operand) > 0 then Apostrof := '';

              while copy(Pole,1,1) = ' ' do delete(Pole,1,1);
              Pom1 := copy(Pole,1,1);
              Pom2 := copy(Pole,1,2);
              Operand := ' = ';
              if ((Pom1 = '=') or (Pom1 = '>')) and ((Pom2 = '=>') or (Pom2 = '>=')) then
                begin
                  Operand := ' >= ';
                  Delete(Pole,1,2);
                end;
              if ((Pom1 = '=') or (Pom1 = '<')) and ((Pom2 = '=<') or (Pom2 = '<=')) then
                begin
                  Operand := ' <= ';
                  Delete(Pole,1,2);
                end;
              if (Pom1 = '>') and (Pom2 <> '>=') then
                begin
                  Operand := ' > ';
                  delete(Pole,1,1);
                end;
              if (Pom1 = '<') and (Pom2 <> '<=') then
                begin
                  Operand := ' < ';
                  delete(pole,1,1);
                end;

              if ((Pom1 = '<') or (Pom1 = '>')) and ((Pom2 = '<>') or (pom2 = '><')) then
                begin
                  Operand := ' <> ';
                  delete(pole,1,2);
                end;
{
              if (Pos('IN',Operand)>0) then
                begin
                  INPole := '';
                  Operand := ' IN ';
                  delete(pole,1,Pozice-1);

                  if (TypPole = 'ftString') or (TypPole = 'ftBoolean') then
                    begin
                      Slovo := '';INPole := '';
                      for o := 1 to Length(Pole) do
                        begin
                          Znak := copy(Pole,o,1);
                          if (Znak <> ',') then
                            begin
                              Slovo := Slovo + Znak;
                            end;

                          if (Znak = ',') or (o = Length(Pole)) then
                            begin
                              if o <> Length(Pole) then Carka := ',' else Carka := '';
                              INPole := INPole + '"'+Slovo+'"'+Carka;
                              Slovo := '';
                            end;
                        end;
                      Pole := INPole;
                    end;
                end;
              if Pozice = 1 then Operand := ' = ';

}

                  if (TypPole = 'ftDateTime') then Pole := UpravDatum(Pole);
                  Radek := Radek + Spojka+Alias+'."'+Field+'" '+Operand+Apostrof+Pole+Apostrof;
                  inc(PocetRadku);
                  PoradiRadku := i+1;
                  inc(Pocet);
            end;
        end;
      if Radek <> '' then
        begin
          if (MyGrid.Cells[0,i] = 'Zrove - konec') or
             (MyGrid.Cells[0,i] = 'Nebo - konec') then Radek := Radek + ' )';
          MyString.Add(Radek+' ) ');
        end;

      Radek := '';
    end;

{***}
  Pocet := 0;
  for i:=1 to 10 do Skupiny[i] := '';
  for i:=1 to MyGrid.ColCount - 1 do
    begin
      Pole := MyGrid.Cells[i,6];
      if copy(Pole,1,7) = 'Skupina' then
        begin
          Pocet := StrToInt(copy(Pole,pos('(',Pole)+1,length(Pole)-1-pos('(',Pole)));
          Skupiny[Pocet] := MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] + '"';
        end;
    end;
  Radek := '';
  for i:=1 to 10 do
    begin
      if Skupiny[i] <> '' then
        begin
          if Radek = '' then Oddelovac := '' else Oddelovac := ', ';
          Radek := Radek + Oddelovac + Skupiny[i];
        end;
    end;
  if Radek <> '' then
    begin
      MyString.Add('GROUP BY');
      MyString.Add('  '+Radek);
    end;
{***}


  Pocet := 0;
  for i:=1 to 10 do Tridit[i] := '';
  for i:=1 to MyGrid.ColCount - 1 do
    begin
      Pole := MyGrid.Cells[i,7];
      if Pole <> '' then
        begin
          Pocet := StrToInt(copy(Pole,pos('(',Pole)+1,length(Pole)-1-pos('(',Pole)));
          Tridit[Pocet] := MyGrid.Cells[i,5] +'."'+ MyGrid.Cells[i,1] + '"';
        end;
    end;
  Radek := '';
  for i:=1 to 10 do
    begin
      if Tridit[i] <> '' then
        begin
          if Radek = '' then Oddelovac := '' else Oddelovac := ', ';
          Radek := Radek + Oddelovac + Tridit[i];
        end;
    end;
  if Radek <> '' then
    begin
      MySTring.Add('ORDER BY');
      MyString.Add('  '+Radek);
    end;

 IniFile.Free;
 MyGrid.free;

 MyString.SaveToFile('PomSQL.txt');

 Result := 'PomSQL.txt';

 MyString.free;
end;

function UpravDatum(Datum : string) : string;
var DatumPom : TDateTime;
    Rok,Mesic,Den : word;
begin
  Result := '';
  try
    DatumPom := StrToDateTime(Datum);
  except on EConvertError do
    begin
      Result := '';
      exit;
    end;
   end;
  DecodeDate(DatumPom,Rok,Mesic,Den);
  Result := IntToStr(Mesic)+'/'+IntToStr(Den)+'/'+IntToStr(Rok);
end;

function NactiSestavu(NazevDotazu : string) : string;
var IniFile : TIniFile;
begin
  Result := '';
  IniFile := TIniFile.Create(NazevDotazu);
    Result := IniFile.ReadString('SQLDOTAZ','NazevSestavy','');
  IniFile.free;
end;

function Database(NazevDotazu : string) : string;
var IniFile : TIniFile;
    PocetTabulek,i : Integer;
    Sekce,Database,NewDatabase : string;
begin
  Result := '';  Database := '';
  IniFile := TIniFile.Create(NazevDotazu);
    PocetTabulek := IniFile.ReadInteger('SQLDOTAZ','PocetTabulek',0);
    for i := 1 to PocetTabulek do
      begin
        Sekce := IniFile.ReadString('TABULKY','Table'+IntToSTr(i),'');
        NewDatabase := IniFile.ReadString(Sekce,'NazevDatabase','');
        if pos(NewDatabase+'#',Database) = 0 then Database := Database + NewDatabase + '#';
      end;
  IniFile.free;

  Result := Database;
end;

function PocetDatabasi(NazevDotazu : string) : integer;
var IniFile : TIniFile;
    PocetTabulek,i,Pocet : Integer;
    Sekce,Database,NewDatabase : string;
begin
  Result := 0;  Pocet := 0; Database := '';
  IniFile := TIniFile.Create(NazevDotazu);
    PocetTabulek := IniFile.ReadInteger('SQLDOTAZ','PocetTabulek',0);
    for i := 1 to PocetTabulek do
      begin
        Sekce := IniFile.ReadString('TABULKY','Table'+IntToSTr(i),'');
        NewDatabase := IniFile.ReadString(Sekce,'NazevDatabase','');
        if pos(NewDatabase+'#',Database) = 0 then
          begin
            Database := Database + NewDatabase + '#';
            inc(Pocet);
          end;
      end;
  IniFile.free;

  Result := Pocet;
end;


{function MyOpenDatabase(NazevDotazu : string): integer;
var PrehledD,NazevD,Sekce : string;
    PocetD,i : Integer;
begin
  PrehledD := Database(NazevDotazu);
  PocetD := PocetDatabasi(NazevDotazu);
  for i:=1 to PocetD do
    begin
      NazevD := copy(PrehledD,1,pos('#',PrehledD)-1);
      try
        Session.OpenDatabase(NazevD);
      except on E: Exception do
        MessageDlg('Nelze otevt pouit databse'+#13+#10+E.Message,mtWarning,[mbOK],0);
      end;
      Delete(PrehledD,1, pos('#',PrehledD))
    end;
end;}

function Kontrola: Boolean;
var   GetCesta : Pchar;
      Cesta : string;
      IniFile : TIniFile;
      Pocet : Integer;
begin
  GetMem(GetCesta, 200);
  GetWindowsDirectory(GetCesta,200);
  Cesta := StrPas(GetCesta);
  FreeMem(GetCesta, 200);
  if not FileExists(Cesta+'\Sys.inf') then
    begin
      IniFile := TIniFile.Create(Cesta+'\Sys.inf');
      IniFile.WriteInteger('BXD','Con1',1);
      IniFile.free;
    end else
     begin
       IniFile:= TIniFile.Create(Cesta+'\Sys.inf');
       Pocet := IniFile.ReadInteger('BXD','Con1',0) + 1;
       IniFile.WriteInteger('BXD','Con1',Pocet);
       IniFile.free;
     end;
  Pocet := IniFile.ReadInteger('BXD','Con1',0);

  if Pocet > 1000 then result := false else result := true;
end;

end.
