unit F_start;
{ aplikan unita
  nastavuje zvolen hlavn nstroj }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, DdeMan, DB;

type
  Tf_StartForm = class(TForm)
    Timer1: TTimer;
    Label7: TLabel;
    lb_Verze: TLabel;
    Image3: TImage;
    Bevel1: TBevel;
    DdeServer: TDdeServerConv;
    DdeServerItem: TDdeServerItem;
    Database: TDatabase;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure DatabaseLogin(Database: TDatabase; LoginParams: TStrings);
  private
    { Private declarations }
    procedure CreateWorld;
    procedure RunMainTool;
    procedure TheEnd;
  public
    { Public declarations }
  end;



var
 F_StartForm: Tf_StartForm;

implementation

{$R *.DFM}
uses
   Props,
   M_Orbis,
   M_Proj,
   Elements,
   T_Main,
   e_WCS,
   Worlds,
   F_PassDg,
   Hctx;



procedure Tf_StartForm.CreateWorld;
begin
  World := TWCSWorld.Create;
  World.MainTool:= TMainTool.Create;
  Application.OnMessage:= World.HandleWinMessage;
end;


procedure Tf_StartForm.RunMainTool;
{ var PassDlg : TPassDlg; }
begin
{
   PassDlg := TPassDlg.create(Application);
   if PassDlg.ShowModal <> mrOK then
      Application.Terminate
   else
   begin
     PassDlg.Free;
     Application.ProcessMessages;
}
     if World.MainTool <> nil then
     begin
        World.MainTool.DoIt
     end
{
  end }
end;



procedure Tf_StartForm.TheEnd;
begin
   Application.Terminate;
end;



procedure Tf_StartForm.Timer1Timer(Sender: TObject);
begin
  Visible := false;
  Timer1.Enabled := false;
  Application.ProcessMessages;
  RunMainTool;
end;


procedure Tf_StartForm.FormCreate(Sender: TObject);
begin
  {
  Label1.Caption   := ModulName;
  Label2.Caption   := ModulName;
  }
  lb_Verze.Caption := Version;
  DDEServerItem.Text := ('MODUL_NAME='+ModulName + ' ver.'+ Version);
  CreateWorld;
{  RunMainTool; }
end;

procedure Tf_StartForm.FormHide(Sender: TObject);
begin
  Application.ProcessMessages;
end;

procedure Tf_StartForm.FormDestroy(Sender: TObject);
begin
{
   if World.MainTool <> nil then
      World.MainTool.Free;
}
end;

procedure Tf_StartForm.DatabaseLogin(Database: TDatabase;
  LoginParams: TStrings);
begin
  MessageBeep(0);
end;

END.
