unit taxview_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ taxview Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_taxview: TGUID = '{F4078080-0CD7-11D2-B805-0080C8814CF4}';

const

{ Component class GUIDs }
  Class_autotaxview: TGUID = '{F4078082-0CD7-11D2-B805-0080C8814CF4}';

type

{ Forward declarations: Interfaces }
  Iautotaxview = interface;
  IautotaxviewDisp = dispinterface;

{ Forward declarations: CoClasses }
  autotaxview = Iautotaxview;

{ Dispatch interface for autotaxview Object }

  Iautotaxview = interface(IDispatch)
    ['{F4078081-0CD7-11D2-B805-0080C8814CF4}']
    function Get_Odd: Integer; safecall;
    procedure Set_Odd(Value: Integer); safecall;
    procedure Show; safecall;
    procedure NextOdd; safecall;
    function Get_Dil: WideString; safecall;
    procedure Set_Dil(const Value: WideString); safecall;
    function Get_Por: WideString; safecall;
    procedure Set_Por(const Value: WideString); safecall;
    function Get_PSk: WideString; safecall;
    procedure Set_PSk(const Value: WideString); safecall;
    procedure NextDil; safecall;
    procedure NextPor; safecall;
    procedure NextPSk; safecall;
    property Odd: Integer read Get_Odd write Set_Odd;
    property Dil: WideString read Get_Dil write Set_Dil;
    property Por: WideString read Get_Por write Set_Por;
    property PSk: WideString read Get_PSk write Set_PSk;
  end;

{ DispInterface declaration for Dual Interface Iautotaxview }

  IautotaxviewDisp = dispinterface
    ['{F4078081-0CD7-11D2-B805-0080C8814CF4}']
    property Odd: Integer dispid 1;
    procedure Show; dispid 2;
    procedure NextOdd; dispid 3;
    property Dil: WideString dispid 4;
    property Por: WideString dispid 5;
    property PSk: WideString dispid 6;
    procedure NextDil; dispid 7;
    procedure NextPor; dispid 8;
    procedure NextPSk; dispid 9;
  end;

{ autotaxviewObject }

  Coautotaxview = class
    class function Create: Iautotaxview;
    class function CreateRemote(const MachineName: string): Iautotaxview;
  end;



implementation

uses ComObj;

class function Coautotaxview.Create: Iautotaxview;
begin
  Result := CreateComObject(Class_autotaxview) as Iautotaxview;
end;

class function Coautotaxview.CreateRemote(const MachineName: string): Iautotaxview;
begin
  Result := CreateRemoteComObject(MachineName, Class_autotaxview) as Iautotaxview;
end;


end.
