unit f_Help;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OleCtrls, SHDocVw;

type
  TForm1 = class(TForm)
    WebBrowser: TWebBrowser;
    Panel1: TPanel;
    Button1: TButton;
    OpenDialog: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure WebBrowserBeforeNavigate2(Sender: TObject;
      const pDisp: IDispatch; var URL, Flags, TargetFrameName, PostData,
      Headers: OleVariant; var Cancel: WordBool);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   if OpenDialog.Execute then
   begin
      WebBrowser.Navigate(OpenDialog.FileName);
   end;
end;

procedure TForm1.WebBrowserBeforeNavigate2(Sender: TObject;
  const pDisp: IDispatch; var URL, Flags, TargetFrameName, PostData,
  Headers: OleVariant; var Cancel: WordBool);
var
   S,S1: string;
   i: integer;
begin
   S := URL;
   i := Pos('@@@',S);
   if  i > 0 then
   begin
      S1  := Copy(S,i+3,Length(S)-i-2);
      ShowMessage(S1);
      Cancel := true;
   end;
end;

end.

