unit Test_;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
  u_cktm;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  RBOName: string;
  IsRBO: boolean;
  RBO: TRegistrationInfo;
  App: TAppRec;
  Vers: string;
  AppInstallInfo: TAppInstallInfo;
  AppName: string;
  Version: string;
  RBOPath: string;
  result: boolean;
begin
   //ShowMessage('App: '+string(AppName)+' ver: ' +string(Version)+' RBO: '+string(RBOPath) );
   //result := false;
   //exit;
   AppName := 'LEDOBOREC';
   Version := '4.0';
   RBOPath := 'c:\Dokumenty\setup\LED\LED.RBO2';

   AppInstallInfo := TAppInstallInfo.Create;
   App.AppName := string(Appname);
   Vers := string(Version);
   SetAppVersionString(Vers, App);
   result := true;
   IsRBO := false;
   RBOName := string(RBOPath);
   if RBOName <> '' then
   if FileExists(RBOName) then
   begin
      RBO := LoadRBOFromFile(RBOName);
      IsRBO := true;
      //ShowMessage('RBO:'+RBOName+' exists!');
   end;
   result := CheckFoldersForSetup(App,RBO,IsRBO,AppInstallInfo);
   AppInstallInfo.Modul := IntToStr(RBO.Reg.Key);
   if Result then
   begin
      SetupFolders(App,RBO,IsRBO,AppInstallInfo);
      //ShowMessage('RBO OK:'+IntToStr(RBO.Reg.Key));
   end;
   AppInstallInfo.Free;
end;

end.

