unit T_Main;

interface
uses
  { test }
  //e_SIndex,

  Classes,
  WinTypes,
  // GISLAYAER
  f_LayImp,
  t_LayScr,
  t_LMCre,
// KERNEL
  Elements,
  e_ToolModel,
  e_Type,
  HelpCtx,
  Tools,
// GLIB
  g_Elems,
// SYMBOL
  u_Symbol,
  //t_HelW,
  t_MainTl,
  t_CmdLn,
// APP
  t_ControlGroup,
// LHC
  e_LHCProject,
// MAPPER
  e_Map,
  e_MSpace;
  //f_MSEdit,
  //f_Templ,
  //t_Guide,
  //t_LHPMap;



type

TOptions = class(TBaseOptions)
private
  {Scripts}
  FStartScript: string;
  FEndScript: string;
  {Files}
  //FPaletFile: string;
  {Directories}
  FDataDirectory: String;
  FServiceDirectory: String;
  FScriptDirectory: String;
  FTemplateDirectory: String;
  FFullUseMemory: boolean;
    FProjectDirectory: string;
    FProjectFile: string;
    FDontViewProjectIntroDialog: boolean;
    FAutoOpenLastProject: boolean;
    FExportScript: string;
    FImportScript: string;
    FEditorScript: string;
    FEditorDataScript: string;
    FExportControlDirectory: string;
    FEditorOn: boolean;
    FNewEditor: boolean;
    FImportParcelScript: string;
    FImportSRFScript: string;
    FImportZAKScript: string;
    FImportSLUScript: string;
    FImportDetLinesScript: string;
    FImportDETScript: string;
    FImportSkupinParcelScript: string;
    FExportZAKScript: string;
    FExportTEZScript: string;
    FExportSRFScript: string;
    FExportDETScript: string;
    FExportSLUScript: string;
    FImportTEZScript: string;
    FExportParScript: string;
    FExportSKPScript: string;
    FImportREVScript: string;
    FAutoSave: boolean;
    FAutoSaveInterval: integer;
    FLOG: boolean;
    FCodePage: TCodePage;
    FNewVersion: boolean;
    FHelpScript: string;
  procedure SetServiceDirectory(const aValue: string);
    function GetPaletFile: string;
    procedure SetPaletFile(const Value: string);
    procedure SetProjectDirectory(const Value: string);
    procedure SetProjectFile(const Value: string);
    procedure SetDontViewProjectIntroDialog(const Value: boolean);
    procedure SetAutoOpenLastProject(const Value: boolean);
    procedure SetExportScript(const Value: string);
    procedure SetImportScript(const Value: string);
    procedure SetEditorScript(const Value: string);
    procedure SetEditorDataScript(const Value: string);
    procedure SetExportControlDirectory(const Value: string);
    procedure SetEditorOn(const Value: boolean);
    procedure SetImportParcelScript(const Value: string);
    procedure SetImportDetLinesScript(const Value: string);
    procedure SetImportDETScript(const Value: string);
    procedure SetImportSkupinParcelScript(const Value: string);
    procedure SetImportSLUScript(const Value: string);
    procedure SetImportSRFScript(const Value: string);
    procedure SetImportZAKScript(const Value: string);
    procedure SetExportDETScript(const Value: string);
    procedure SetExportSLUScript(const Value: string);
    procedure SetExportSRFScript(const Value: string);
    procedure SetExportTEZScript(const Value: string);
    procedure SetExportZAKScript(const Value: string);
    procedure SetImportTEZScript(const Value: string);
    procedure SetExportParScript(const Value: string);
    procedure SetExportSKPScript(const Value: string);
    procedure SetImportREVScript(const Value: string);
    function GetRaster: boolean;
    procedure SetRaster(const Value: boolean);
    procedure SetAutoSave(const Value: boolean);
    procedure SetAutoSaveInterval(const Value: integer);
    procedure SetLOG(const Value: boolean);
    procedure SetCodePage(const Value: TCodePage);
    procedure SetNewVersion(const Value: boolean);
    procedure SetHelpScript(const Value: string);
    function GetBDETransLiterate: boolean;
    procedure SetBDETransLiterate(const Value: boolean);
    function Get_NoBDE: boolean;
    procedure Set_NoBDE(const Value: boolean);
    function Get_SHP_AsTopol: boolean;
    procedure Set_SHP_AsTopol(const Value: boolean);
published
  property   StartScript: string read FStartScript write FStartScript;
  property   EndScript: string read FEndScript write FEndScript;
  property   ImportScript: string read FImportScript write SetImportScript;
  property   ImportSkupinParcelScript: string read FImportSkupinParcelScript write SetImportSkupinParcelScript;
  property   ImportParcelScript: string read FImportParcelScript write SetImportParcelScript;
  property   ImportREVScript: string read FImportREVScript write SetImportREVScript;
  property   ImportZAKScript: string read FImportZAKScript write SetImportZAKScript;
  property   ImportDETScript: string read FImportDETScript write SetImportDETScript;
  property   ImportDetLinesScript: string read FImportDetLinesScript write SetImportDetLinesScript;
  property   ImportSLUScript: string read FImportSLUScript write SetImportSLUScript;
  property   ImportSRFScript: string read FImportSRFScript write SetImportSRFScript;
  property   ImportTEZScript: string read FImportTEZScript write SetImportTEZScript;
  property   ExportParScript: string read FExportParScript write SetExportParScript;
  property   ExportSKPScript: string read FExportSKPScript write SetExportSKPScript;
  property   ExportZAKScript: string read FExportZAKScript write SetExportZAKScript;
  property   ExportDETScript: string read FExportDETScript write SetExportDETScript;
  property   ExportSLUScript: string read FExportSLUScript write SetExportSLUScript;
  property   ExportSRFScript: string read FExportSRFScript write SetExportSRFScript;
  property   ExportTEZScript: string read FExportTEZScript write SetExportTEZScript;
  property   ExportScript: string read FExportScript write SetExportScript;
  property   EditorScript: string read FEditorScript write SetEditorScript;
  property   EditorDataScript: string read FEditorDataScript write SetEditorDataScript;
  property   ExportControlDirectory: string read FExportControlDirectory write SetExportControlDirectory;
  property   ServiceDirectory: string read FServiceDirectory write SetServiceDirectory;
  property   DataDirectory: string read FDataDirectory write FDataDirectory;
  property   ScriptDirectory: string read FScriptDirectory write FScriptDirectory;
  property   TemplateDirectory: string read FTemplateDirectory write FTemplateDirectory;
  property   ProjectDirectory: string read FProjectDirectory write SetProjectDirectory;
  property   PaletteFile: string read GetPaletFile write SetPaletFile;
  property   ProjectFile: string read FProjectFile write SetProjectFile;
  property   DontViewProjectIntroDialog: boolean read FDontViewProjectIntroDialog write SetDontViewProjectIntroDialog;
  property   AutoOpenLastProject: boolean read FAutoOpenLastProject write SetAutoOpenLastProject;
  property   EditorOn: boolean read FEditorOn write SetEditorOn;
  property   NewEditor: boolean read FNewEditor write FNewEditor;
  property   NewVersion: boolean read FNewVersion write SetNewVersion;
  property   AutoSave: boolean read FAutoSave write SetAutoSave;
  property   AutoSaveInterval: integer read FAutoSaveInterval write SetAutoSaveInterval;
  property   RASTER: boolean read GetRaster write SetRaster;
  property   LOG: boolean read FLOG write SetLOG;
  property   CodePage: TCodePage read FCodePage write SetCodePage;
  property   HelpScript: string read FHelpScript write SetHelpScript;
  property   BDETransLiterate: boolean read GetBDETransLiterate write SetBDETransLiterate;
  property   No_BDE: boolean read Get_NoBDE write Set_NoBDE;
  property   SHP_AsTopol: boolean read Get_SHP_AsTopol write Set_SHP_AsTopol;
//  property   FullUseMemory: boolean read FFullUseMemory write FFullUseMemory default false;
end;


TMainTool = class(TOldMainTool)
private
  FOptions: TOptions;
  FEditor: TControlGroup;
  ViewerIndex: integer;
  FSelectDone: boolean;
  FCancelProcess: boolean;
  //FAutomat: TAutomap;
  FScriptReading: boolean;
  FCommandLine: TCommandLine;
  FActualAction: integer;
    FActualActionVisible: boolean;
    FButtonCount: integer;
    FActualActionImageIndex: integer;
    FActualActionCaption: string;
    FActualActionScript: string;
    FProject: TORBISLHCProject;
    FCaptionString: string;
    FNoAutoSave: boolean;
    FAutoSaveNeeded: boolean;
    FScriptSender: TElement;
  function  GetNOptions: TOptions; virtual;
  procedure SetNOptions(aValue: TOptions); virtual;
  function  GetCommandLine: TCommandLine;
  procedure SetCommandLine(aValue: TCommandLine);
  procedure ExecScript(aFileName: string);
  function  GetText: string;
  procedure SetText(const aValue: string);
  function  GetExePath: string;
    procedure SetActualAction(const Value: integer);
    procedure SetActualActionCaption(const Value: string);
    procedure SetActualActionImageIndex(const Value: integer);
    procedure SetActualActionScript(const Value: string);
    procedure SetActualActionVisible(const Value: boolean);
    procedure SetButtonCount(const Value: integer);
    procedure SetNewImage(const Value: string);
    function GetActualActionCaption: string;
    function GetActualActionImageIndex: integer;
    function GetActualActionScript: string;
    function GetActualActionVisible: boolean;
    function GetActualActionHint: string;
    procedure setActualActionHint(const Value: string);
    procedure SetShowActionsCaptions(const Value: boolean);
    function GetImageHeight: integer;
    function GetImageWidth: integer;
    procedure SetImageHeight(const Value: integer);
    procedure SetImageWidth(const Value: integer);
    procedure SetProject(const Value: TORBISLHCProject);
    procedure SetCaptionString(const Value: string);
    function GetEditor: TControlGroup;
    procedure SetEditor(const Value: TControlGroup);
    function GetEditorModel: TToolModel;
    function GetScriptDirectory: string;
    function GetProjectChanged: boolean;
    procedure SetProjectChanged(const Value: boolean);
    procedure SetTimeToAutoSave(const Value: boolean);
    procedure SetNoAutoSave(const Value: boolean);
    procedure SetAutoSaveNeeded(const Value: boolean);
    procedure SetProjectFromFile(const Value: string);
    procedure SetScriptSender(const Value: TElement);
protected
  procedure ReadParamsFromIni; override;
  procedure ReadParams; override;
  procedure WriteParamsToIni; override;
  function  GetMinProgress: integer;
  function  GetMaxProgress: integer;
  function  GetProgress: integer;
  function  GetProgressVisible: boolean;
  procedure SetMinProgress(aValue: integer);
  procedure SetMaxProgress(aValue: integer);
  procedure SetProgress(aValue: integer);
  procedure SetProgressVisible(aValue: boolean);
public
   StartDir: string;
   constructor Create; override;
   destructor  Destroy; override;
   procedure   DoIt; override;
   //procedure   SetUpAutoSave;
   procedure   SetModelVersion;
   procedure   CreateNewModel;
   procedure   OpenLastProject;
   procedure   LoadProjectFromFile(aFile: string);
   procedure   LoadProjectData;
   procedure   LoadProjectionInfo;
   procedure   SaveProjectionInfo;
   procedure   LoadMaps;
   procedure   SaveMaps;
   procedure   CreateStat;
   procedure   CreateStatUpdate;
   procedure   LoadZnDBF;
   procedure   ImportData;
   procedure   LoadEditorModelFile;
   procedure   SaveEditorModelFile;
   procedure   SetEditorData;
   procedure   ViewProjectIntroDialog;
   procedure   RunStartScripts; override;
   function    GetOptions: TBaseOptions; override;
   procedure   SetOptions(aValue: TBaseOptions); override;
   procedure  on_tm_SetOptions(var Handled: boolean); virtual;
   procedure  on_tm_SetUpProject(var Handled: boolean); virtual;
   procedure  on_tm_ProjectManager(var Handled: boolean); virtual;
   procedure  on_tm_QuitTask; override;
   procedure  on_tm_NewProject(var Handled: boolean); virtual;
   procedure  On_tm_OpenProject(var Handled: boolean); virtual;
   procedure  On_tm_SaveProject(var Handled: boolean); virtual;
   procedure  On_tm_SaveProjectAs(var Handled: boolean); virtual;
   procedure  On_tm_ArchiveProjectAs(var Handled: boolean); virtual;
   procedure  On_tm_Import(var Handled: boolean); virtual;
   procedure  On_tm_Export(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_ImportBlk(var Handled: boolean); virtual;
   procedure  On_tm_Editor(var Handled: boolean); virtual;
   procedure  On_tm_ModelChanged(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  on_tm_SelectDataDirectory(var Handled: boolean); virtual;
   procedure  On_tm_AddView(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   //procedure  On_tm_AddAndPrintView(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_Explore(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_ExploreOwners(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_OIL(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_EditElement(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  on_tm_ShowText(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  On_tm_SetPalette(var Handled: boolean); virtual;
   procedure  on_tm_EndOfDDEScript; virtual;
   procedure  on_tm_SetDDEResult; virtual;
   procedure  on_tm_Intro; virtual;
   procedure  on_tm_Help; override;
   procedure  on_tm_Run(var aMessage: TOrbisMessage; var Handled: boolean); virtual;
   procedure  HandleMessage(var aMessage: TOrbisMessage; var Handled: boolean); override;
   procedure  ExecuteMacro(M: TStrings); virtual;
   procedure  AddWorkTools; override;
   function   LogFileOpen: TStringList;
   procedure  LogFileSave(const SL: TStringList);
   procedure  LogProject;
   procedure  LogLogProject(const SL: TStringList);
   procedure  LogStart;
   procedure  LogEnd;

   property   SelectDone: boolean read FSelectDone write FSelectDone;
   property   CancelProcess: boolean read FCancelProcess write FCancelProcess;
   property   ScriptReading: boolean read FScriptReading write FScriptReading;
   property   ExePath: string read GetExePath;
   property   ButtonCount: integer read FButtonCount write SetButtonCount;
   property   CaptionString: string read FCaptionString write SetCaptionString;
   property   EditorModel: TToolModel read GetEditorModel;
   property   ScriptDirectory: string read GetScriptDirectory;
   property   AutoSaveNeeded: boolean read FAutoSaveNeeded write SetAutoSaveNeeded;
published
   property   Options: TOptions read GetNOptions write SetNOptions;
   property   CommandLine: TCommandLine read GetCommandLine write SetCommandLine;
   property   ExecuteScript: string write ExecScript stored false;
   property   ScriptSender: TElement read FScriptSender write SetScriptSender;
   property   Text: string read GetText write SetText;
   property   MinProgress: integer read GetMinProgress write SetMinProgress;
   property   MaxProgress: integer read GetMaxProgress write SetMaxProgress;
   property   Progress: integer read GetProgress write SetProgress;
   property   ProgressVisible: boolean read GetProgressVisible write SetProgressVisible;
   property   NewImage: string write SetNewImage;
   property   ActualAction: integer read FActualAction write SetActualAction;
   property   ActualActionVisible: boolean read GetActualActionVisible write SetActualActionVisible;
   property   ActualActionScript: string read GetActualActionScript write SetActualActionScript;
   property   ActualActionImageIndex: integer read GetActualActionImageIndex write SetActualActionImageIndex;
   property   ActualActionCaption: string read GetActualActionCaption write SetActualActionCaption;
   property   ActualActionHint: string read GetActualActionHint write setActualActionHint;
   property   ImageHeight: integer read GetImageHeight write SetImageHeight;
   property   ImageWidth: integer read GetImageWidth write SetImageWidth;
   property   ShowActionCaptions: boolean write SetShowActionsCaptions;
   property   Project: TORBISLHCProject read FProject write SetProject;
   property   Editor: TControlGroup read GetEditor write SetEditor;
   property   ProjectChanged: boolean read GetProjectChanged write SetProjectChanged;
   property   TimeToAutoSave: boolean write SetTimeToAutoSave;
   property   NoAutoSave: boolean read FNoAutoSave write SetNoAutoSave;
   property   ProjectFromFile: string write SetProjectFromFile;
end;



implementation
uses
  { Test}

  Controls, Forms, Dialogs, IniFiles, SysUtils, Graphics, WinProcs,
  ActnList,
  _IniFile,
// KERNEL
  E_Files,
  M_Orbis,
  u_Global,
  u_String,
  e_WCS,
  Worlds,
// OIL
  t_Select,
// EXPLORER
  f_CmdLn,
  T_Explor,
// GLIB
  //t_Grp,
// SPACE
  e_Stat,
  e_Reg,
  e_VersionInfo,
// INTERPRET
//Device
  e_ProjectionInfo,
  e_IScrpt,
  e_ThematicMap,
// 0TEMP
  e_DClass,
  f_SelDir,
  T_EdiPro,
  t_Saver,
  t_Loader,
// TOPOL
  //e_TplPrp,
  T_TisCre,
  T_TopImp,//!!!!!!!!!!!!!!!!!!!!!!
  E_Color,
  //f_YesNo,
// GUI
  t_Intera,
// MAIN
  F_Main,
  f_Option,
  //F_Start,
  M_Proj,
// APP
  t_ProjectIntroDialog,
  t_ConfirmDialog,
  t_GraphicForm,
  f_GraphicForm,
// LHC
  t_LHCProjectDialog,
 t_LHCImportDialog,
  t_LHCProjectManager,
  //!!! t_exportLHCDialog,
  //!!! t_ExpLHC,
  //!!! t_HelLHC,
// FILES
  u_File,
// REG
// RASTER
  e_Raster,
  FileVersion,
  u_cktm;
// MAPPER
  //t_MSEdit,
  //t_VieMap;

{TOptions}


function TOptions.GetBDETransLiterate: boolean;
begin
   result := DBTransLiterate;
end;

function TOptions.Get_NoBDE: boolean;
begin
   result := NoBDE;
end;

function TOptions.GetPaletFile: string;
begin
   Result := PaletFile;
end;

function TOptions.GetRaster: boolean;
begin
   result := UseRasters;
end;

procedure TOptions.SetAutoOpenLastProject(const Value: boolean);
begin
   FAutoOpenLastProject := Value;
end;

procedure TOptions.SetAutoSave(const Value: boolean);
begin
  FAutoSave := Value;
end;

procedure TOptions.SetAutoSaveInterval(const Value: integer);
begin
  FAutoSaveInterval := Value;
end;

procedure TOptions.SetBDETransLiterate(const Value: boolean);
begin
   DBTransLiterate := Value;
end;

procedure TOptions.SetCodePage(const Value: TCodePage);
begin
  FCodePage := Value;
  DefaultCodePage := Value;
end;

procedure TOptions.SetDontViewProjectIntroDialog(const Value: boolean);
begin
  FDontViewProjectIntroDialog := Value;
end;

procedure TOptions.SetEditorDataScript(const Value: string);
begin
  FEditorDataScript := Value;
end;

procedure TOptions.SetEditorOn(const Value: boolean);
begin
  FEditorOn := Value;
end;

procedure TOptions.SetEditorScript(const Value: string);
begin
  FEditorScript := Value;
end;

procedure TOptions.SetExportControlDirectory(const Value: string);
begin
  FExportControlDirectory := Value;
end;

procedure TOptions.SetExportDETScript(const Value: string);
begin
  FExportDETScript := Value;
end;

procedure TOptions.SetExportParScript(const Value: string);
begin
  FExportParScript := Value;
end;

procedure TOptions.SetExportScript(const Value: string);
begin
  FExportScript := Value;
end;

procedure TOptions.SetExportSKPScript(const Value: string);
begin
  FExportSKPScript := Value;
end;

procedure TOptions.SetExportSLUScript(const Value: string);
begin
  FExportSLUScript := Value;
end;

procedure TOptions.SetExportSRFScript(const Value: string);
begin
  FExportSRFScript := Value;
end;

procedure TOptions.SetExportTEZScript(const Value: string);
begin
  FExportTEZScript := Value;
end;

procedure TOptions.SetExportZAKScript(const Value: string);
begin
  FExportZAKScript := Value;
end;

procedure TOptions.SetHelpScript(const Value: string);
begin
  FHelpScript := Value;
end;

procedure TOptions.SetImportDetLinesScript(const Value: string);
begin
  FImportDetLinesScript := Value;
end;

procedure TOptions.SetImportDETScript(const Value: string);
begin
  FImportDETScript := Value;
end;

procedure TOptions.SetImportParcelScript(const Value: string);
begin
  FImportParcelScript := Value;
end;

procedure TOptions.SetImportREVScript(const Value: string);
begin
  FImportREVScript := Value;
end;

procedure TOptions.SetImportScript(const Value: string);
begin
  FImportScript := Value;
end;

procedure TOptions.SetImportSkupinParcelScript(const Value: string);
begin
  FImportSkupinParcelScript := Value;
end;

procedure TOptions.SetImportSLUScript(const Value: string);
begin
  FImportSLUScript := Value;
end;

procedure TOptions.SetImportSRFScript(const Value: string);
begin
  FImportSRFScript := Value;
end;

procedure TOptions.SetImportTEZScript(const Value: string);
begin
  FImportTEZScript := Value;
end;

procedure TOptions.SetImportZAKScript(const Value: string);
begin
  FImportZAKScript := Value;
end;

procedure TOptions.SetLOG(const Value: boolean);
begin
  FLOG := Value;
end;

procedure TOptions.SetNewVersion(const Value: boolean);
begin
  FNewVersion := Value;
end;

procedure TOptions.Set_NoBDE(const Value: boolean);
begin
   NoBDE := Value;
end;

procedure TOptions.SetPaletFile(const Value: string);
begin
   PaletFile := GetAbsolutePath(Value);
   NactiBarvickuZeSouboru(Value);
end;

procedure TOptions.SetProjectDirectory(const Value: string);
begin
   FProjectDirectory := GetAbsolutePath(Value);
end;

procedure TOptions.SetProjectFile(const Value: string);
begin
  FProjectFile := Value;
end;

procedure TOptions.SetRaster(const Value: boolean);
begin
   UseRasters := value;
end;

procedure TOptions.SetServiceDirectory(const aValue: string);
begin
   FServiceDirectory := aValue;
   PathOfLibraries := aValue;
   RemoveBackSlash(PathOfLibraries);
end;


function TOptions.Get_SHP_AsTopol: boolean;
begin
   result := SHPasTopol;
end;

procedure TOptions.Set_SHP_AsTopol(const Value: boolean);
begin
   SHPasTopol := Value;
end;

{TMainTool}


function  TMainTool.GetExePath: string;
begin
  result := ExtractFilePath(ParamStr(0));
  CheckBackSlash(result);
end;


function  TMainTool.GetMinProgress: integer;
begin
   //result := MainForm.ProgressBar.Min;
end;

function  TMainTool.GetMaxProgress: integer;
begin
   //result := MainForm.ProgressBar.Max;
end;

function  TMainTool.GetProgress: integer;
begin
   //result := MainForm.ProgressBar.Position;
end;

function  TMainTool.GetProgressVisible: boolean;
begin
   //result := MainForm.ProgressBar.Visible;
end;

procedure TMainTool.SetMinProgress(aValue: integer);
begin
   //MainForm.ProgressBar.Min := aValue;
end;

procedure TMainTool.SetMaxProgress(aValue: integer);
begin
   //MainForm.ProgressBar.Max := aValue;
end;

procedure TMainTool.SetProgress(aValue: integer);
begin
   //MainForm.ProgressBar.Position := aValue;
end;

procedure TMainTool.SetProgressVisible(aValue: boolean);
begin
   //MainForm.ProgressBar.Visible := aValue;
end;



constructor TMainTool.Create;
var
   S: string;
begin
  inherited Create;
  getDir(0, S);
  //Options.WorkingDirectory := S;
  Options.DataDirectory := S;
end;


destructor  TMainTool.Destroy;
begin
   //if Assigned(FTemplateLibrary) then FTemplateLibrary.Free;
   inherited Destroy;
end;




function  TMainTool.GetOptions: TBaseOptions;
begin
   if FOptions = nil then
   begin
      FOptions := TOptions.Create;
      AddElement(FOptions);
   end;
   result := FOptions;
end;

function  TMainTool.GetNOptions: TOptions;
begin
   result := TOptions(GetOptions);
end;


procedure TMainTool.SetOptions(aValue: TBaseOptions);
begin
   if FOptions <> nil then
   begin
      FreeElement(FOptions);
      FOptions := nil;
   end;
   FOptions := TOptions(aValue);
end;

procedure TMainTool.SetNOptions(aValue: TOptions);
begin
   SetOptions(aValue);
end;

function  TMainTool.GetCommandLine: TCommandLine;
begin
   if FCommandLine = nil then
   begin
      FCommandLine := TCommandLine.Create;
      FCommandLine.Name := 'Hlavn interpret jazyka OIL';
      AddTool(FCommandLine);
   end;
   result := FCommandLine;
end;


procedure TMainTool.SetCommandLine(aValue: TCommandLine);
begin
   if FCommandLine <> nil then
   begin
      FreeTool(FCommandLine);
      FCommandLine := nil;
   end;
   FCommandLine := aValue;
   AddTool(FCommandLine);
end;


procedure TMainTool.ExecScript(aFileName: string);
var
   CmdLn: TCommandLine;
begin
   if aFileName = '' then exit;
   aFileName := GetAbsolutePath(aFileName);
   CmdLn := TCommandLine.Create;
   CmdLn.FileName := aFileName;
   CmdLn.DoIt;
   CmdLn.Free;
   Application.ProcessMessages;
   //CommandLine.FileName:= aFileName;
   //CommandLine.DoIt
end;





procedure TMainTool.DoIt;
var
   S: string;
begin
   getDir(0, S);
   //Options.WorkingDirectory := S;
   Options.DataDirectory := S;
   inherited;
   Application.ProcessMessages;
   CaptionString := MainForm.Caption + '- ';
   //PostMsg(tm_Intro,Self,nil,false);
   Text := 'Inicializace O.K.';
   //SetupAutoSave;
   MainForm.OpenOIL.InitialDir := Options.ScriptDirectory;
   //LogStart;
end;





procedure TMainTool.ReadParamsFromIni;
var
   IniFile: TIniFile;
begin
   inherited ReadParamsFromIni;
   IniFile:= TIniFile.Create(IniFileName);
   //NactiBarvickuZeSouboru(IniFile.ReadString('OPTIONS', 'PALETFILE', AddBackSlash(PathOfLibraries) + 'PALETA.TXT'));
   IniFile.Free;

end;



procedure TMainTool.ReadParams;
begin
   ReadParamsFromIni;
end;




procedure TMainTool.WriteParamsToIni;
(*
var
   Save: TSave;
   IniFile: TRealIniFile;
   B: boolean;
*)
begin
   //IniFile:= TRealIniFile.Create(IniFileName);
   (*
   if (PaletFile <> '') and FileExists(PaletFile) then
      IniFile.WriteString('OPTIONS', 'PALETFILE', PaletFile);
   *)
   //IniFile.Free;

   {
   Options.PaletFile := PaletFile;
   }
   inherited WriteParamsToIni;
   (*
   Save := TSave.Create;
   Save.FileName := ExePath + 'SOURCE.ORB';
   Save.Input := ???;
   Save.DoIt;
   Save.Free;
   *)
   //SaveTemplateLibrary

end;


procedure  TMainTool.on_tm_SetOptions(var Handled: boolean);
begin
end;


procedure  TMainTool.on_tm_QuitTask;
var
   i: longInt;
begin
   If not IsPossibleToQuit then exit;
   WriteParamsToIni;
   //CheckProjectForSave;
   case MessageDlg('Opravdu ukonit aplikaci ?', mtConfirmation, mbYesNoCancel, 0) of
      mrYes:
      begin
         LogEnd;
         Application.ProcessMessages;
         Application.Terminate;
      end;
   end;
end;



procedure  TMainTool.On_tm_NewProject(var Handled: boolean);
var
   D: TLHCProjectDialog;
   CD: TOrbisConfirmDialog;
   P: TORBISLHCproject;
   Save: TSave;
   S : string;
begin
   D := TLHCProjectDialog.Create;
   D.Caption := 'Nov projekt';
   D.ProjectDirectory := Options.ProjectDirectory;
   D.DoIt;
   if D.result = 1 then
   begin
      LogProject;
      P := TORBISLHCproject(D.Output);
      // projektovy soubor za tepla ulozime
      S := D.ProjectDirectory;
      if not DirectoryExists(S) then
      begin
         ShowMessage('Sloka projektu "'+S+'" neexistuje!');
         exit;
      end;
      CheckBackSlash(S);
      S := S+P.Name+'.OPR';
      Save := TSave.Create;
      Save.FileName := S;
      Save.Input := P;
      Save.DoIt;
      Save.Free;
      StartProgress('Tvorba novho projektu: '+P.Name,0,0);
      // Vycistime Model
      //CheckProjectForSave;
      CreateNewModel;
      Project := P;
      Options.ProjectFile := S;
      World.SystemRegister.FreeElement(World.SystemRegister.FindElementName('Projection'));
      ExecuteScript := 'LED\ProjectionInfoModel.OIL';
      // co takhle nejakej import
      CD := TOrbisConfirmDialog.Create;
      CD.Text := 'Byl vytvoen nov projekt s nzvem '+P.Name+
             '. Dosud neobsahuje dn data - pejete si je importovat z TopoLu?';
      CD.Caption := 'Nov projekt';
      CD.DoIt;
      Case CD.Result of
         1:
         begin
            //ImportData;
            SetEditorData;
            PostMsg(tm_Import,nil,nil,false);
         end;
      end;
      CD.Free;
      CreateStat;
      EndProgress;
   end;
end;


procedure  TMainTool.On_tm_OpenProject(var Handled: boolean);
var
   Load: TLoad;
   P: TORBISLHCProject;
begin
   MainForm.OpenDialog.InitialDir := Options.ProjectDirectory;
   if MainForm.OpenDialog.Execute then
   begin
      LoadProjectFromFile(MainForm.OpenDialog.FileName);
   end;
   if Options.EditorOn and (Editor = nil) then
      PostMsg(tm_Editor,Self,nil,false);
end;


procedure  TMainTool.On_tm_ImportBlk(var Handled: boolean);
var
  BR: TTopoLBlokReader;
  E: TRectEntity;
  DD: TLayerImportDialog;
  MSC: TModelScriptCreator;
  MBSC: TModelByScriptCreator;
begin

   DD := TLayerImportDialog.Create;
   MSC := TModelScriptCreator.Create;
   MBSC := TModelByScriptCreator.Create;
   try
      DD.InitialDir := Options.DataDirectory;
      DD.DoIt;
      MSC.Input := DD.Output;
      MSC.DataDirectory := Options.DataDirectory;
      MSC.DoIt;
      MBSC.Input := MSC.Output;
      MBSC.DoIt;
      MBSC.Output.Name := 'DATA';
      World.ObjectModel.AddElement(MBSC.Output);
   except
   end;
   DD.Free;
   MSC.Free;
   MBSC.Free;
end;
(*
   Handled := true;
   ExecuteScript := Options.RunScript;
*)
(*
  BR:= TTopoLBlokReader.CreateBlock('d:\0\m\maly\DET.BLK');
  E := TRectEntity.Create;
  E.Name := 'DATA';
  World.ObjectModel.AddElement(E);
  E.AddAndUpdateRect(BR.ReadAreas);
  E.AddAndUpdateRect(BR.ReadLines);
  BR.Free;
end;
*)
(*
var
   aTool: TTool;
   Entity: TEntity;
   PZ: TRectEntity;
   i: longInt;
   IL: TLayerImportDialog;
begin
   aTool:= AddTool(TTopolImport.Create);
   if assigned(aTool) then
   begin
      aTool.Input := nil;
      aTool.DoIt;
      if aTool.output = nil then exit;
      try
         Entity := TEntity(aTool.OutPut);
         PZ := TRectEntity(TEntity(World.ObjectModel).FindElementClass(TTopolPredmetZajmu));
         if assigned(PZ) then
         begin
            for i := 0 to Entity.Count -1 do
            begin
               PZ.AddAndUpdateRect(Entity.Elements[i]);
               Entity.RemoveElement(Entity.Elements[i]);
            end;
            aTool.OutPut.Free;
            aTool.OutPut := nil;
         end
         else
         begin
            PZ := TRectEntity(aTool.OutPut);
            TEntity(World.ObjectModel).AddElement(PZ);
         end;
         if PZ <> nil then
         begin
            MainForm.MainMenu.Items[1].Visible := true;
            MainForm.MainMenu.Items[2].Visible := true;
         end;
      except
      end;
   end;
   Handled := true;
end;
*)

procedure  TMainTool.on_tm_SelectDataDirectory(var Handled: boolean);
//var
   //DD: TF_SelectDir;
begin
(*
   Handled := true;
   Application.CreateForm(TF_SelectDir, DD);
   try
     DD.Directory.Directory:= Options.DataDirectory;
     if DD.ShowModal = mrOK then
     begin
        Options.DataDirectory := DD.Directory.Directory;
     end;
   except
     on E:Exception do
     begin
       ShowMessage(E.Message + ': ' + Options.DataDirectory);
       Screen.Cursor:= crDefault;
       Options.DataDirectory:= ''
     end;
   end;
   DD.Free;
*)
end;





procedure  TMainTool.On_tm_AddView(var aMessage: TOrbisMessage; var Handled: boolean);
var
   RE: TRectEntity;
   Tool: TFormToolManager;
   ISC: TInterpretScript;
   TIS: TUniversalTopolScriptCreator;
begin
   Tool := TFormToolManager.Create;
   TIS := TUniversalTopolScriptCreator.Create;
   TIS.DoIt;
   ISC := TInterpretScript(TIS.Output);
   Tool.InterpretScript := ISC;
   TIS.Free;
   if aMessage.Data = nil then
   begin
      (*
      RE := TRectEntity(TEntity(World.ObjectModel).FindElementClass(TTopolPredmetZajmu));
      *)
      RE := nil;
      Tool.Device.Page.Color := clWhite;
   end
   else
   begin
      RE := TRectEntity(aMessage.Data);
      Tool.Device.Page.Color := clSilver;
   end;
   Tool.Input := RE;
   AddTool(Tool);
   Tool.DoIt;
end;



procedure  TMainTool.On_tm_Explore(var aMessage: TOrbisMessage; var Handled: boolean);
var
   aTool: TExplorer;
begin
    aTool := TExplorer.Create;
    AddTool(aTool);
    if assigned(aTool) then
    begin
      aTool.Input:= aMessage.Data;
      aTool.DoIt
    end;
end;


procedure  TMainTool.On_tm_ExploreOwners(var aMessage: TOrbisMessage; var Handled: boolean);
var
   aTool: TExplorer;
begin
    aTool := TExplorer.Create;
    AddTool(aTool);
    if assigned(aTool) then
    begin
      aTool.Input:= aMessage.Data;
      aTool.ShowOwners := true;
      aTool.Caption := 'Model vlastnk';
      aTool.DoIt
    end;
end;

procedure  TMainTool.On_tm_EditElement(var aMessage: TOrbisMessage; var Handled: boolean);
var
   aTool: TObjectPropertyEditor;
begin
    aTool := TObjectPropertyEditor.Create;
    AddTool(aTool);
    if assigned(aTool) then
    begin
      aTool.Input:= aMessage.Data;
      aTool.DoIt
    end;
end;



procedure  TMainTool.On_tm_ShowText(var aMessage: TOrbisMessage; var Handled: boolean);
begin

  if aMessage is TOrbisTextMessage then
     MainForm.StatusBar.SimpleText := TOrbisTextMessage(aMessage).Text;
  Handled:= true
end;




procedure  TMainTool.On_tm_SetPalette(var Handled: boolean);
begin
  NastavBarvicky
end;






procedure TMainTool.On_tm_EndOfDDEScript;
begin
   ScriptReading := false;
   CommandLine := nil;
   //MainForm.StatusBar.Panels.Items[0].Text := 'ORBIS ukonil zpracovn DDE Scriptu';
end;


procedure TMainTool.On_tm_SetDDEResult;
begin
   //F_StartForm.DDEServerItem.Text := CommandLine.ResultLine;
end;



procedure   TMainTool.HandleMessage(var aMessage: TOrbisMessage; var Handled: boolean);
//var
   //PZ: TRectEntity;
   //Element: TElement;
begin
  {
  MainForm.Ed.Text:= intToStr(memAvail-MainForm.OrigMem);
  }
   Handled:= false; { vse se vyresi na miste }
   inherited HandleMessage(aMessage, Handled);
   if Handled then exit;
   case aMessage.Message of
     { SOUBOR }
      tm_NewProject:  on_tm_NewProject(Handled);
      tm_OpenProject: on_tm_OpenProject(Handled);
      tm_SaveProject: on_tm_SaveProject(Handled);
      tm_SaveProjectAs: on_tm_SaveProjectAs(Handled);
      tm_ArchiveProjectAs: on_tm_ArchiveProjectAs(Handled);
      tm_ImportBlk:   on_tm_ImportBlk(Handled);
      tm_Import:     on_tm_Import(Handled);
      tm_Export:     on_tm_Export(aMessage, Handled);
      tm_Editor:     on_tm_Editor(Handled);
      tm_ModelChanged:  on_tm_ModelChanged(aMessage, Handled);
      tm_SelectDataDirectory: on_tm_SelectDataDirectory(Handled);
      tm_ClearModel:;
      tm_SetOptions:  on_tm_SetOptions(Handled);
      tm_SetUpProject:  on_tm_SetUpProject(Handled);
      tm_ProjectManager:  on_tm_ProjectManager(Handled);
      tm_ZeroActivity:    TimeToAutoSave := true;
      tm_DropFile: if Editor <> nil then Editor.HandleMessage(aMessage,Handled);
      //tm_DataSet:     on_tm_DataSet(Handled);
      //tm_ControlSet:  on_tm_ControlSet(Handled);
      //tm_Run:         on_tm_Run(Handled);
     { Mapov list }
      //tm_MapSheetList: PostMsg(tm_View, Self, TEntity(World.ObjectModel).FindElementClass(TMapSheets), DontKill);

     { Mapov list }
      tm_MapSheetList: PostMsg(tm_Explore, Self, TEntity(World.ObjectModel).FindElementClass(TMapSheets), DontKill);



     { ZOBRAZOVANI }
      tm_AddView: On_tm_AddView(aMessage, Handled);
      tm_Explore: On_tm_Explore(aMessage, Handled);
      tm_EditElement: On_tm_EditElement(aMessage, Handled);
      tm_ExploreOwners: On_tm_ExploreOwners(aMessage, Handled);
{      tm_About: On_tm_About(Handled); }
      tm_SetPalette: On_tm_SetPalette(Handled);
      tm_OIL              : on_tm_OIL(aMessage,Handled);

      tm_EndOfDDEScript   : on_tm_EndOfDDEScript;
      tm_SetDDEResult     : on_tm_SetDDEResult;
      tm_ShowText         : On_tm_ShowText(aMessage,Handled);
      tm_Run              : on_tm_Run(aMessage,Handled);
      tm_Intro            : on_tm_Intro;
   end;
end;

procedure  TMainTool.ExecuteMacro(M: TStrings);
begin
(*
   if M.Count < 1 then exit;
   if ScriptReading then
   begin
      if UpperCase(BezVnejsichMezer(M.Strings[0])) = c_END then on_tm_EndOfDDEScript
      else
      begin
         CommandLine.Line := '';
         CommandLine.Lines.Clear;
         CommandLine.Lines.Assign(M);
         CommandLine.DoIt;
         PostMsg(tm_SetDDEResult, Self, nil, DontKill);
      end;
   end
   else
   if UpperCase(M.Strings[0]) = c_Script then
   begin
      ScriptReading := true;
      MainForm.StatusBar.Panels.Items[0].Text := 'ORBIS zpracovv DDE Script';
   end;
*)
end;


function  TMainTool.GetText: string;
begin
   result := '';
   result := MainForm.StatusBar.SimpleText;
end;

procedure TMainTool.SetText(const aValue: string);
begin
   MainForm.StatusBar.SimpleText := aValue;
end;



procedure  TMainTool.AddWorkTools;
begin
//  AddTool(TDeskTopSaveToText.Create);
//  AddTool(TViewScriptEditor.Create);
end;








procedure TMainTool.SetActualAction(const Value: integer);
begin
   FActualAction := Value;
   if FActualAction > 4 then FActualAction := 4;
end;

procedure TMainTool.SetActualActionCaption(const Value: string);
begin
   //TAction(MainForm.ActionList.Actions[ActualAction]).Caption := Value;
end;

procedure TMainTool.SetActualActionImageIndex(const Value: integer);
begin
   //TAction(MainForm.ActionList.Actions[ActualAction]).ImageIndex := Value;
end;

procedure TMainTool.SetActualActionScript(const Value: string);
begin
   //TAction(MainForm.ActionList.Actions[ActualAction]).Category := Value;
end;

procedure TMainTool.SetActualActionVisible(const Value: boolean);
begin
   //TAction(MainForm.ActionList.Actions[ActualAction]).Visible := Value;
end;

procedure TMainTool.SetButtonCount(const Value: integer);
begin
end;

procedure TMainTool.SetNewImage(const Value: string);
var
   BM: Graphics.TBitmap;
   S: string;
begin
   {
   BM := Graphics.TBitmap.Create;
   S := '';
   if pos(':',Value) = 0 then
   begin
      S := ExePath;
      CheckBackSlash(S);
   end;
   S := S + Value;
   try
      BM.LoadFromFile(S);
   except
   end;
   MainForm.ImageList.AddMasked(BM,clGray);
   }
end;

procedure TMainTool.on_tm_Run(var aMessage: TOrbisMessage;
  var Handled: boolean);
var
   S,SS: string;
begin
   if not (aMessage is TOrbisTextMessage) then exit;
   S := TOrbisTextMessage(aMessage).Text;
   ScriptSender := aMessage.Sender;
   ExecuteScript := S;
   ScriptSender := nil;
end;

function TMainTool.GetActualActionCaption: string;
begin
   //result := TAction(MainForm.ActionList.Actions[ActualAction]).Caption;
end;

function TMainTool.GetActualActionImageIndex: integer;
begin
   //result := TAction(MainForm.ActionList.Actions[ActualAction]).ImageIndex;
end;

function TMainTool.GetActualActionScript: string;
begin
   //result := TAction(MainForm.ActionList.Actions[ActualAction]).Category;
end;

function TMainTool.GetActualActionVisible: boolean;
begin
   //result := TAction(MainForm.ActionList.Actions[ActualAction]).Visible;
end;

function TMainTool.GetActualActionHint: string;
begin
   //result := TAction(MainForm.ActionList.Actions[ActualAction]).Hint;
end;

procedure TMainTool.setActualActionHint(const Value: string);
begin
   //TAction(MainForm.ActionList.Actions[ActualAction]).Hint := Value;
end;

procedure TMainTool.SetShowActionsCaptions(const Value: boolean);
begin
{
   MainForm.ToolBar.ShowCaptions := Value;
   MainForm.ToolBar.ButtonHeight := 50;
   MainForm.ToolBar.ButtonWidth := 50;
}
end;

function TMainTool.GetImageHeight: integer;
begin
   //result := MainForm.ImageList.Height;
end;

function TMainTool.GetImageWidth: integer;
begin
   //result := MainForm.ImageList.Width;
end;

procedure TMainTool.SetImageHeight(const Value: integer);
begin
   //MainForm.ImageList.Height := Value;
end;

procedure TMainTool.SetImageWidth(const Value: integer);
begin
   //MainForm.ImageList.Width := Value;
end;

procedure TMainTool.On_tm_OIL(var aMessage: TOrbisMessage;
  var Handled: boolean);
var
   CMD: TCommandLineDlg;
   El: TElement;
begin
   CMD := TCommandLineDlg.Create(Application);
   El := aMessage.Data;
   if El = nil then El := World;
   CMD.E := El;
   CMD.Show;
   //CMD.FormStyle := fsStayOnTop;
end;

procedure TMainTool.RunStartScripts;
var
  OIL: string;
  S,SS: string;
begin
  Text := 'Kontrola Parametr';
  OIL:= GetParamWithExt('.OIL');
  if (OIL <> '') and fileExists(OIL) then
  begin
     ExecuteScript := OIL;
  end
  else ExecuteScript := Options.StartScript;
  S := ScriptDirectory;
  CheckBackSlash(S);
  Text := 'Inicializace registru ORBIS';
  SS := S + 'SysReg.Oil';
  if not FileExists(SS) then
  begin
     ShowMessage('Nelze nalzt soubor '+SS);
  end
  else ExecuteScript := SS;
  SS := S + 'Model.Oil';
  if not FileExists(SS) then
  begin
     ShowMessage('Nelze nalzt soubor '+SS);
  end
  else ExecuteScript := SS;
end;

procedure TMainTool.On_tm_SaveProject(var Handled: boolean);
begin
end;

procedure TMainTool.On_tm_SaveProjectAs(var Handled: boolean);
begin
end;

procedure TMainTool.On_tm_ArchiveProjectAs(var Handled: boolean);
begin
end;

procedure TMainTool.ViewProjectIntroDialog;
var
   D: TProjectIntroDialog;
begin
   D := TProjectIntroDialog.Create;
   D.LastProjectName := Options.ProjectFile;
   D.DoIt;
   case D.Result of
      4:  PostMsg(tm_NewProject,Self,nil,false);
      5:  PostMsg(tm_OpenProject,Self,nil,false);
      6:  OpenLastProject;
   end;
   if D.DontViewDialog then Options.DontViewProjectIntroDialog := true
                       else Options.DontViewProjectIntroDialog := false;
   if D.OpenLastProject then Options.AutoOpenLastProject := true
                        else Options.AutoOpenLastProject := false;
   D.Free;
end;

procedure TMainTool.OpenLastProject;
begin
   LoadProjectFromFile(Options.ProjectFile);
end;

procedure TMainTool.SetProject(const Value: TORBISLHCProject);
begin
   ExChangeFieldElement(TElement(FProject),Value);
   if Value <> nil then
   begin
      MainForm.Caption := CaptionString + Value.Name;
   end;
end;

procedure TMainTool.on_tm_Intro;
begin
   if ParamCount > 0 then
   begin
      // kontrola projektovho souboru
      LoadProjectFromFile(ParamStr(1));
   end
   else
   if not Options.DontViewProjectIntroDialog then
      ViewProjectIntroDialog
   else if Options.AutoOpenLastProject then OpenLastProject;
   if Options.EditorOn then
   begin
      PostMsg(tm_Editor,Self,nil, false);
   end;
end;

procedure TMainTool.CreateNewModel;
var
   S,SS: string;
   E: TEntity;
begin
   ProgressText := 'Ruen stvajcho modelu...';
   Application.ProcessMessages;
   E := World.ObjectModel;
   NextElement := E;
   World.ObjectModel := nil;
   E.Free();
   ProgressText := 'Vytven struktury novho  modelu...';
   Application.ProcessMessages;
   S := ScriptDirectory;
   CheckBackSlash(S);
   SS := S + 'Model.Oil';
   ExecuteScript := SS;
   LoadMaps;
   ProgressText := 'Struktura novho modelu zdrn vytvoena';
   LoadZnDBF;
   Application.ProcessMessages;
end;

procedure TMainTool.ImportData;
begin
   ProgressText := 'Probh import externch dat ...';
   Application.ProcessMessages;
   ExecuteScript := Options.ImportScript;
   Project.Modified := true;
   Project.LastChangesExported := true;
end;

procedure TMainTool.on_tm_SetUpProject(var Handled: boolean);
begin
end;

procedure TMainTool.On_tm_Export(var aMessage: TOrbisMessage; var Handled: boolean);
begin
   NoAutoSave := true;
   Handled:= true;
   //if not (aMessage is TOrbisTextMessage) then exit;
   {
   S := TOrbisTextMessage(aMessage).Text;
   if StringAsTwoParams(S,'&',S1,S2) then
      S := S1+S2;
   ExecuteScript := Options.GetPropertyStringByName(S+'Script');
   }
   ExecuteScript := Options.ExportScript;
   NoAutoSave := false;
end;

procedure TMainTool.On_tm_Import(var Handled: boolean);
begin
   if Project = nil then
   begin
      ShowMessage('love, nemte tady dn projekt, nco si vytvote nebo otevete!');
      exit;
   end;
   NoAutoSave := true;
   Application.ProcessMessages;
   ExecuteScript := Options.ImportScript;
   Application.ProcessMessages;
   Project.Modified := true;
   Project.LastChangesExported := true;
   //SetEditorData;
   NoAutoSave := false;
end;
(*
var
  BR: TTopoLBlokReader;
  E: TRectEntity;
  DD: TLayerImportDialog;
  MSC: TModelScriptCreator;
  MBSC: TModelByScriptCreator;
begin

   DD := TLayerImportDialog.Create;
   MSC := TModelScriptCreator.Create;
   MBSC := TModelByScriptCreator.Create;
   try
      DD.InitialDir := Options.DataDirectory;
      DD.DoIt;
      MSC.Input := DD.Output;
      MSC.DataDirectory := Options.DataDirectory;
      MSC.DoIt;
      MBSC.Input := MSC.Output;
      MBSC.DoIt;
      MBSC.Output.Name := 'DATA';
      World.ObjectModel.AddElement(MBSC.Output);
   except
   end;
   DD.Free;
   MSC.Free;
   MBSC.Free;
end;
*)



procedure TMainTool.LoadProjectFromFile(aFile: string);
var
   Load: TLoad;
   NewProject: TORBISLHCProject;
   Imp: boolean;
begin
   if not FileExists(aFile) then
   begin
      ShowMessage('Projektov soubor '+aFile+' asi umel!!!');
      exit;
   end;
   if (aFile <> Options.ProjectFile) or (Project = nil) then
   begin
      StartProgress('Otevrn projektu: '+ aFile,0,0);
      ProgressText := 'ten projektovho souboru ...';
      //PostMsg(tm_ToolSelected,Editor,nil,false);
      //PostMsg(tm_TaskSelected,Editor,nil,false);
      Application.ProcessMessages;
      Load := TLoad.Create;
      Load.FileName := aFile;
      Load.DoIt;
      NewProject := TORBISLHCProject(Load.Output);
      //ProgressText := 'Kontrola uloen pvodnho projektu ...';
      //Application.ProcessMessages;
      //CheckProjectForSave;
      //LogProject;
      Project := NewProject;
      Options.ProjectFile := aFile;
      CreateNewModel;
      NewProject.DataDirectory := ExtractFilePath(aFile);
      Imp := false;
      if Project.DataFileExists then
      begin
         LoadProjectData;
      end
      else
      begin
         ShowMessage('Projekt: "'+Project.Name + '"neobsahuje dosud dn data !');
      end;
      //CheckModelVersion;
      //LoadProjectionInfo;
      //LoadMaps;
      //SetEditorData;
      EndProgress;
      //CreateStat;
      //if Imp then
      //   PostMsg(tm_Import,nil,nil,false);
      //PostTextMsg(tm_Run,'LED\Project_After_Load.oil',nil);
   end;
end;


procedure TMainTool.LoadProjectData;
var
   Load: TLoad;
   E: TElement;
   Restore: boolean;
   S,S1,S2: string;
begin
   Restore := false;
   ProgressText := 'ten datovho souboru ...';
   Application.ProcessMessages;
   E := World.ObjectModel.FindElementName('DATA');
   Load := TLoad.Create;
   Load.FileName := Project.DataFileName;
   try
      Load.DoIt;
      E.Free;
      World.ObjectModel.NextElement := TObjectModel(Load.output);
   except
      if Confirm('Pi natn dat Projektu dolo k Chyb, pejete si obnovu ze zlon souboru?(ANO) Osobn bych doporuoval ukonit aplikaci a zkusit naten znovu (NE,STORNO)') then
         Restore := true;
      if not Restore then
      begin
         if Confirm('Odloit Container do ObjectModel? (nevte-li oem je e, volte NE!)') then
         begin
            World.ObjectModel.NextElement:=Load.Container;
            Load.Container := nil;
         end;
      end;
   end;
   Load.Free;
   if not Restore then exit;
   S := Project.DataFileName;
   S1 := ChangeFileExt(S,'.OR_');
   if not FileExists(S1) then
   begin
      ShowMessage('Je to smutn, ale zlon soubor neexistuje! Bh ehnej GISu.');
      exit;
   end;
   S2 := ChangeFileExt(S,'.OR1');
   if FileExists(S2) then DeleteFile(PChar(S2));
   RenameFile(S,S2);
   RenameFile(S1,S);
   RenameFile(S2,S1);
   ProgressText := 'ten zlonho datovho souboru ...';
   Application.ProcessMessages;
   E := World.ObjectModel.FindElementName('DATA');
   Load := TLoad.Create;
   Load.FileName := Project.DataFileName;
   try
      Load.DoIt;
      if E <> nil then
         E.Free;
      World.ObjectModel.NextElement := TObjectModel(Load.output);
   except
      if Confirm('I pi natn dat Projektu ze zlohy dolo k Chyb, soubory budou vrceny do pvodnho stavu bez ohledu na Vai odpov. Obrate se s dvrou na autory programu, nadje umr posledn.') then;
      RenameFile(S,S2);
      RenameFile(S1,S);
      RenameFile(S2,S1);
   end;
   Load.Free;
end;


procedure TMainTool.SetCaptionString(const Value: string);
begin
   FCaptionString := Value;
end;

procedure TMainTool.On_tm_Editor(var Handled: boolean);
begin
end;

function TMainTool.GetEditor: TControlGroup;
begin
   result := nil;
end;

procedure TMainTool.SetEditor(const Value: TControlGroup);
begin
   ExchangeFieldTool(TTool(Feditor),Value);
end;

function TMainTool.GetEditorModel: TToolModel;
var
   E: Telement;
begin
   result := nil;
   E := World.SystemRegister.FindElementName('EDITOR');
   if not (E is TToolModel) then exit;
   result := TToolModel(E);
end;

procedure TMainTool.SetEditorData;
begin

   if Editor <> nil then
      ExecuteScript := Options.EditorDataScript;
end;

procedure TMainTool.On_tm_ModelChanged(var aMessage: TOrbisMessage; var Handled: boolean);
var
   aProject: TOrbisLHCProject;
begin
   aProject := nil;
   if aMessage.Data = nil then
      aProject := Project
   else
   if (aMessage.Data is TEntity) then
      aProject := TOrbisLHCProject(TEntity(aMessage.Data).FindElementClass(TOrbisLHCProject));
   if aProject <> nil then
      aProject.Modified := true;
end;

function TMainTool.GetScriptDirectory: string;
var
   S: string;
begin
   S := Options.ScriptDirectory;
   CheckBackSlash(S);
   result := GetAbsolutePath(S);
end;

procedure TMainTool.LoadEditorModelFile;
var
   S: string;
   L: TLoad;
begin
   S := ExePath+'LEDEDITOR.ORB';
   if not FileExists(S) then
      exit;
   L := TLoad.Create;
   L.FileName := S;
   L.DoIt;
   World.SystemRegister.NextElement := L.Output;
   L.Free;
end;

procedure TMainTool.SaveEditorModelFile;
var
   S: TSave;
   FN: string;
begin
   if EditorModel = nil then exit;
   FN := ExePath+'LEDEDITOR.ORB';
   S := TSave.Create;
   S.Input := EditorModel;
   S.FileName := FN;
   S.DoIt;
   S.Free;
end;


procedure TMainTool.SetModelVersion;
begin

end;

procedure TMainTool.LoadProjectionInfo;
var
   S: string;
   L: TLoad;
begin
   World.ObjectModel.FreeElement(World.ObjectModel.FindElementClass(TProjectionInfoModel));
   S := ChangeFileExt(Options.ProjectFile,'.OPP');
   if not FileExists(S) then
   begin
      ExecuteScript := 'LED\ProjectionInfoModel.OIL';
      exit;
   end;
   L := TLoad.Create;
   L.FileName := S;
   L.DoIt;
   World.ObjectModel.NextElement := L.Output;
   L.Free;
end;

procedure TMainTool.SaveProjectionInfo;
var
   S: string;
   Save: TSave;
   E: TElement;
begin
   S := ChangeFileExt(Options.ProjectFile,'.OPP');
   E := World.ObjectModel.FindElementClass(TProjectionInfoModel);
   if E = nil then exit;
   Save := TSave.Create;
   Save.FileName := S;
   Save.Input := E;
   Save.DoIt;
   Save.Free;
end;

procedure TMainTool.LoadMaps;
var
   S: string;
   L: TLoad;
   E: TElement;
   ByScript: boolean;
begin
   World.ObjectModel.FreeElement(World.ObjectModel.FindElementName('MAPS'));
   ByScript := Project = nil;
   if not ByScript then
   begin
      S := ChangeFileExt(Options.ProjectFile,'.OMP');
      ByScript := not FileExists(S);
   end;
   if ByScript then
   begin
      ExecuteScript := 'LED\Maps.OIL';
   end
   else
   begin
      L := TLoad.Create;
      L.FileName := S;
      L.DoIt;
      World.ObjectModel.NextElement := L.Output;
      L.Free;
   end;
   E := World.ObjectModel.FindElementName('MAPS');
   if not (E is TThematicMaps) then exit;
   TThematicMaps(E).Reset := True;
end;

procedure TMainTool.SaveMaps;
var
   S: string;
   Save: TSave;
   E: TElement;
   M: TThematicMaps;
begin
   S := ChangeFileExt(Options.ProjectFile,'.OMP');
   E := World.ObjectModel.FindElementName('MAPS');
   if E = nil then exit;
   if not (E is TThematicMaps) then
   begin
      PostTextMsg(tm_AddToProtocol,'Project Error: Maps not found',nil);
      exit;
   end;
   M := TThematicMaps(E);
   M.Clear;
   Save := TSave.Create;
   Save.FileName := S;
   Save.Input := E;
   Save.DoIt;
   Save.Free;
   M.Reset := True;
end;

procedure TMainTool.on_tm_ProjectManager(var Handled: boolean);
//var
   //M: TLHCProjectManager;
begin
   //M := TLHCProjectManager.Create;
   //M.Caption := 'Stav projektu:'+Project.Name;
   //M.DoIt;
   //M.Free;
   ExecuteScript := 'LED\Project.OIL';
end;

procedure TMainTool.LoadZnDBF;
var
   S: string;
   L: TLoad;
begin
   World.ObjectModel.FreeElement(World.ObjectModel.FindElementName('Znacky_DBF'));
   S := ExePath+'LED\Zn.orb';
   if not FileExists(S) then
   begin
      ShowMessage('Soubor druh '+S+' neexistuje! (co je asi chyba)');
      exit;
   end;
   L := TLoad.Create;
   L.FileName := S;
   L.DoIt;
   World.ObjectModel.NextElement := L.Output;
   L.Free;
end;

function TMainTool.GetProjectChanged: boolean;
begin
   result := false;
end;

procedure TMainTool.SetProjectChanged(const Value: boolean);
begin
end;

procedure TMainTool.SetTimeToAutoSave(const Value: boolean);
begin
end;


procedure TMainTool.SetNoAutoSave(const Value: boolean);
begin
end;

procedure TMainTool.SetAutoSaveNeeded(const Value: boolean);
begin
   FAutoSaveNeeded := Value;
end;



procedure TMainTool.LogEnd;
var
   SL: TStringList;
begin
   if not Options.LOG then exit;
   SL := LogFileOpen;
   if SL = nil then exit;
   LogLogProject(SL);
   SL.Add('*LED END   '+DateTimeToStr(Now));
   SL.Add('********************************');
   LogFileSave(SL);
   SL.Free;
end;

function TMainTool.LogFileOpen: TStringList;
var
   S,SF: string;
begin
   result := nil;
   if not Options.LOG then exit;
   result := TStringList.Create;
   SF := 'yymmdd';
   DateTimeToString(S,SF,Now);
   S := 'LED'+S+'.log';
   S := GetAbsolutePath(S);
   if not FileExists(S) then exit;
   result.LoadFromFile(S);
end;

procedure TMainTool.LogStart;
var
   SL: TStringList;
begin
   if not Options.LOG then exit;
   SL := LogFileOpen;
   if SL = nil then exit;
   SL.Add('*LED START '+DateTimeToStr(Now));
   LogFileSave(SL);
   SL.Free;
end;

procedure TMainTool.LogFileSave(const SL: TStringList);
var
   S,SF: string;
begin
   if not Options.LOG then exit;
   if SL = nil then exit;
   SF := 'yymmdd';
   DateTimeToString(S,SF,Now);
   S := 'LED'+S+'.log';
   S := GetAbsolutePath(S);
   SL.SaveToFile(S);
end;

procedure TMainTool.LogProject;
var
   SL: TStringList;
begin
   if not Options.LOG then exit;
   SL := LogFileOpen;
   if SL = nil then exit;
   LogLogProject(SL);
   LogFileSave(SL);
   SL.Free;
end;

procedure TMainTool.LogLogProject(const SL: TStringList);
var
   SI: TStatLayerInfos;
   i: integer;
   SS: TStatLayerInfo;
   e: TElement;
   S: string;
   int: integer;
   d: double;
   Ul: boolean;
begin
   if not Options.LOG then exit;
   if Project = nil then exit;
   if SL = nil then exit;
   SL.Add(' Project: '+Project.Name);
   CreateStatUpdate;
   SI := TStatLayerInfos(World.ObjectModel.FindElementClass(TStatLayerInfos));
   if SI = nil then exit;
   Ul := false;
   for i := 0 to SI.LastIndex do
   begin
      e := SI.Elements[i];
      if not (e is TStatLayerInfo) then continue;
      SS := TStatLayerInfo(e);
      if SS.IsNew then
      begin
         S := '  '+SS.Name+'  NEW ';
         S := S + ' count:'+IntToStr(SS.Count);
         if SS.IsArea then
            S := S + ' area:'+ FloatToStr(SS.Area);
         SL.Add(S);
         Ul := true;
      end
      else
      begin
         if (SS.Count <> SS.NewCount) or (SS.IsArea and(SS.NewArea <> SS.Area)) then
         begin
            S := '  '+SS.Name+'  change ';
            int := SS.NewCount - SS.count;
            if int <> 0 then
               S := S + ' count+:'+IntToStr(int);
            if SS.IsArea then
            begin
               d := SS.NewArea - SS.Area;
               if d <> 0 then
                  S := S + ' area+:'+ FloatToStr(d);
            end;
            SL.Add(S);
            Ul := true;
         end;
      end;
   end;
   if Ul then
   begin
      S := '  Ulozeno: ';
      if Project.Modified then
         S := S + 'NE (teda ne vsechno)'
      else
         S := S + 'ANO';
      SL.Add(S);
   end;
end;

procedure TMainTool.CreateStat;
var
   e: TElement;
   En: TEntity;
   SI: TStatLayerInfos;
begin
   if not Options.LOG then exit;
   SI := TStatLayerInfos(World.ObjectModel.CreateElement('TStatLayerInfos','STAT'));
   e := TEntity(World.ObjectModel.FindElementName('DATA')).FindElementName('Layers');
   en := TEntity(e);
   SI.CreateFor(en);
end;

procedure TMainTool.CreateStatUpdate;
var
   e: TElement;
   En: TEntity;
   SI: TStatLayerInfos;
begin
   if not Options.LOG then exit;
   SI := TStatLayerInfos(World.ObjectModel.FindElementClass(TStatLayerInfos));
   if SI = nil then exit;
   e := TEntity(World.ObjectModel.FindElementName('DATA')).FindElementName('Layers');
   en := TEntity(e);
   SI.UpdateFor(en);
end;

procedure TMainTool.SetProjectFromFile(const Value: string);
begin
   LoadProjectFromFile(Value);
end;

procedure TMainTool.SetScriptSender(const Value: TElement);
begin
  FScriptSender := Value;
end;

procedure TMainTool.on_tm_Help;
begin
   if Options.HelpScript <> '' then
      ExecScript(Options.HelpScript);
end;

END.
