program ORBLK;

uses
  Forms,
  SysUtils,
  PubUnits in 'PUBUNITS.PAS',
  F_MAIN1 in '..\..\Lib\App\F_MAIN1.pas' {MainForm1},
  F_Main2 in '..\..\LIB\APP\F_MAIN2.pas' {MainForm2},
  e_GFile in '..\..\Lib\GLIB\e_GFile.pas',
  t_SelFil in '..\..\Lib\App\t_SelFil.pas',
  U_cktm in '..\..\Lib\REG\U_Cktm.pas',
  u_BMPs in '..\..\Lib\BMPS\u_BMPs.pas',
  t_Tiletm in '..\TileTemplate\t_Tiletm.pas',
  T_Main in 'T_Main.pas',
  Worlds in '..\..\Lib\Kernel\Worlds.pas',
  u_Shell in '..\..\Lib\0TEMP\u_Shell.pas',
  u_Type in '..\..\Lib\Kernel\u_Type.pas',
  t_ConditionFilter in '..\..\Lib\ConditionFilter\t_ConditionFilter.pas',
  f_ConditionFilter in '..\..\Lib\ConditionFilter\f_ConditionFilter.pas' {ConditionFilterForm},
  e_CompareModel in '..\..\Lib\0TEMP\e_CompareModel.pas',
  e_LHCModel in '..\..\Lib\LHC\e_LHCModel.pas',
  e_Geometry in '..\..\Lib\LHC\e_Geometry.pas',
  e_TaskModel in '..\..\Lib\LHC\e_TaskModel.pas',
  e_Group in '..\..\Lib\LHC\e_Group.pas',
  f_OrbisForm in '..\..\Lib\App\f_OrbisForm.pas' {ORBISForm},
  c_Actions in '..\..\Lib\App\c_Actions.pas',
  F_TaskForm in '..\..\Lib\App\F_TaskForm.pas' {Task_Form},
  t_TaskForm in '..\..\Lib\App\t_TaskForm.pas',
  t_FormTool in '..\..\Lib\App\t_FormTool.pas',
  t_InterfaceTool in '..\..\Lib\App\t_InterfaceTool.pas',
  t_GraphicForm in '..\..\Lib\App\t_GraphicForm.pas',
  f_ExtendedOrbisForm in '..\..\Lib\App\f_ExtendedOrbisForm.pas' {ExtendedORBIS_Form},
  t_ExtendedFormTool in '..\..\Lib\App\t_ExtendedFormTool.pas',
  f_GraphicForm in '..\..\Lib\App\f_GraphicForm.pas' {Graphic_Form},
  e_ElementModel in '..\..\Lib\Kernel\e_ElementModel.pas',
  e_ToolModel in '..\..\Lib\Kernel\e_ToolModel.pas',
  t_SriptTool in '..\..\Lib\OIL\t_SriptTool.pas',
  t_ControlGroup in '..\..\Lib\App\t_ControlGroup.pas',
  f_ControlGroupForm in '..\..\Lib\App\f_ControlGroupForm.pas' {ControlGroupForm},
  t_ViewTools in '..\..\Lib\App\t_ViewTools.pas',
  T_HelLHC in '..\..\Lib\LHC\T_HelLHC.pas',
  t_GraphicEditors in '..\..\Lib\Editor\t_GraphicEditors.pas',
  t_ShImg in '..\..\Lib\GUI\t_ShImg.pas',
  t_SelectSkupina in '..\..\Lib\LHC\t_SelectSkupina.pas',
  t_FrameSelect in '..\..\Lib\LHC\t_FrameSelect.pas',
  T_HelSlu in '..\..\Lib\LHC\T_HelSlu.pas',
  t_GraphicSelectors in '..\..\Lib\Editor\t_GraphicSelectors.pas',
  t_StoreToLHC in '..\..\Lib\LHC\t_StoreToLHC.pas',
  t_Snap in '..\..\Lib\Editor\t_Snap.pas',
  t_SpatialAnalysis in '..\..\Lib\Editor\t_SpatialAnalysis.pas',
  t_LHCSelect in '..\..\Lib\LHC\t_LHCSelect.pas',
  t_Lineextractor in '..\..\Lib\Editor\t_Lineextractor.pas',
  t_GraphicEditorDialog in '..\..\Lib\App\t_GraphicEditorDialog.pas',
  T_OrbisDialog in '..\..\Lib\App\T_OrbisDialog.pas',
  f_OrbisDialog in '..\..\Lib\App\f_OrbisDialog.pas' {OrbisDialog_Form},
  t_TezpDialog in '..\..\Lib\LHC\t_TezpDialog.pas',
  f_TezPDialog in '..\..\Lib\LHC\f_TezPDialog.pas' {TezPDialog_Form},
  e_LHCProps in '..\..\Lib\LHC\e_LHCProps.pas',
  t_FindOkolniSkupiny in '..\..\Lib\LHC\t_FindOkolniSkupiny.pas',
  T_ExpLHC in '..\..\Lib\LHC\T_ExpLHC.pas',
  t_LineDialog in '..\..\Lib\Editor\t_LineDialog.pas',
  f_LineDialog in '..\..\Lib\Editor\f_LineDialog.pas' {LineDialog_Form},
  f_ConfirmDialog in '..\..\Lib\App\f_ConfirmDialog.pas' {OrbisConfirmDialog_Form},
  t_ConfirmDialog in '..\..\Lib\App\t_ConfirmDialog.pas',
  e_Project in '..\..\Lib\App\e_Project.pas',
  e_LHCProject in '..\..\Lib\LHC\e_LHCProject.pas',
  t_LHCProjectDialog in '..\..\Lib\LHC\t_LHCProjectDialog.pas',
  f_Main in 'f_Main.pas' {MainForm},
  f_ProjectIntroDialog in '..\..\Lib\App\f_ProjectIntroDialog.pas' {ProjectIntroDialog_Form},
  t_ProjectIntroDialog in '..\..\Lib\App\t_ProjectIntroDialog.pas',
  f_LHCProjectDialog in '..\..\Lib\LHC\f_LHCProjectDialog.pas' {LHCProjectDialog_Form},
  t_ExportLHCDialog in '..\..\Lib\LHC\t_ExportLHCDialog.pas',
  f_ExportLHCDialog in '..\..\Lib\LHC\f_ExportLHCDialog.pas' {ExportLHCDialog_Form},
  T_LocateIntoPSK in '..\..\Lib\LHC\T_LocateIntoPSK.pas',
  i_SelectedSpaceElement in '..\..\Lib\Editor\i_SelectedSpaceElement.pas',
  t_ElementKiller in '..\..\Lib\Editor\t_ElementKiller.pas',
  t_ControlTool in '..\..\Lib\App\t_ControlTool.pas',
  t_GraphicFormControls in '..\..\Lib\App\t_GraphicFormControls.pas',
  E_Class in '..\..\Lib\Kernel\E_class.pas',
  i_Node in '..\..\Lib\Editor\i_Node.pas',
  f_SimplePointDialog in '..\..\Lib\LHC\f_SimplePointDialog.pas' {SimplePointDialog_Form},
  t_SimplePointDialog in '..\..\Lib\LHC\t_SimplePointDialog.pas',
  t_OrbisFrame in '..\..\Lib\App\t_OrbisFrame.pas',
  r_OrbisFrame in '..\..\Lib\App\r_OrbisFrame.pas' {Orbis_Frame: TFrame},
  r_CoordMonitor in '..\..\Lib\App\r_CoordMonitor.pas' {CoordMonitor_Frame: TFrame},
  t_CoordMonitor in '..\..\Lib\App\t_CoordMonitor.pas',
  r_ScaleMonitor in '..\..\Lib\App\r_ScaleMonitor.pas' {ScaleMonitor_Frame: TFrame},
  t_ScaleMonitor in '..\..\Lib\App\t_ScaleMonitor.pas',
  f_ORBLKDialog in 'f_ORBLKDialog.pas' {ORBLKDialog_Form},
  t_ORBLKDialog in 't_ORBLKDialog.pas',
  t_SelectGuideLines in 't_SelectGuideLines.pas';

{$R *.RES}



BEGIN
   //if not CheckModulRegistration(ParamStr(0)) then exit;
   //_CreateProcess('InfoPanel.exe',ParamStr(0));
   Application.ProcessMessages;
   Application.Initialize;
   Application.Title := 'ORBLK';
   TMainTool.CreateWorld;
   if World.MainTool = nil then exit;
   World.MainTool.DoIt;
   //CHeckOrbisClasses;
   Application.Run;
END.
