unit F_optdlg;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Grids, ExtCtrls;
const
   c_True  = 'TRUE';
   c_False = 'FALSE';

type
  TOptDlg = class(TForm)
    Panel1: TPanel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Panel: TPanel;
    C0: TCheckBox;
    procedure C0Click(Sender: TObject);
  private
     FOps: TStringList;
     procedure SetOps(aValue: TStringList);
     function  FindC(const aName, Me: string): TComponent;
  public
     property Ops: TStringList read FOps write SetOps;
  end;


implementation

{$R *.DFM}

uses
   SysUtils,
   FileCtrl,
   //f_SelDir,
   u_String;

procedure TOptDlg.SetOps(aValue: TStringList);
var
   i: longInt;
   C: TCheckBox;
   V: integer;
   Param, Val: string;
   bool: boolean;
begin
   FOps := aValue;
   V := C0.Top + C0.Height + 10;
   for i := 0 to aValue.Count - 1 do
   begin
      StringAsParameter(aValue.Strings[i], Param, Val);
      Val := UpperCase(Val);
      bool := Val = c_True;
      if i = 0 then
      begin
         C0.Caption := Param;
         C0.Checked := Val = c_true;
      end
      else
      begin
         C := TCheckBox.Create(nil);
         Panel.InsertControl(C);
         C.Name := 'C'+IntToStr(i);
         C.Caption := Param;
         C.Left  := C0.Left;
         C.Width := C0.Width;
         C.Top := V;
         C.Checked := bool;
         C.OnClick := C0Click;

         V := C.Top + C.Height + 10;
      end;
   end;
   V := V + 10;
   if Panel.Height < V then Height := Height + (V - Panel.Height);
end;


function  TOptDlg.FindC(const aName, Me: string): TComponent;
var
   S: string;
   i: longInt;
begin
   S := UpperCase(aName + Me[2]);
   result := nil;
   for i := 0 to Panel.ControlCount -1 do
   begin
      if UpperCase(Panel.Controls[i].Name) = S then
      begin
         result := Panel.Controls[i];
         exit;
      end;
   end;
end;

procedure TOptDlg.C0Click(Sender: TObject);
var
   c: TCheckBox;
begin
   if not (Sender is TCheckBox) then exit;
   c := TCheckBox(Sender);
   if c.Checked then Ops.Values[c.Caption] := c_True
                else Ops.Values[c.Caption] := c_False;
end;

end.
