unit U_cursor;

interface

const
cr_Lupa        = 1;
cr_Ruka        = 2;
cr_NewDrawRect = 3;
cr_NewText     = 4;
cr_NewView     = 5;
cr_NewUMS      = 6;
cr_EditUMS     = 7;
cr_NoUMS       = 8;
cr_NoElement   = 9;
cr_NewTxtBlk   = 10;
cr_SelectLine  = 11;
cr_SelectArea  = 12;

procedure LoadUserCursors;


implementation
uses
   Forms,
   WinProcs;

{$R CURS.RES}

procedure LoadUserCursors;
begin
   Screen.Cursors[cr_Lupa]        := LoadCursor(HInstance, 'LUPA');
   Screen.Cursors[cr_Ruka]        := LoadCursor(HInstance, 'RUKA');
   Screen.Cursors[cr_NewDrawRect] := LoadCursor(HInstance, 'NEWDRAWRECT');
   Screen.Cursors[cr_NewText]     := LoadCursor(HInstance, 'NEWTEXT');
   Screen.Cursors[cr_NewView]     := LoadCursor(HInstance, 'NEWVIEW');
   Screen.Cursors[cr_NewUMS]      := LoadCursor(HInstance, 'NEWMS');
   Screen.Cursors[cr_EditUMS]     := LoadCursor(HInstance, 'EDITMS');
   Screen.Cursors[cr_NoUMS]       := LoadCursor(HInstance, 'NOMS');
   Screen.Cursors[cr_NoElement]   := LoadCursor(HInstance, 'NOTFORSELECT');
   Screen.Cursors[cr_NewTxtBlk]   := LoadCursor(HInstance, 'NEWTEXTBLOCK');
   Screen.Cursors[cr_SelectLine]  := LoadCursor(HInstance, 'SELECTLINE');
   Screen.Cursors[cr_SelectArea]  := LoadCursor(HInstance, 'SELECTAREA');
end;

end.
