unit f_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Gauges;

type
  TForm1 = class(TForm)
    Gauge1: TGauge;
    l_File1: TLabel;
    l_File2: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    OpenDialog: TOpenDialog;
    l_Size: TLabel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   if not OpenDialog.Execute then exit;
   l_File1.Caption := OpenDialog.FileName;
   l_File2.Caption := ChangeFileExt(l_File1.Caption,'.XM_');
end;

procedure TForm1.Button2Click(Sender: TObject);
var
   File1,File2: System.Text;
   S,S1: string;
   siz: integer;
   fpos,fposn: integer;
begin
   if l_File1.Caption = '' then exit;
   if not FileExists(l_File1.Caption) then exit;
   system.Assign(File1, l_File1.Caption);
   system.reset(File1);
   system.assign(File2, l_File2.Caption);
   system.rewrite(File2);
   siz := FileSize(File1);
   fpos := 0;
   Gauge1.MaxValue := siz;
   l_Size.Caption := IntToStr(siz);
   Application.ProcessMessages;
   while not Eof(File1) do
   begin
      ReadLn(File1,S);
      //Gauge1.Progress := Gauge1.Progress + Length(S);
      fPosn := FilePos(File1);
      if fposn > fpos then
      begin
         fpos := fposn;
         Gauge1.Progress := fpos;
         Application.ProcessMessages;
      end;
      S := TrimLeft(S);
      Writeln(File2,S);
   end;
   system.Close(File1);
   system.Close(File2);
   Gauge1.Progress := 0;
   l_Size.Caption := 'Hotovo !!!';
end;

procedure TForm1.Button3Click(Sender: TObject);
var
   File1,File2: System.Text;
   S,S1: string;
   siz: integer;
   fpos,fposn: integer;
begin
   if l_File1.Caption = '' then exit;
   if not FileExists(l_File1.Caption) then exit;
   system.Assign(File1, l_File1.Caption);
   system.reset(File1);
   system.assign(File2, l_File2.Caption);
   system.rewrite(File2);
   siz := FileSize(File1);
   fpos := 0;
   Gauge1.MaxValue := siz;
   l_Size.Caption := IntToStr(siz);
   Application.ProcessMessages;
   while not Eof(File1) do
   begin
      ReadLn(File1,S);
      //Gauge1.Progress := Gauge1.Progress + Length(S);
      fPosn := FilePos(File1);
      if fposn > fpos then
      begin
         fpos := fposn;
         Gauge1.Progress := fpos;
         Application.ProcessMessages;
      end;
      S := TrimLeft(S);
      Write(File2,S);
   end;
   system.Close(File1);
   system.Close(File2);
   Gauge1.Progress := 0;
   l_Size.Caption := 'Hotovo !!!';
end;

end.

