unit F_Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, OleCtrls, HelelesPanelXControl2_TLB;

type
  TForm1 = class(TForm)
    HelePan: THelelesPanelX;
    Panel1: TPanel;
    btInit: TButton;
    btDone: TButton;
    btCtiLHC: TButton;
    btReview: TButton;
    Panel2: TPanel;
    lbActiveTool: TLabel;
    lbLastTool: TLabel;
    procedure btInitClick(Sender: TObject);
    procedure btDoneClick(Sender: TObject);
    procedure btCtiLHCClick(Sender: TObject);
    procedure btReviewClick(Sender: TObject);
    procedure HelePanToolDone(Sender: TObject;
      const aToolName: WideString);
    procedure HelePanToolChange(Sender: TObject;
      const aToolName: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btInitClick(Sender: TObject);
begin
  HelePan.Init
end;

procedure TForm1.btDoneClick(Sender: TObject);
begin
  HelePan.Done
end;

procedure TForm1.btCtiLHCClick(Sender: TObject);
begin
  HelePan.LHCDir:= 'J:\ORBIS\MAPPER\Data';
  HelePan.LHC:= '172120';
  HelePan.ODDELENI:= '111';
  HelePan.ShowTheForest;
end;

procedure TForm1.btReviewClick(Sender: TObject);
begin
  HelePan.ReView
end;

procedure TForm1.HelePanToolDone(Sender: TObject;
  const aToolName: WideString);
begin
  lbLastTool.Caption:= aToolName
end;

procedure TForm1.HelePanToolChange(Sender: TObject;
  const aToolName: WideString);
begin
  lbActiveTool.Caption:= aToolName
end;

end.
