unit HelelesPanelX2Impl1;

interface

uses
  Windows, ActiveX, Classes, Controls, Graphics, Menus, Forms, StdCtrls,
  ComServ, StdVCL, AXCtrls, HelelesPanelXControl2_TLB, HelelesPanel, ExtCtrls, ImagePanel, OrbisPanel;

type
  THelelesPanelX = class(TActiveXControl, IHelelesPanelX)
  private
    { Private declarations }
    FDelphiControl: THelelesPanel;
    FEvents: IHelelesPanelX2Events;
    procedure CanResizeEvent(Sender: TObject; var NewWidth, NewHeight: Integer;
      var Resize: Boolean);
    procedure ClickEvent(Sender: TObject);
    procedure ConstrainedResizeEvent(Sender: TObject; var MinWidth, MinHeight,
      MaxWidth, MaxHeight: Integer);
    procedure DblClickEvent(Sender: TObject);
    procedure ResizeEvent(Sender: TObject);
    procedure SelectEvent;
    procedure ToolDoneEvent(aToolName: String);
    procedure ToolChangeEvent(aToolName: String);
    procedure WorldMouseMoveEvent(Sender: TObject; X, Y: Double);
  protected
    { Protected declarations }
    procedure DefinePropertyPages(DefinePropertyPage: TDefinePropertyPage); override;
    procedure EventSinkChanged(const EventSink: IUnknown); override;
    procedure InitializeControl; override;
    function Get_ActiveTool: WideString; safecall;
    function Get_ActualMap: WideString; safecall;
    function Get_Alignment: TxAlignment; safecall;
    function Get_AutoSize: WordBool; safecall;
    function Get_BevelInner: TxBevelCut; safecall;
    function Get_BevelOuter: TxBevelCut; safecall;
    function Get_BorderStyle: TxBorderStyle; safecall;
    function Get_Busy: WordBool; safecall;
    function Get_Caption: WideString; safecall;
    function Get_CenterX: Double; safecall;
    function Get_CenterY: Double; safecall;
    function Get_Color: OLE_COLOR; safecall;
    function Get_Ctl3D: WordBool; safecall;
    function Get_Cursor: Smallint; safecall;
    function Get_DILEC: WideString; safecall;
    function Get_DockSite: WordBool; safecall;
    function Get_DoubleBuffered: WordBool; safecall;
    function Get_DragCursor: Smallint; safecall;
    function Get_DragMode: TxDragMode; safecall;
    function Get_Enabled: WordBool; safecall;
    function Get_Font: IFontDisp; safecall;
    function Get_FullRepaint: WordBool; safecall;
    function Get_Initialized: WordBool; safecall;
    function Get_IsSelObj: WordBool; safecall;
    function Get_JPGCompressionQuality: Integer; safecall;
    function Get_JPGGrayscale: WordBool; safecall;
    function Get_JPGPixelFormat: Integer; safecall;
    function Get_Layers: WideString; safecall;
    function Get_LHC: WideString; safecall;
    function Get_LHCDir: WideString; safecall;
    function Get_Locked: WordBool; safecall;
    function Get_Maps: WideString; safecall;
    function Get_NoReviewOnResize: WordBool; safecall;
    function Get_ODDELENI: WideString; safecall;
    function Get_ParentColor: WordBool; safecall;
    function Get_ParentCtl3D: WordBool; safecall;
    function Get_PixelX: Integer; safecall;
    function Get_PixelY: Integer; safecall;
    function Get_POROST: WideString; safecall;
    function Get_ScriptName: WideString; safecall;
    function Get_ServiceDirectory: WideString; safecall;
    function Get_SKUPINA: WideString; safecall;
    function Get_Tools: WideString; safecall;
    function Get_TypPUPFL: Integer; safecall;
    function Get_UseDockManager: WordBool; safecall;
    function Get_UseProtocol: WordBool; safecall;
    function Get_ViewHeight: Double; safecall;
    function Get_ViewMaxX: Double; safecall;
    function Get_ViewMaxY: Double; safecall;
    function Get_ViewMinX: Double; safecall;
    function Get_ViewMinY: Double; safecall;
    function Get_ViewScale: Double; safecall;
    function Get_ViewWidth: Double; safecall;
    function Get_VirtualScale: Double; safecall;
    function Get_Visible: WordBool; safecall;
    function Get_VisibleDockClientCount: Integer; safecall;
    function Get_WorldX: Double; safecall;
    function Get_WorldY: Double; safecall;
    procedure _Set_Font(const Value: IFontDisp); safecall;
    procedure AboutBox; safecall;
    procedure Set_ActiveTool(const Value: WideString); safecall;
    procedure Set_ActualMap(const Value: WideString); safecall;
    procedure Set_Alignment(Value: TxAlignment); safecall;
    procedure Set_AutoSize(Value: WordBool); safecall;
    procedure Set_BevelInner(Value: TxBevelCut); safecall;
    procedure Set_BevelOuter(Value: TxBevelCut); safecall;
    procedure Set_BorderStyle(Value: TxBorderStyle); safecall;
    procedure Set_Busy(Value: WordBool); safecall;
    procedure Set_Caption(const Value: WideString); safecall;
    procedure Set_CenterX(Value: Double); safecall;
    procedure Set_CenterY(Value: Double); safecall;
    procedure Set_Color(Value: OLE_COLOR); safecall;
    procedure Set_Ctl3D(Value: WordBool); safecall;
    procedure Set_Cursor(Value: Smallint); safecall;
    procedure Set_DILEC(const Value: WideString); safecall;
    procedure Set_DockSite(Value: WordBool); safecall;
    procedure Set_DoubleBuffered(Value: WordBool); safecall;
    procedure Set_DragCursor(Value: Smallint); safecall;
    procedure Set_DragMode(Value: TxDragMode); safecall;
    procedure Set_Enabled(Value: WordBool); safecall;
    procedure Set_Font(var Value: IFontDisp); safecall;
    procedure Set_FullRepaint(Value: WordBool); safecall;
    procedure Set_JPGCompressionQuality(Value: Integer); safecall;
    procedure Set_JPGGrayscale(Value: WordBool); safecall;
    procedure Set_JPGPixelFormat(Value: Integer); safecall;
    procedure Set_LHC(const Value: WideString); safecall;
    procedure Set_LHCDir(const Value: WideString); safecall;
    procedure Set_Locked(Value: WordBool); safecall;
    procedure Set_NoReviewOnResize(Value: WordBool); safecall;
    procedure Set_ODDELENI(const Value: WideString); safecall;
    procedure Set_ParentColor(Value: WordBool); safecall;
    procedure Set_ParentCtl3D(Value: WordBool); safecall;
    procedure Set_PixelX(Value: Integer); safecall;
    procedure Set_PixelY(Value: Integer); safecall;
    procedure Set_POROST(const Value: WideString); safecall;
    procedure Set_ScriptName(const Value: WideString); safecall;
    procedure Set_ServiceDirectory(const Value: WideString); safecall;
    procedure Set_SKUPINA(const Value: WideString); safecall;
    procedure Set_TypPUPFL(Value: Integer); safecall;
    procedure Set_UseDockManager(Value: WordBool); safecall;
    procedure Set_UseProtocol(Value: WordBool); safecall;
    procedure Set_ViewScale(Value: Double); safecall;
    procedure Set_VirtualScale(Value: Double); safecall;
    procedure Set_Visible(Value: WordBool); safecall;
    procedure Set_WorldX(Value: Double); safecall;
    procedure Set_WorldY(Value: Double); safecall;


(*
ImagePanel
    procedure Clear;
    procedure ExportToJPGFile(aVal: string);
    procedure ExportToBMPFile(aVal: string);

OrbisPanel
    procedure ExploreWorld;
  { prce s vrstvami }
    procedure AddToLayer(aLayer, aFunction, aParam: string); {!}
    procedure NewLayer(aLayer, aFunction: string);
  { prce s pohledy }
    procedure ClearMap(aMap: string);
    procedure AddToMap(aMap, aLayer: string);
  { zobrazovn }
    procedure ReView; virtual;
    function Print: longint;
  { prce s vybranm objektem }
    procedure SetObjectProperty(aPropertyName, aValue: string);
    function  GetObjectProperty(aPropertyName: string): string;
  { prce s nstrojem }
    procedure CreateTool(aToolClass, aToolName: string);
    procedure SetToolProperty(aToolName: string; aPropertyName, aValue: string);
    function  GetToolProperty(aToolName: string; aPropertyName: string): string;
    procedure ExecuteTool(aToolName: string);
    procedure FreeTool(aToolName: string);

HeleLesPanel
    procedure Init; safecall;
    procedure Done; safecall;
    procedure DrawSelected(aBrushColor, aBrushStyle, aPenMode: integer);
    procedure ShowTheForest;
    procedure ShowAll; safecall;
    procedure SetAllByCoords; safecall;
*)
    procedure AddToLayer(const aLayer, aFunction, aParam: WideString);
      safecall;
    procedure AddToMap(const aMap, aLayer: WideString); safecall;
    procedure Clear; safecall;
    procedure ClearMap(const aMap: WideString); safecall;
    procedure NewLayer(const aLayer, aFunction: WideString); safecall;
    procedure Print; safecall;
    procedure ReView; safecall;
    procedure ExportToBMPFile(const aVal: WideString); safecall;
    procedure ExportToJPGFile(const aVal: WideString); safecall;
    { TODO: Change all instances of type [IHelelesPanelX2Events] to [IHelelesPanelXEvents].}
 { Delphi was not able to update this file to reflect
   The change of the name of your event interface
   because of the presence of instance variables. 
   The type library was updated but you must update 
   this implementation file by hand. }
end;

implementation

uses ComObj, About1;

{ THelelesPanelX2 }

procedure THelelesPanelX.DefinePropertyPages(DefinePropertyPage: TDefinePropertyPage);
begin
  {TODO: Define property pages here.  Property pages are defined by calling
    DefinePropertyPage with the class id of the page.  For example,
      DefinePropertyPage(Class_HelelesPanelX2Page); }
end;

procedure THelelesPanelX.EventSinkChanged(const EventSink: IUnknown);
begin
  FEvents := EventSink as IHelelesPanelX2Events;
end;

procedure THelelesPanelX.InitializeControl;
begin
  FDelphiControl := Control as THelelesPanel;
  FDelphiControl.OnCanResize := CanResizeEvent;
  FDelphiControl.OnClick := ClickEvent;
  FDelphiControl.OnConstrainedResize := ConstrainedResizeEvent;
  FDelphiControl.OnDblClick := DblClickEvent;
  FDelphiControl.OnResize := ResizeEvent;
  FDelphiControl.OnSelect := SelectEvent;
  FDelphiControl.OnToolDone := ToolDoneEvent;
  FDelphiControl.OnToolChange := ToolChangeEvent;
  FDelphiControl.OnWorldMouseMove := WorldMouseMoveEvent;
end;

function THelelesPanelX.Get_ActiveTool: WideString;
begin
  Result := WideString(FDelphiControl.ActiveTool);
end;

function THelelesPanelX.Get_ActualMap: WideString;
begin
  Result := WideString(FDelphiControl.ActualMap);
end;

function THelelesPanelX.Get_Alignment: TxAlignment;
begin
  Result := Ord(FDelphiControl.Alignment);
end;

function THelelesPanelX.Get_AutoSize: WordBool;
begin
  Result := FDelphiControl.AutoSize;
end;

function THelelesPanelX.Get_BevelInner: TxBevelCut;
begin
  Result := Ord(FDelphiControl.BevelInner);
end;

function THelelesPanelX.Get_BevelOuter: TxBevelCut;
begin
  Result := Ord(FDelphiControl.BevelOuter);
end;

function THelelesPanelX.Get_BorderStyle: TxBorderStyle;
begin
  Result := Ord(FDelphiControl.BorderStyle);
end;

function THelelesPanelX.Get_Busy: WordBool;
begin
  Result := FDelphiControl.Busy;
end;

function THelelesPanelX.Get_Caption: WideString;
begin
  Result := WideString(FDelphiControl.Caption);
end;

function THelelesPanelX.Get_CenterX: Double;
begin
  Result := FDelphiControl.CenterX;
end;

function THelelesPanelX.Get_CenterY: Double;
begin
  Result := FDelphiControl.CenterY;
end;

function THelelesPanelX.Get_Color: OLE_COLOR;
begin
  Result := OLE_COLOR(FDelphiControl.Color);
end;

function THelelesPanelX.Get_Ctl3D: WordBool;
begin
  Result := FDelphiControl.Ctl3D;
end;

function THelelesPanelX.Get_Cursor: Smallint;
begin
  Result := Smallint(FDelphiControl.Cursor);
end;

function THelelesPanelX.Get_DILEC: WideString;
begin
  Result := WideString(FDelphiControl.DILEC);
end;

function THelelesPanelX.Get_DockSite: WordBool;
begin
  Result := FDelphiControl.DockSite;
end;

function THelelesPanelX.Get_DoubleBuffered: WordBool;
begin
  Result := FDelphiControl.DoubleBuffered;
end;

function THelelesPanelX.Get_DragCursor: Smallint;
begin
  Result := Smallint(FDelphiControl.DragCursor);
end;

function THelelesPanelX.Get_DragMode: TxDragMode;
begin
  Result := Ord(FDelphiControl.DragMode);
end;

function THelelesPanelX.Get_Enabled: WordBool;
begin
  Result := FDelphiControl.Enabled;
end;

function THelelesPanelX.Get_Font: IFontDisp;
begin
  GetOleFont(FDelphiControl.Font, Result);
end;

function THelelesPanelX.Get_FullRepaint: WordBool;
begin
  Result := FDelphiControl.FullRepaint;
end;

function THelelesPanelX.Get_Initialized: WordBool;
begin
  Result := FDelphiControl.Initialized;
end;

function THelelesPanelX.Get_IsSelObj: WordBool;
begin
  Result := FDelphiControl.IsSelObj;
end;

function THelelesPanelX.Get_JPGCompressionQuality: Integer;
begin
  Result := FDelphiControl.JPGCompressionQuality;
end;

function THelelesPanelX.Get_JPGGrayscale: WordBool;
begin
  Result := FDelphiControl.JPGGrayscale;
end;

function THelelesPanelX.Get_JPGPixelFormat: Integer;
begin
  Result := FDelphiControl.JPGPixelFormat;
end;

function THelelesPanelX.Get_Layers: WideString;
begin
  Result := WideString(FDelphiControl.Layers);
end;

function THelelesPanelX.Get_LHC: WideString;
begin
  Result := WideString(FDelphiControl.LHC);
end;

function THelelesPanelX.Get_LHCDir: WideString;
begin
  Result := WideString(FDelphiControl.LHCDir);
end;

function THelelesPanelX.Get_Locked: WordBool;
begin
  Result := FDelphiControl.Locked;
end;

function THelelesPanelX.Get_Maps: WideString;
begin
  Result := WideString(FDelphiControl.Maps);
end;

function THelelesPanelX.Get_NoReviewOnResize: WordBool;
begin
  Result := FDelphiControl.NoReviewOnResize;
end;

function THelelesPanelX.Get_ODDELENI: WideString;
begin
  Result := WideString(FDelphiControl.ODDELENI);
end;

function THelelesPanelX.Get_ParentColor: WordBool;
begin
  Result := FDelphiControl.ParentColor;
end;

function THelelesPanelX.Get_ParentCtl3D: WordBool;
begin
  Result := FDelphiControl.ParentCtl3D;
end;

function THelelesPanelX.Get_PixelX: Integer;
begin
  Result := FDelphiControl.PixelX;
end;

function THelelesPanelX.Get_PixelY: Integer;
begin
  Result := FDelphiControl.PixelY;
end;

function THelelesPanelX.Get_POROST: WideString;
begin
  Result := WideString(FDelphiControl.POROST);
end;

function THelelesPanelX.Get_ScriptName: WideString;
begin
  Result := WideString(FDelphiControl.ScriptName);
end;

function THelelesPanelX.Get_ServiceDirectory: WideString;
begin
  Result := WideString(FDelphiControl.ServiceDirectory);
end;

function THelelesPanelX.Get_SKUPINA: WideString;
begin
  Result := WideString(FDelphiControl.SKUPINA);
end;

function THelelesPanelX.Get_Tools: WideString;
begin
  Result := WideString(FDelphiControl.Tools);
end;

function THelelesPanelX.Get_TypPUPFL: Integer;
begin
  Result := FDelphiControl.TypPUPFL;
end;

function THelelesPanelX.Get_UseDockManager: WordBool;
begin
  Result := FDelphiControl.UseDockManager;
end;

function THelelesPanelX.Get_UseProtocol: WordBool;
begin
  Result := FDelphiControl.UseProtocol;
end;

function THelelesPanelX.Get_ViewHeight: Double;
begin
  Result := FDelphiControl.ViewHeight;
end;

function THelelesPanelX.Get_ViewMaxX: Double;
begin
  Result := FDelphiControl.ViewMaxX;
end;

function THelelesPanelX.Get_ViewMaxY: Double;
begin
  Result := FDelphiControl.ViewMaxY;
end;

function THelelesPanelX.Get_ViewMinX: Double;
begin
  Result := FDelphiControl.ViewMinX;
end;

function THelelesPanelX.Get_ViewMinY: Double;
begin
  Result := FDelphiControl.ViewMinY;
end;

function THelelesPanelX.Get_ViewScale: Double;
begin
  Result := FDelphiControl.ViewScale;
end;

function THelelesPanelX.Get_ViewWidth: Double;
begin
  Result := FDelphiControl.ViewWidth;
end;

function THelelesPanelX.Get_VirtualScale: Double;
begin
  Result := FDelphiControl.VirtualScale;
end;

function THelelesPanelX.Get_Visible: WordBool;
begin
  Result := FDelphiControl.Visible;
end;

function THelelesPanelX.Get_VisibleDockClientCount: Integer;
begin
  Result := FDelphiControl.VisibleDockClientCount;
end;

function THelelesPanelX.Get_WorldX: Double;
begin
  Result := FDelphiControl.WorldX;
end;

function THelelesPanelX.Get_WorldY: Double;
begin
  Result := FDelphiControl.WorldY;
end;

procedure THelelesPanelX._Set_Font(const Value: IFontDisp);
begin
  SetOleFont(FDelphiControl.Font, Value);
end;

procedure THelelesPanelX.AboutBox;
begin
  ShowHelelesPanelX2About;
end;

procedure THelelesPanelX.CanResizeEvent(Sender: TObject; var NewWidth,
  NewHeight: Integer; var Resize: Boolean);
var
  TempNewWidth: Integer;
  TempNewHeight: Integer;
  TempResize: WordBool;
begin
  TempNewWidth := Integer(NewWidth);
  TempNewHeight := Integer(NewHeight);
  TempResize := WordBool(Resize);
  if FEvents <> nil then FEvents.OnCanResize(TempNewWidth, TempNewHeight, TempResize);
  NewWidth := Integer(TempNewWidth);
  NewHeight := Integer(TempNewHeight);
  Resize := Boolean(TempResize);
end;

procedure THelelesPanelX.ClickEvent(Sender: TObject);
begin
  if FEvents <> nil then FEvents.OnClick;
end;

procedure THelelesPanelX.ConstrainedResizeEvent(Sender: TObject;
  var MinWidth, MinHeight, MaxWidth, MaxHeight: Integer);
var
  TempMinWidth: Integer;
  TempMinHeight: Integer;
  TempMaxWidth: Integer;
  TempMaxHeight: Integer;
begin
  TempMinWidth := Integer(MinWidth);
  TempMinHeight := Integer(MinHeight);
  TempMaxWidth := Integer(MaxWidth);
  TempMaxHeight := Integer(MaxHeight);
  if FEvents <> nil then FEvents.OnConstrainedResize(TempMinWidth, TempMinHeight, TempMaxWidth, TempMaxHeight);
  MinWidth := Integer(TempMinWidth);
  MinHeight := Integer(TempMinHeight);
  MaxWidth := Integer(TempMaxWidth);
  MaxHeight := Integer(TempMaxHeight);
end;

procedure THelelesPanelX.DblClickEvent(Sender: TObject);
begin
  if FEvents <> nil then FEvents.OnDblClick;
end;

procedure THelelesPanelX.ResizeEvent(Sender: TObject);
begin
  if FEvents <> nil then FEvents.OnResize;
end;

procedure THelelesPanelX.SelectEvent;
begin
  if FEvents <> nil then FEvents.OnSelect;
end;

procedure THelelesPanelX.Set_ActiveTool(const Value: WideString);
begin
  FDelphiControl.ActiveTool := String(Value);
end;

procedure THelelesPanelX.Set_ActualMap(const Value: WideString);
begin
  FDelphiControl.ActualMap := String(Value);
end;

procedure THelelesPanelX.Set_Alignment(Value: TxAlignment);
begin
  FDelphiControl.Alignment := TAlignment(Value);
end;

procedure THelelesPanelX.Set_AutoSize(Value: WordBool);
begin
  FDelphiControl.AutoSize := Value;
end;

procedure THelelesPanelX.Set_BevelInner(Value: TxBevelCut);
begin
  FDelphiControl.BevelInner := TBevelCut(Value);
end;

procedure THelelesPanelX.Set_BevelOuter(Value: TxBevelCut);
begin
  FDelphiControl.BevelOuter := TBevelCut(Value);
end;

procedure THelelesPanelX.Set_BorderStyle(Value: TxBorderStyle);
begin
  FDelphiControl.BorderStyle := TBorderStyle(Value);
end;

procedure THelelesPanelX.Set_Busy(Value: WordBool);
begin
  FDelphiControl.Busy := Value;
end;

procedure THelelesPanelX.Set_Caption(const Value: WideString);
begin
  FDelphiControl.Caption := TCaption(Value);
end;

procedure THelelesPanelX.Set_CenterX(Value: Double);
begin
  FDelphiControl.CenterX := Value;
end;

procedure THelelesPanelX.Set_CenterY(Value: Double);
begin
  FDelphiControl.CenterY := Value;
end;

procedure THelelesPanelX.Set_Color(Value: OLE_COLOR);
begin
  FDelphiControl.Color := TColor(Value);
end;

procedure THelelesPanelX.Set_Ctl3D(Value: WordBool);
begin
  FDelphiControl.Ctl3D := Value;
end;

procedure THelelesPanelX.Set_Cursor(Value: Smallint);
begin
  FDelphiControl.Cursor := TCursor(Value);
end;

procedure THelelesPanelX.Set_DILEC(const Value: WideString);
begin
  FDelphiControl.DILEC := String(Value);
end;

procedure THelelesPanelX.Set_DockSite(Value: WordBool);
begin
  FDelphiControl.DockSite := Value;
end;

procedure THelelesPanelX.Set_DoubleBuffered(Value: WordBool);
begin
  FDelphiControl.DoubleBuffered := Value;
end;

procedure THelelesPanelX.Set_DragCursor(Value: Smallint);
begin
  FDelphiControl.DragCursor := TCursor(Value);
end;

procedure THelelesPanelX.Set_DragMode(Value: TxDragMode);
begin
  FDelphiControl.DragMode := TDragMode(Value);
end;

procedure THelelesPanelX.Set_Enabled(Value: WordBool);
begin
  FDelphiControl.Enabled := Value;
end;

procedure THelelesPanelX.Set_Font(var Value: IFontDisp);
begin
  SetOleFont(FDelphiControl.Font, Value);
end;

procedure THelelesPanelX.Set_FullRepaint(Value: WordBool);
begin
  FDelphiControl.FullRepaint := Value;
end;

procedure THelelesPanelX.Set_JPGCompressionQuality(Value: Integer);
begin
  FDelphiControl.JPGCompressionQuality := Value;
end;

procedure THelelesPanelX.Set_JPGGrayscale(Value: WordBool);
begin
  FDelphiControl.JPGGrayscale := Value;
end;

procedure THelelesPanelX.Set_JPGPixelFormat(Value: Integer);
begin
  FDelphiControl.JPGPixelFormat := Value;
end;

procedure THelelesPanelX.Set_LHC(const Value: WideString);
begin
  FDelphiControl.LHC := String(Value);
end;

procedure THelelesPanelX.Set_LHCDir(const Value: WideString);
begin
  FDelphiControl.LHCDir := String(Value);
end;

procedure THelelesPanelX.Set_Locked(Value: WordBool);
begin
  FDelphiControl.Locked := Value;
end;

procedure THelelesPanelX.Set_NoReviewOnResize(Value: WordBool);
begin
  FDelphiControl.NoReviewOnResize := Value;
end;

procedure THelelesPanelX.Set_ODDELENI(const Value: WideString);
begin
  FDelphiControl.ODDELENI := String(Value);
end;

procedure THelelesPanelX.Set_ParentColor(Value: WordBool);
begin
  FDelphiControl.ParentColor := Value;
end;

procedure THelelesPanelX.Set_ParentCtl3D(Value: WordBool);
begin
  FDelphiControl.ParentCtl3D := Value;
end;

procedure THelelesPanelX.Set_PixelX(Value: Integer);
begin
  FDelphiControl.PixelX := Value;
end;

procedure THelelesPanelX.Set_PixelY(Value: Integer);
begin
  FDelphiControl.PixelY := Value;
end;

procedure THelelesPanelX.Set_POROST(const Value: WideString);
begin
  FDelphiControl.POROST := String(Value);
end;

procedure THelelesPanelX.Set_ScriptName(const Value: WideString);
begin
  FDelphiControl.ScriptName := String(Value);
end;

procedure THelelesPanelX.Set_ServiceDirectory(const Value: WideString);
begin
  FDelphiControl.ServiceDirectory := String(Value);
end;

procedure THelelesPanelX.Set_SKUPINA(const Value: WideString);
begin
  FDelphiControl.SKUPINA := String(Value);
end;

procedure THelelesPanelX.Set_TypPUPFL(Value: Integer);
begin
  FDelphiControl.TypPUPFL := Value;
end;

procedure THelelesPanelX.Set_UseDockManager(Value: WordBool);
begin
  FDelphiControl.UseDockManager := Value;
end;

procedure THelelesPanelX.Set_UseProtocol(Value: WordBool);
begin
  FDelphiControl.UseProtocol := Value;
end;

procedure THelelesPanelX.Set_ViewScale(Value: Double);
begin
  FDelphiControl.ViewScale := Value;
end;

procedure THelelesPanelX.Set_VirtualScale(Value: Double);
begin
  FDelphiControl.VirtualScale := Value;
end;

procedure THelelesPanelX.Set_Visible(Value: WordBool);
begin
  FDelphiControl.Visible := Value;
end;

procedure THelelesPanelX.Set_WorldX(Value: Double);
begin
  FDelphiControl.WorldX := Value;
end;

procedure THelelesPanelX.Set_WorldY(Value: Double);
begin
  FDelphiControl.WorldY := Value;
end;

procedure THelelesPanelX.ToolDoneEvent(aToolName: String);
begin
  if FEvents <> nil then FEvents.OnToolDone(WideString(aToolName));
end;

procedure THelelesPanelX.ToolChangeEvent(aToolName: String);
begin
  if FEvents <> nil then FEvents.OnToolChange(WideString(aToolName));
end;

procedure THelelesPanelX.WorldMouseMoveEvent(Sender: TObject; X,
  Y: Double);
begin
  if FEvents <> nil then FEvents.OnWorldMouseMove(X, Y);
end;

// implementace metod, kter si Delphi 5 neimplementovaly automaticky

procedure THelelesPanelX.AddToLayer(const aLayer, aFunction,
  aParam: WideString);
begin
  FDelphiControl.AddToLayer(aLayer, aFunction, aParam);
end;

procedure THelelesPanelX.AddToMap(const aMap, aLayer: WideString);
begin
  FDelphiControl.AddToMap(aMap, aLayer);
end;

procedure THelelesPanelX.Clear;
begin
  FDelphiControl.Clear;
end;

procedure THelelesPanelX.ClearMap(const aMap: WideString);
begin
  FDelphiControl.ClearMap(aMap);
end;

procedure THelelesPanelX.NewLayer(const aLayer, aFunction: WideString);
begin
  FDelphiControl.NewLayer(aLayer, aFunction);
end;

procedure THelelesPanelX.Print;
begin
  FDelphiControl.Print;
end;

procedure THelelesPanelX.ReView;
begin
  FDelphiControl.ReView;
end;

procedure THelelesPanelX.ExportToBMPFile(const aVal: WideString);
begin
  FDelphiControl.ExportToBMPFile(aVal);
end;

procedure THelelesPanelX.ExportToJPGFile(const aVal: WideString);
begin
  FDelphiControl.ExportToJPGFile(aVal);
end;

initialization
  TActiveXControlFactory.Create(
    ComServer,
    THelelesPanelX,
    THelelesPanel,
    Class_HelelesPanelX,
    1,
    '',
    OLEMISC_SIMPLEFRAME or OLEMISC_ACTSLIKELABEL,
    tmApartment);
end.
