unit f_TestX1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, OleCtrls,
  HelelesPanelX3Control_TLB, HelelesPanelXControl1_TLB, Spin;

type
  TTestMainForm = class(TForm)
    Panel1: TPanel;
    Button2: TButton;
    Button1: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Panel2: TPanel;
    Panel3: TPanel;
    lbX: TLabel;
    lbY: TLabel;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    lbLHC: TLabel;
    lbODD: TLabel;
    lbDil: TLabel;
    lbPor: TLabel;
    lbSk: TLabel;
    Button10: TButton;
    Button11: TButton;
    edLHC: TEdit;
    edOdd: TEdit;
    edDil: TEdit;
    edPor: TEdit;
    edSkupina: TEdit;
    btZobrazVse: TButton;
    HelePan: THelelesPanelX;
    seBrushStyle: TSpinEdit;
    sePenMode: TSpinEdit;
    edColor: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure HelePanMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button6Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Button7Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure HelePanIHelelesPanelXEvents_OnClick(Sender: TObject);
    procedure HelePanWorldMouseMove(Sender: TObject; X, Y: Double);
    procedure btZobrazVseClick(Sender: TObject);
    procedure HelePanToolDone(Sender: TObject);
  private
    { Private declarations }
    FStop: boolean;
  public
    { Public declarations }
  end;

var
  TestMainForm: TTestMainForm;

implementation
uses
   FileCtrl;
{$R *.DFM}

procedure TTestMainForm.Button1Click(Sender: TObject);
begin
  HelePan.Init;
end;

procedure TTestMainForm.Button3Click(Sender: TObject);
var
  aDir: string;
begin
  if SelectDirectory(aDir, [], 0) then
     HelePan.LHCDir:= aDir;
//     HelePan.LHCDir:= 'J:\ORBIS\MAPPER\Data';
end;

procedure TTestMainForm.Button2Click(Sender: TObject);
begin
  HelePan.ExploreWorld
end;


procedure TTestMainForm.Button4Click(Sender: TObject);
begin
  with HelePan do
  begin
    LHC:= '172120';
    ODDELENI:= '111';
    DILEC:= 'A';
    POROST:= 'A';
    SKUPINA:= '6';
  end
end;

procedure TTestMainForm.Button5Click(Sender: TObject);
begin
  with HelePan do
  begin
    LHC:= edLHC.Text;
    ODDELENI:= edOdd.Text;
    DILEC:= edDil.Text;
    POROST:= edPor.Text;
    SKUPINA:= edSkupina.Text;
  end;

  HelePan.ShowTheForest
end;


procedure TTestMainForm.HelePanMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
{
  lbX.Caption:= floatToStr(HelePan.WorldX);
  lbY.Caption:= floatToStr(HelePan.WorldY);

  HelePan.SetAllByCoords;
  lbLHC.Caption:= HelePan.LHC;
  lbOdd.Caption:= HelePan.Oddeleni;
  lbDil.Caption:= HelePan.Dilec;
  lbPor.Caption:= HelePan.Porost;
  lbSk.Caption:= HelePan.Skupina;
}
end;

procedure TTestMainForm.Button6Click(Sender: TObject);
begin
  HelePan.Review;
end;

procedure TTestMainForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  case Key of
  vk_F5: HelePan.ViewScale:= HelePan.ViewScale /2;
  vk_F6: HelePan.ViewScale:= HelePan.ViewScale *2;
  end;
  HelePan.Review;
end;



procedure TTestMainForm.Button7Click(Sender: TObject);
begin
  with HelePan do
  begin
    LHC:= '172120';
    ODDELENI:= '113';
    DILEC:= 'A';
    POROST:= 'A';
    SKUPINA:= '6';
  end
end;

procedure TTestMainForm.Button9Click(Sender: TObject);
begin
  HelePan.ViewScale:= HelePan.ViewScale /2;
  HelePan.Review;
end;

procedure TTestMainForm.Button8Click(Sender: TObject);
begin
  HelePan.ViewScale:= HelePan.ViewScale *2;
  HelePan.Review;
end;

procedure TTestMainForm.Button10Click(Sender: TObject);
var
  F1, F2, Obr: string;
  aSL: TStringList;
begin
  F1:= 'G:\S0001.txt';
  F2:= 'G:\Q0001.txt';
  Obr:= 'G:\A0001.JPG';
  FStop:= false;
  aSL:= TStringList.Create;

  repeat
    if fileExists(F1) then
    begin
      try
        aSL.LoadFromFile(F1);
      except
        continue
      end;

      if aSL.Count > 1 then
      begin
        HelePan.LHC:= aSL.Values['LHC'];
        HelePan.Oddeleni:= aSL.Values['Odd'];
        HelePan.ShowTheForest;
        HelePan.ExportToJPGFile(Obr);
        DeleteFile(F1);
      end;
    end;

    if fileExists(F2) then
    begin
      try
        aSL.LoadFromFile(F2);
      except
        continue
      end;
      if aSL.Count > 1 then
      begin
        HelePan.LHC:= aSL.Values['LHC'];
        HelePan.Oddeleni:= aSL.Values['Odd'];
        HelePan.ShowTheForest;
        HelePan.ExportToJPGFile(Obr);
        DeleteFile(F2);
      end;
    end;
    Application.ProcessMessages;
  until FStop;
end;

procedure TTestMainForm.Button11Click(Sender: TObject);
begin
  FStop:= true;
end;

procedure TTestMainForm.HelePanIHelelesPanelXEvents_OnClick(
  Sender: TObject);
begin
  HelePan.DrawSelected(StrToInt(edColor.Text), seBrushStyle.Value, sePenMode.Value);
end;

procedure TTestMainForm.HelePanWorldMouseMove(Sender: TObject; X,
  Y: Double);
begin
  lbX.Caption:= floatToStr(X);
  lbY.Caption:= floatToStr(Y);

  HelePan.SetAllByCoords;
  lbLHC.Caption:= HelePan.LHC;
  lbOdd.Caption:= HelePan.Oddeleni;
  lbDil.Caption:= HelePan.Dilec;
  lbPor.Caption:= HelePan.Porost;
  lbSk.Caption:= HelePan.Skupina;
end;

procedure TTestMainForm.btZobrazVseClick(Sender: TObject);
begin
  HelePan.ShowAll
end;

procedure TTestMainForm.HelePanToolDone(Sender: TObject);
begin
  ShowMessage('Konec nastroje:' + HelePan.ActiveTool);
end;

end.

