unit F_MAIN;

interface

uses
  { test }
  //t_Saver,
  //e_MSpace,

  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus,
  ExtCtrls, StdCtrls, Mask, Buttons,
  ComCtrls,
  Elements,
  Tools;
type

  TMainForm = class(TForm)
    procedure AboutClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Obsah1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure FormClick(Sender: TObject);
    procedure PictureClick(Sender: TObject);
  private
    procedure SetMessageText(aText: string);
  protected
    procedure WMDropFiles(var Message: TMessage); message WM_DROPFILES;
  public
    Tool: TTool;
    IsPossibleToClose: boolean;
    OrigMem: longInt;
    property  MessageText: string write SetMessageText;
  end;


var
  MainForm: TMainForm;

implementation

{$R *.DFM}
uses
   ShellApi,

   { Test}
   f_CmdLn,
   {
   g_Elems,
   e_TopMDL,
   }
   IniFiles,
   M_Orbis,
   F_Start,
   M_Proj,
   t_CmdLn,
   t_Main,
   {
   u_CkTm,
   }
   u_String,
   Props,
   Worlds;




procedure TMainForm.WMDropFiles(var Message: TMessage);
var
   i: longInt;
   Count: longInt;
   H: THandle;
   cb: word;
   P: PChar;
   S,SE: string;
   CL: TCommandLine;
   Size: word;
begin
   H := Message.WParam;
   Count := DragQueryFile(H, $FFFFFFFF, P, cb);
   for i := 0 to Count - 1 do
   begin
      Size := DragQueryFile(H, i, nil, cb);
      inc(Size);
      P := StrAlloc(Size);
      DragQueryFile(H, i, P, Size);
      S := StrPas(P);
      SE := UpperCase(ExtractFileExt(S));
      StrDispose(P);
      if (SE = '.OIL') or (SE = '.TXT') then
      begin
         CL := TCommandLine.Create;
         Cl.FileName := S;
         CL.DoIt;
         CL.Free;
      end;
   end;
end;



procedure TMainForm.SetMessageText(aText: string);
begin
end;


procedure TMainForm.AboutClick(Sender: TObject);
begin
  if Tool = nil then exit;
   Tool.PostMsg(tm_About,  Tool, nil, DontKill)
end;

procedure TMainForm.FormCloseQuery(Sender: TObject;
                                   var CanClose: Boolean);
{
var
   S: string;
}   
begin
  if IsPossibleToClose then
  begin
     CanClose:= true
  end
  else
  begin
  {
    try
       S := ParamStr(0);
       S := ExtractFilePath(S);
       Animate.FileName := CheckBackSlash(S)+'ORBIS003.AVI';
       Animate.Active := true;
    except
    end;
   }
    CanClose:= false;
    if Tool = nil then exit;
       Tool.PostMsg(tm_QuitTask,  Tool, nil, DontKill)
  end
end;


procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//  Action:= caFree
end;


procedure TMainForm.FormCreate(Sender: TObject);
var
   Ini: TIniFile;
   S: string;
begin
   try
      Caption := Caption + ModulName + ' verze ' + Version;
      //if TimeWall <> 0 then Caption := Caption + ' neregistrovan demo';
      //TimeWall := T + EncodeTime(0, twTimeWall, 0, 0);
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);
      Left        := Ini.ReadInteger('MainForm','Left', 0);
      Top         := Ini.ReadInteger('MainForm','Top', 0);

      Ini.Free;
      //b_Directory.Hint := 'Data: ' + TMainTool(World.MainTool).Options.DataDirectory;
      S := ParamStr(0);
      S := ExtractFilePath(S);
      DragAcceptFiles(Handle, true);
   except
   end;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
var
   Ini: TIniFile;
begin
  if World = nil then exit;
  if World.MainTool = nil then exit;

   try
      Ini := TIniFile.Create(TMainTool(World.MainTool).IniFileName);

      Ini.WriteInteger('MainForm','Left', Left);
      Ini.WriteInteger('MainForm','Top', Top);
      Ini.Free;
   except
   end;
end;



procedure TMainForm.Obsah1Click(Sender: TObject);
begin
  if not Application.HelpContext(0) then
     ShowMessage('Soubor npovdy neexistuje')
end;

procedure TMainForm.Konec1Click(Sender: TObject);
begin
  if Tool = nil then exit;
  Tool.PostMsg(tm_QuitTask, Tool, nil, DontKill);
end;

procedure TMainForm.FormClick(Sender: TObject);
begin
   if Tool = nil then exit;
   Tool.PostMsg(tm_About,  Tool, nil, DontKill)
end;

procedure TMainForm.PictureClick(Sender: TObject);
begin
   inherited;
   if Tool = nil then exit;
   Tool.PostMsg(tm_About, Tool, nil, DontKill);
end;

end.

