unit F_start;
{ aplikan unita
  nastavuje zvolen hlavn nstroj }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, DdeMan, Buttons;

type
  Tf_StartForm = class(TForm)
    Label1: TLabel;
    Timer1: TTimer;
    Label2: TLabel;
    Label7: TLabel;
    lb_Verze: TLabel;
    Image3: TImage;
    DDEServer: TDdeServerConv;
    DDEServerItem: TDdeServerItem;
    lb_Licence: TLabel;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure DDEServerExecuteMacro(Sender: TObject; Msg: TStrings);
    procedure DDEServerClose(Sender: TObject);
  private
    { Private declarations }
    procedure CreateWorld;
    procedure RunMainTool;
    procedure TheEnd;
  public
  end;



var
 F_StartForm: Tf_StartForm;

implementation

{$R *.DFM}
uses
   Props,
   M_Orbis,
   M_Proj,
   Elements,
   T_Main,
   //u_CkTm,
   e_WCS,// WCSWorld ... pehodnotit  !!!!!!!!!!!!!!!!
   Worlds;



procedure Tf_StartForm.CreateWorld;
begin
  World := TWCSWorld.Create;
  World.MainTool:= TMainTool.Create;
  Application.OnMessage:= World.HandleWinMessage;
  Application.OnException := World.HandleException;
end;


procedure Tf_StartForm.RunMainTool;
begin
   if World.MainTool <> nil then
      World.MainTool.DoIt;
end;

procedure Tf_StartForm.TheEnd;
begin
   Application.Terminate;
end;



procedure Tf_StartForm.Timer1Timer(Sender: TObject);
begin
  Visible := false;
  Timer1.Enabled := false;
  Application.ProcessMessages;
{  RunMainTool;}
end;


procedure Tf_StartForm.FormCreate(Sender: TObject);
begin
  Label1.Caption   := ModulName;
  Label2.Caption   := ModulName;
  (*
  if Licence = -123.456 then lb_Licence.Caption := 'Bez licence'
                        else lb_Licence.Caption := floatToStr(Licence);
  *)
  lb_Licence.Caption := 'demo verze';
  lb_Verze.Caption := Version;
  DDEServerItem.Text := ('MODUL_NAME='+ModulName + ' ver.'+ Version);
  CreateWorld;
  RunMainTool;
end;

procedure Tf_StartForm.FormHide(Sender: TObject);
begin

  Application.ProcessMessages;
  World.PostMsg(tm_ReviewGuide, World.MainTool, nil, Dontkill);

end;

procedure Tf_StartForm.DDEServerExecuteMacro(Sender: TObject;
  Msg: TStrings);
var
   i: longInt;
begin
(*
   if Msg.Strings[0] = 'SET_PROJECT' then
   TDProjectWorld(World).SetProjectByStrings(Msg) else
   if Msg.Strings[0] = 'SELECT_OK' then
   TMainTool(World.MainTool).SelectDone := true else
   if Msg.Strings[0] = 'SELECT_CANCEL' then
   TMainTool(World.MainTool).CancelProcess := true
   else
*)   
   begin
      TMainTool(World.MainTool).ExecuteMacro(Msg);
   end;
end;

procedure Tf_StartForm.DDEServerClose(Sender: TObject);
begin
   World.PostMsg(tm_EndOfDDEScript, World.MainTool, nil, Dontkill);
end;

END.
