unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, xmldom, XMLIntf, msxmldom, XMLDoc, ExtActns;

type
  TForm1 = class(TForm)
    Edit: TEdit;
    BOk: TButton;
    Edit1: TEdit;
    procedure BOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function DownloadURLFile(const Xml, XmlLocal: TFileName): boolean;
  end;

var
  Form1: TForm1;
  adresa,
  sLayers,sStyles,sSrs,sBbox,SWidth,SHeight,sFormat,sTransparent_v,
  sBgcolor_v,sExceptions_v,sTime_v,SElevation_v:string;
  pole:array[1..100] of string;


implementation

{$R *.dfm}



function TForm1.DownloadURLFile(const Xml, XmlLocal: TFileName): boolean;
begin
  Result := True;
  with TDownLoadURL.Create(nil) do
  try
    URL := Xml;
    Filename := XmlLocal;
    try
      ExecuteTarget(nil);
    except
      Result := False;
    end;
  finally
    Free;
  end;
end;

procedure TForm1.BOkClick(Sender: TObject);
var
  Xml,xml_getmap,smap,konc: string;
  LocalXMl, LocalImg : TFileName;
  i, dd:integer;
  minx,miny,maxx,maxy:double; //hodnoty u parametru BBOX tzn. ohraniceni mapy odkud kam ji chceme mit (Ohranicuje rohy: vlevo dole, vpravo nahore; v jendotkach SRS )
  bTrans,bBGcl,bExc,bTime,bElev,bkonc:boolean;  //pokud jsou volitelne parametry zadavany
begin
   Edit.Text := 'Start ....';
   Application.ProcessMessages;
  //Xml := Edit.Text;      // pokud zadano takhle chce osetrit aby stranky nekoncili lomitkem (tvar musi byt viz niz) nevim jak na jinych strankach
  //adresa := Edit.Text;
  if Edit1.Text <> '' then
     adresa := Edit1.Text
  else
     adresa:='http://wms.cuzk.cz/wms.asp';
  //adresa:='http://geoportal.gov.cz/ArcGIS/services/CENIA/cenia_rt_ortofotomapa_aktualni/mapserver/WMSServer';
  //Xml:=adresa+'?service=WMS&version=1.1&request=GetCapabilities';
  Xml:=adresa+'?service=WMS&request=GetCapabilities';
  //minx:=-910000; miny:=-1.23e+006; maxx:=-430000; maxy:=-930000; //vyplnovani hodnot je to tu jen pro zkousku
  dd := 300;
  minx:=-693000; miny:=-1009149; maxx:=minx+dd; maxy:=miny+dd; //vyplnovani hodnot je to tu jen pro zkousku
  //sLayers:='MS'; {sStyles:=;} // styles je volitelny nemaji to kazde stranky (minimalne cuzk.cz nemaji i kdyz je psano ze je to povinny parametr)
  sLayers:='RST_KN,DEF_PARCELY'; {sStyles:=;} // styles je volitelny nemaji to kazde stranky (minimalne cuzk.cz nemaji i kdyz je psano ze je to povinny parametr)
  //sLayers:='0'; {sStyles:=;} // styles je volitelny nemaji to kazde stranky (minimalne cuzk.cz nemaji i kdyz je psano ze je to povinny parametr)
  sSrs:='EPSG:102067';  // JTSK
  SWidth:=intToStr(800); SHeight:=intToStr(800); sFormat:='image/jpeg';   //konec zadavani hodnot, podle navodu na WMS sluzby nemely byt jine dalsi parametry pripadne bych to dodelala mela by byt otazka nekolika minut
  smap:='?service=WMS&version=1.3.0&request=Getmap'+'&layers='+sLayers+//'&STYLES='+sStyles+
        '&CRS='+sSrs+'&BBOX='+FloatToStr(minx)+','+floatToStr(miny)+','+FloatToStr(maxx)+
        ','+FloatToStr(maxy)+'&WIDTH='+SWidth+'&HEIGHT='+SHeight+'&FORMAT='+sFormat;//Width a height= sirka a vyska mapy obrazu v pixelech;
  if bTrans=true then smap:=smap+'&TRANSPARENT='+sTransparent_v;
  if bBGcl=true  then smap:=smap+'&BGCOLOR='+sBgcolor_v;
  if bExc=true   then smap:=smap+'&EXCEPTION='+sExceptions_v;
  if bTime=true  then smap:=smap+'&TIME'+sTime_v;
  if bElev=true  then smap:=smap+'&ELEVATION'+SElevation_v;
  xml_getmap:=adresa+smap;
  konc:='';
  bkonc:=false;
  for i:=1 to length(sformat) do
    begin
      if sformat[i]=';' then bkonc:=false;
      if bkonc=true then konc:=konc+sformat[i];
      if sformat[i]='/' then bkonc:=true;
    end;
  LocalXml := IncludeTrailingPathDelimiter(ExtractFilePath(Application.ExeName)) + 'local.xml';
  LocalImg := IncludeTrailingPathDelimiter(ExtractFilePath(Application.ExeName)) + 'localImg.'+konc;
  try
    if not DownloadURLFile(Xml, LocalXml)  then
    begin
      Raise Exception.CreateFmt('Chyba pipojen!!',[]);
      Exit;
    end;
    if not FileExists(LocalXml) then
    begin
      raise exception.Create('Soubor chybn uloen!');
      Exit;
    end;
  finally
    //DeleteFile(LocalXml);
  end;
  try
    if not DownloadURLFile(xml_getmap, LocalImg)  then
    begin
      Raise Exception.CreateFmt('Chyba pipojen!!',[]);
      Exit;
    end;
    if not FileExists(LocalImg) then
    begin
      raise exception.Create('Soubor chybn uloen!');
      Exit;
    end;
  finally
    //DeleteFile(LocalImg);
  end;
  Edit.Text := 'Done!'
end;

end.
