unit pfgWTypes;

interface

type
  Long = Integer;
  PWord = ^Word;
  PInteger = ^Integer;
  PLongWord = ^LongWord;

  // Basic type declarations
  TCHAR = Char;
  PTCHAR = PCHAR;

  HANDLE = Integer;
  CONDHANDLE = LongWord;

  DateType = Word;

  // Note: Palm record structure, so all fields are in hi-endian format
  DateTimeType = packed record
    second: Word;
    minute: Word;
    hour: Word;
    day: Word;
    month: Word;
    year: Word;
    weekday: Word;  // Days since Sunday (0 to 6)
  end;
  PDateTimeType = ^DateTimeType;

  TimeType = packed record
    hours: Byte;
    minutes: Byte;
  end;
  PTimeType = ^TimeType;

implementation

end.
