unit tab;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, DBCtrls, DB, DBTables, pomocny, DatB;

type
  TVazba =record
      V1,V2,t1,t2:string;
      end;

  TTabForm = class(TForm)
    PopupMenu_TF: TPopupMenu;
    Pozadi_TF: TMenuItem;
    N1: TMenuItem;
    Popis_TF: TMenuItem;
    zobrazeni_popisu_TF: TMenuItem;
    Heslo_TF: TMenuItem;
    N2: TMenuItem;
    Zobrazit_TF: TMenuItem;
    FontDlg_TF: TFontDialog;
    ColorDlg_TF: TColorDialog;
    Font_TF: TMenuItem;
    ListBox_TF: TListBox;
    DataSource_TF: TDataSource;
    Table_TF: TTable;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Form1Font3Click(Sender: TObject);
    procedure Pozadi_TFClick(Sender: TObject);
    procedure Popis_TFClick(Sender: TObject);
    procedure zobrazeni_popisu_TFClick(Sender: TObject);
    procedure Zobrazit_TFClick(Sender: TObject);
    procedure ListBox_TFMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox_TFDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure ListBox_TFDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure ListBox_TFDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TabForm: TTabForm;
  popis:string;
  si,vi,gi,lX:integer;
  A,B,C,D:TPoint;
  vazby:array [0..99] of TVazba;
  sloupce:array [0..99] of string;
  Tshift:TShiftState;

implementation

{$R *.dfm}

uses main;



procedure TTabForm.FormClose(Sender: TObject; var Action: TCloseAction);
  var tabulkyT,cestyT:TStrings;
      i,j:integer;
begin
  i:=0;
  j:=0;
  repeat
    if tabulky[i]<>table_TF.TableName then
      begin
        tabulkyT[j]:=tabulky[i];
        cestyT[j]:=cesty[i];
        inc(i);
        inc(j);
      end
      else inc(i);
  until tabulky[i]='';
  tabulky[i-1]:='';
  cesty[i-1]:='';
  tabulky:=tabulkyT;
  cesty:=cestyT;
  dec(ti);
  Action:=caFree;
end;

procedure TTabForm.Form1Font3Click(Sender: TObject);
begin
  if FontDlg_TF.Execute then
    ListBox_TF.Font:=FontDlg_TF.Font;
end;

procedure TTabForm.Pozadi_TFClick(Sender: TObject);
begin
   if ColorDlg_TF.Execute then
    ListBox_TF.Color:=ColorDlg_TF.Color;
end;

procedure TTabForm.Popis_TFClick(Sender: TObject);
begin
  nazev_pom:='Popis tabulky';
  Pomocnej.ShowModal;
  popis:=text_pom;
  ListBox_TF.Hint:=popis;
end;

procedure TTabForm.zobrazeni_popisu_TFClick(Sender: TObject);
begin
  if ListBox_TF.ShowHint=false then Zobrazeni_popisu_TF.Checked:=true
  else Zobrazeni_popisu_TF.Checked:=true;
  ListBox_TF.ShowHint:=Zobrazeni_popisu_TF.Checked;
  if popis <> '' then ListBox_TF.Hint:=popis;
end;

procedure TTabForm.Zobrazit_TFClick(Sender: TObject);
  var str:string;
begin
  with TDatForm.Create(self) do
    begin
      Table_dat.TableName:=Table_TF.TableName;
      Table_dat.DatabaseName:=Table_TF.DatabaseName;
      Table_dat.Open();
    end;
end;

procedure TTabForm.ListBox_TFMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
  var p,poz:TPoint;
      j:integer;
      str:string;
begin
  if Button=mbLeft then
  begin
    if vazby[0].V1='' then vi:=0 ;
    if vazby[vi].V2='' then
      begin
        bv:=false;
        vazby[vi].V1:='';
        vazby[vi].t1:='';
        vazby[vi].V1:=ListBox_TF.Items[ListBox_TF.ItemIndex];
        j:=1;
        str:='';
        repeat
          str:=str+Table_TF.tableName[j];
          inc(j);
        until Table_TF.TableName[j]='.';
        vazby[vi].t1:=str;
        Tshift:=shift;
        lX:=X;
        poz:=Mouse.CursorPos;
        p:=Mouse.CursorPos;
        poz.X:=poz.X+(ListBox_TF.Height-X)+10;
        MainForm.OnMouseDown(MainForm,mbLeft,Shift,poz.X,poz.Y);
        Mouse.CursorPos:=p;
      end;
  end;
end;

procedure TTabForm.ListBox_TFDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
begin
  if Source is TListBox then accept:=true
                        else accept:=false;
end;

procedure TTabForm.ListBox_TFDragDrop(Sender, Source: TObject; X,
  Y: Integer);
var p,poz:Tpoint;
    index,h:integer;
begin
  poz:=Mouse.CursorPos;
  p:=Mouse.CursorPos;
  if sloupce[0]='' then si:=0;
  h:=abs(ListBox_TF.Font.Height)+2;
  index:=(Y div h);
  ListBox_TF.Selected[index]:=true;
  vazby[vi].V2:=ListBox_TF.Items[index];
  vazby[vi].t2:=Table_TF.TableName;
  bv:=true;
  inc(vi);
  poz.X:=poz.X+(ListBox_TF.Height-X)+10;
  MainForm.OnMouseDown(MainForm,mbLeft,Tshift,poz.X,poz.Y);
  Mouse.CursorPos:=p;
end;

procedure TTabForm.ListBox_TFDblClick(Sender: TObject);
  var str:string;
      i:integer;
begin
  MainForm.StrGrid.Cells[gi,0]:=ListBox_TF.Items[ListBox_TF.itemIndex];
  MainForm.StrGrid.Cells[gi,1]:=ListBox_TF.Items[ListBox_TF.itemIndex];  //zadiridit, aby tuten radek byl prepisovatelnej
  //MainForm.StrGrid.Row
  MainForm.StrGrid.Cells[gi,2]:=Table_TF.TableName;
  i:=1;
  str:='';
  repeat
    str:=str+Table_TF.tableName[i];
    inc(i);
  until Table_TF.TableName[i]='.';
  MainForm.StrGrid.Cells[gi,3]:=str;
  inc(gi);
  MainForm.StrGrid.ColCount:=gi;
end;                                             

end.
