unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtDlgs, ExtCtrls, OleCtrls, SHDocVw,
  JPEG;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    Button1: TButton;
    Label1: TLabel;
    Shape1: TShape;
    WB: TWebBrowser;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button2Click(Sender: TObject);
    procedure WBBeforeNavigate2(Sender: TObject; const pDisp: IDispatch;
      var URL, Flags, TargetFrameName, PostData, Headers: OleVariant;
      var Cancel: WordBool);
  private
    { Private declarations }
  public
     aX,aY: integer;
     InUse: boolean;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   if OpenPictureDialog1.Execute then
   begin
      Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
      //Image2.Picture.LoadFromFile(OpenPictureDialog1.FileName);
      Image2.Picture.Bitmap := TBitmap.Create;
      Image2.Picture.Bitmap.Width := Image2.Width;
      Image2.Picture.Bitmap.Height := Image2.Height;
      Caption := OpenPictureDialog1.FileName;
   end;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
   R,R1: TRect;
   B: TBitmap;
begin
   //aX := Mouse.CursorPos.X;
   //aY := Mouse.CursorPos.Y;
   R.Left := aX-20;
   R.Top := aY -20;
   R.Right := aX + 20;
   R.Bottom := aY + 20;
   B := TBitmap.Create;
   B.Width := 40;
   B.Height := 40;
   R1.Left := 0;
   R1.Top := 0;
   R1.Right := 39;
   R1.Bottom := 39;
   B.Canvas.CopyRect(R1,Image1.Picture.Bitmap.Canvas,R);
   R.Left := 0;
   R.Top := 0;
   R.Right := Image2.Width;
   R.Bottom := Image2.Height;
   Image2.Picture.Bitmap.Canvas.StretchDraw(R,B);
   Image2.Picture.Bitmap.Canvas.Refresh;
   B.Free;
   //aX := Image1.ScreenToClient
end;

procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);

var
   R,R1: TRect;
   B: TBitmap;
begin
   aX := X;
   aY := Y;
   Label1.Caption := IntToStr(X)+','+IntToStr(Y);
   if InUse then exit;
   InUse := true;
   R.Left := aX-20;
   R.Top := aY -20;
   R.Right := aX + 20;
   R.Bottom := aY + 20;
   B := TBitmap.Create;
   B.Width := 40;
   B.Height := 40;
   R1.Left := 0;
   R1.Top := 0;
   R1.Right := 39;
   R1.Bottom := 39;
   B.Canvas.CopyRect(R1,Image1.Picture.Bitmap.Canvas,R);
   R.Left := 0;
   R.Top := 0;
   R.Right := Image2.Width;
   R.Bottom := Image2.Height;
   Image2.Picture.Bitmap.Canvas.StretchDraw(R,B);
   Image2.Picture.Bitmap.Canvas.Refresh;
   B.Free;
   InUse := false;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   WB.Navigate('c:\kos\tst.htm');
end;

procedure TForm1.WBBeforeNavigate2(Sender: TObject; const pDisp: IDispatch;
  var URL, Flags, TargetFrameName, PostData, Headers: OleVariant;
  var Cancel: WordBool);
var
   S: string;
begin
   Cancel := false;
   S := URL;
   if pos('huhuhu',S) <> 0 then
   begin
      Cancel := true;
      ShowMessage(URL+','+PostData);
   end;
end;

end.

