unit windowsfolderstest_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
   u_Crypt,
   SHFolder;

{$R *.dfm}

 function GetSpecialFolderPath(folder : integer) : string;
 const
   SHGFP_TYPE_CURRENT = 0;
 var
   path: array [0..MAX_PATH] of char;
 begin
   if SUCCEEDED(SHGetFolderPath(0,folder,0,SHGFP_TYPE_CURRENT,@path[0])) then
     Result := path
   else
     Result := '';
 end;


procedure TForm1.Button1Click(Sender: TObject);
  const
    CSIDL_COMMON_STARTMENU = $0016;
    CSIDL_COMMON_PROGRAMS = $0017;
    CSIDL_COMMON_STARTUP = $0018;
    CSIDL_COMMON_DESKTOPDIRECTORY = $0019;
    CSIDL_APPDATA = $001A;
    CSIDL_LOCAL_APPDATA = $001C;
    CSIDL_COMMON_FAVORITES = $001F;
    CSIDL_COMMON_APPDATA = $0023;
    CSIDL_COMMON_TEMPLATES = $002D;
    CSIDL_COMMON_DOCUMENTS = $002E;
begin
   Memo1.Clear;
    Memo1.Lines.Add('CSIDL_COMMON_APPDATA  ....  '+GetSpecialFolderpath(CSIDL_COMMON_APPDATA));
    Memo1.Lines.Add('CSIDL_APPDATA  ....  '+GetSpecialFolderpath(CSIDL_APPDATA));
    Memo1.Lines.Add('CSIDL_LOCAL_APPDATA  ....  '+GetSpecialFolderpath(CSIDL_LOCAL_APPDATA));
    Memo1.Lines.Add('CSIDL_COMMON_PROGRAMS  ....  '+GetSpecialFolderpath(CSIDL_COMMON_PROGRAMS));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Memo1.Lines.Text := CryptString(Memo1.Lines.Text);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Memo1.Lines.Text := UncryptString(Memo1.Lines.Text);
end;

end.
