unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  protected
    procedure WMDropFiles(var Message: TMessage); message WM_DROPFILES;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
   ShellApi;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   i: integer;
begin
  if OpenDialog1.Execute then
  begin
     Memo1.Lines.Assign(OpenDialog1.Files);
  end;
  for i := 0 to OpenDialog1.Files.Count-1 do
  begin
     //ShowMessage(OpenDialog1.Files[i]);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Memo1.Lines.Clear;
end;

procedure TForm1.WMDropFiles(var Message: TMessage);
var
   i: longInt;
   Count: longInt;
   H: THandle;
   cb: word;
   P: PChar;
   S,SE: string;
   Size: word;
begin
   H := Message.WParam;
   cb:= 0;
   Count := DragQueryFile(H, $FFFFFFFF, nil, cb);
   for i := 0 to Count - 1 do
   begin
      Size := DragQueryFile(H, i, nil, cb);
      inc(Size);
      P := StrAlloc(Size);
      DragQueryFile(H, i, P, Size);
      S := StrPas(P);
      SE := UpperCase(ExtractFileExt(S));
      StrDispose(P);
      //if (SE = '.OIL') or (SE = '.TXT') then
      begin
         Memo1.Lines.Add(S);
      end;
   end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    DragAcceptFiles(Handle, true);
end;

end.
